SW OS - Operating Systems for CX1000/CX10x0/CX90x0/Ethernet Panels/IPC...

Operating Systems

Documentation for

SW OS

Operating Systems for CX1000/CX10x0/CX90x0/Ethernet Panels/IPC...

Version: 1.2
Date: 2012-04-22


Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the documentation and the following notes and explanations are followed when installing and commissioning the components.

It is the duty of the technical personnel to use the documentation published at the respective time of each installation and commissioning.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
We reserve the right to revise and change the documentation at any time and without prior announcement.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE®, XFC® and XTS® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The EtherCAT Technology is covered, including but not limited to the following patent applications and patents:
EP1590927, EP1789857, DE102004044764, DE102007017835
with corresponding applications or registrations in various other countries.

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

EtherCAT® is registered trademark and patented technology, licensed by Beckhoff Automation GmbH, Germany.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Safety Instructions

Safety Rules

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

State at Delivery

All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of BeckhoffAutomation GmbH.

Personnel Qualification

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.

Description of safety symbols

The following safety symbols are used in this operating manual. They are intended to alert the reader to the associated safety instructions.

Danger |
DangerNV | This symbol is intended to highlight risks for the life or health of personnel.

Warning |
AttentionNV | This symbol is intended to highlight risks for equipment, materials or the environment.

Note |
NoteNV | This symbol indicates information that contributes to better understanding.


Documentation Issue Status

Version | Changes
1.2 | Correcting programming methods
1.1 | Adaptation to customer needs Scada Solutions


Overview

Operating Systems

Operating Systems for CX1000/CX10x0/CX90x0/Ethernet Panels/IPC...

Two operating systems are available for the CX1000/CX1020, Windows CE.NET and Windows XP Embedded.

For the CX9000 only Windows CE.NET is available.

Remote programming via Ethernet

This option is used if the basic unit is equipped with Windows CE.NET. In this case, the system is programmed via a laptop or a desktop PC, which is connected to the CX device via Ethernet (network or crossover cable). The programs are developed on the laptop with a standard TwinCAT software licence and then loaded into the target device.

The decision about which operating system version and which TwinCAT version to use in conjunction with the CX device system is strongly application-specific.

In the following, you will find an overview of the basic operating system images.


CE Device: Welcome

Operating Systems

Welcome

Welcome using a BECKHOFF CE device - see articles in this chapter with detailed information about

  • startup/boot phase of device
  • User shell
    • How to password protect the shell or change the wallpaper
  • Configuration tools
    • "CxConfig" allows to configure localy at the device
      Select "Start --> Control Panel --> CxConfig"
    • "Remote Display" provides similar functionalities like "RDP" or "VNC" by remotely displaying the CE-shell at the host-pc
      See article "Remote Display"
    • "TwinCAT System Manager" allows to configure some basic functionalities
      See article "System Manager"
    • "Web based configuration" : All CE devices also provide web-pages to allow easy remote configuration
      See article "Web based configuration"

      NOTE: Be aware, to enable security if web enabled configuration should not be available.
  • Implement software with Visual Studio 20xx
    • Articles about implement applications and remote debugging for BECKHOFF CE devices
  • availablility of Scada-Software
    • Overview on scada packages with integrated TwinCAT driver
  • Updating Firmware / CE-Images
    • Cookbooks for handling the image update on different BECKHOFF CE devices

First impression

After starting the BECKHOFF CE device, the shell (user shell) will look like this depending of the version of operating system:

  • CE6 :
    • By default the CE devices boots up with a modified Microsoft CE shell which looks like this:

  • CE4 / CE5 :
    • By default the CE device boots up with Microsoft CE default shell which comes with this wallpaper (maybe different CE logo):
    • To change the wallpaper or the shell see this article


User Shell

By default the CE devices boots up with a modified Microsoft CE shell which looks like this (CE6 ++)

This modified shell helps to protect the CE device, so users are able to:

  • Optional: Configure a device password ("Admin password") once to avoid users beeing able to switch to the Microsoft shell and do configurations on their own
  • Optional: Configure applications to be started automatically, see article

Optional: Configure Admin-Device-Password

  • Select "Start --> COntrol Panel --> Password"
  • Enter a password in the filed "Password" and "Confirm password"
  • Finish with "OK"

After reboot the user will not be able to do select any dialog for reconfiguration without entering the password.

Start Windows Explorer

If you need the Windows Explorer during the setup-phase , follow this:

  • Select "Start --> Run..." enter "explorer" in the filed "Open" and finish with "OK"


Modification of parameters: AmsNetId / TCP-IP / Screen Resolution

Operating Systems

Wallpaper

Users might like their own wallpaper as a background picture.

General :

By default the CE device boots up with Microsoft CE default shell which comes with this wallpaper :

To change wallpaper just provide a bitmap file *.BMP available on CE device and set a registry entry to point to wallpaper-bitmap.

SAMPLE

  • provide bitmap (corresponding to screen resolution) on CE device like : "\hard disk\MyProject\WishToBeHere.bmp"
  • Enter registry key to use bitmap as default wallpaper
[HKEY_CURRENT_USER\ControlPanel\Desktop]
"wallpaper"="\hard
disk\MyProject\WishToBeHere.bmp"

See this additional info for easy customer image adaption.

Modified wallpaper may look like this :


CE Remote Display

Operating Systems

Remote Display

This page describes how to use the CX-device with CE operating system from another PC with "Remote Display" (cerhost).

1. Requirements:

Required software on host PC:

  • Windows NT/2000/XP
  • Microsoft Remote Display (freeware, available at Microsoft)
    RemoteDisplay for CX-device (cerhost.exe)

Required hardware:

  • TCP/IP connection between CX-device and Host-PC

2. Link connection:

1. Start the tool "Remote Display" on the PC. Enter the address of the CX-device under menu "File -> Connect". Here the TCP-IP address or, if present, the name of the CX-device can be entered.

2. After the entry of the target address, the user interface of the CX-device is available by remote on the PC.


Web based diagnostic and configuration interface

Operating Systems

TcWebAccess: Web based diagnostic and configuration interface

CE based devices (image 2.16 or higher required) provide a web interface for diagnostic or configuration.

The most important settings can be modified here.

Security:
- Since image 2.16: To limit access please use section ""Security" and define user / passwords.
- Since image 3.08: The access is protected by default, user / password is webguest / 1

See this link to connect to the TcWebAccess in your browser:
- Since image 2.16:
http://<ip-or -devicename>:5120/upnpdevice/index.htm

Sample :

http://192.168.0.123:5120/upnpdevice/index.htm

http://CX_123456:5120/upnpdevice/index.htm

- Since image 3.08:
http://<ip-or -devicename>/config

Sample :

http://192.168.0.123/config

http://CX_123456/config


Modification of parameters: AmsNetId / TCP-IP / Screen Resolution

Operating Systems

Modification of standard image - Overview

Introduction

By default the CE devices are shipped with a standard CE image with default settings like screen resolution, DHCP, etc.

This article describes how to modify basic settings / behaviour of standard CE based images.

General all settings can be done easy at CE device with dialogs, but it might be useful when deploying images to muliple CE devices not to click and configure again and again each device.

The modifications are done just once and allow easy handling and deployment even on updating CE devices with newer image versions.

See here list of samples showing how to modify FTP, RAS, Regional settings, Taskbar, Timebase, DeviceName, Screen resolution, wallpaper.
NOTE :
Some settings are device independent: Settings for Timeezone, wallpaper can be deployed to CX1020 or C69xx devices
Other settings like display resolution are device specific. Take care to not deploy on different devices.

See samples here

All possible modifications listed can be done on each start of CE device or just once when creating the default registry :

  • All kind of registry based settings, here just some samples :
    • Set specific screen resolution
    • network information like TCP/IP address
    • device name
    • avoid default shell
    • Start of custom specific applications
    • Start of RDP client (RemoteDesktop Client for automatic connection to XP station)
    • Configuration of SNTP (Simple network time protocol)
    • RAS Server
    • FTP Server
    • Provide own wallpaper
    • TwinCAT specific settings like ADS routes
    • Support of audio modules
    • ....
  • All kind of handling user management required for NTLM user authentication
    • add/delete user, password for RAS server
    • add/delete user, password for FTP-server and SMB-server (public folder) access

Startup / Boot of CE devices

The Scenario is like this :

Step 1 : Power on CE hardware

After power on the CE device the CE loader/BIOS tries to find the CF card containing the NK.BIN file. The NK.BIN file contains the full CE operating system and TwinCAT.
If available the NK.BIN is loaded into RAM and executed. If one of these steps fails the device will send you signs ... like a message on the display or a blinking LEDs etc.

Step 2 : Check : Default registry available or not ?

During boot phase the CE device will load and execute the NK.BIN file from CF card. Doing this it will search for the folder "Documents and Settings" on CF card. This folder contains the registry with all settings. If this folder contains a registry which fits to the version of started NK.BIN then all settings are read out of this registry.
The registry might not fit to NK.BIN cause the file was made by CE4.2 which can not handled by CE5 NK.BIN file. Maybe even a different image version within same CE level does not support older registries.

Anyway : If the registry version does not fit to NK.BIN version or the folder "Documents and Settings" is not present, the CE system will create a new default registry and flash this back to CF card into folder "Documents and Settings".

Step 3 : Default registry available

So at this moment we can assume to start a CE device having a default registry.

Under "HKLM\Init" registry contains information about applications to be launched (which and in which range) :

Registry might look similar to this sample :

[HKEY_LOCAL_MACHINE\init]
"Launch20"="device.exe"
"Launch30"="gwes.exe"
"Depend30"=hex:14,00
"Launch60"="services.exe"
"Depend60"=hex:14,00
"Launch50"="explorer.exe"
"Depend50"=hex:14,00,1e,00
"Launch90"="CeRDisp.exe"
"Depend90"=hex:14,00,1e,00,32,00,50,00
"Launch80"="TcSysSrvW32.exe"
"Depend80"=hex:14,00,1e,00,32,00
"Launch96"="\\hard
disk\\system\\Startup.exe"
"Depend96"=hex:14,00,1e,00,32,00,50,00,5a,00

While launching "device.exe", "gwes.exe", "service.exe" is required to have a CE OS running the other applications are optional :

  • explorer .exe will start default shell (see how to use alternative shell)
  • CeRdisp.exe will start CE-RemoteDisplay Server (to be accessed from host-pc by CeRHost.exe)
  • TcSysSrvW32.exe will start TwinCAT
  • \hard disk\system\Startup.exe will start various tools (if existing) like
    • \hard disk\system\CxRunOnce.cmd (runs just once when first registry was build)
    • \hard disk\system\autoexec.cmd (on each start of CE device)
    • \hard disk2\system\autoexec.cmd (on each start of CE device, disk2 might be an external MemoryStick available on boot time)
    • \hard disk\system\CeRdpAutoClient.exe (start app which acts like RDP client. Has to be pre configured where to connect )
    • various third-party scada packages

Optional things just done once by Startup :

On first boot -immediately after default registry has been build- application "Startup" also does some things just once (so not on each boot of system)

a. Option : Import Registry settings (if existing)

On first boot -immediately after first registry has already been build- application "Startup" also imports all registry files provided in folder "\hard disk\RegFiles".
After importing and saving the registry back to CF card the CE device will reboot automatic.
This functionality can be used to provide specific device settings by just Xcopy one folder "RegFiles" to a CF card.

See here list of samples showing how to modify FTP, RAS, Regional settings, Taskbar, Timebase, DeviceName, Screen resolution, wallpaper.
NOTE : Samples are for CX100x CE. Registry settings might be different for other devices like CX1020, CX9000, Ethernetpanels...

b. Option : Execute batch CxRunOnce (if existing)

On first boot -immediately after first registry has already been build- "Startup" also calls "\hard disk\System\CxRunOnce.cmd" (if provided). Here custom specific configuration can be done.

To provide RAS connection or to protect FTP or SMB (public folder) access it might be required adding "NTLM Users" to handled with user credentials.

Command line tool "CxAddUser" in folder "\hard disk\system" provides a mechanism to add user credentials, this batch entries should be done in CxRunOnce.cmd

See detailed information how to add users.

Optional things done on every boot by Startup :

a. Option : Execute batch AutoExec.cmd (if existing)

On every boot "Startup" also calls "\hard disk\System\autoexec.cmd" (if provided). Enter custom specific settings/calls here.

b. Option : Execute CeRdpAutoClient.exe (if existing)

On every boot "Startup" also calls "\hard disk\System\CeRdpAutoClient.exe" (if provided). The RDP-Client allows to connect and display RDP-Server machines. (Standard : A CE based system displaying a XP/XPE based machine)


Name / TCP-IP / AdsNetID / screen resolution

General :

By default the CE device name and the AdsNetID is derived from unique MACID of device.

You can see the MACID on the label attached to the CE device.

By default IP-port is set to DHCP.

Example:

  • Name of CE device :
    By default the name of device is combining a prefix (like "CX_" for CX devices, or "CP_" for ControlPanels) with the last 3 bytes of the unique MACID of the device.

    Sample : The MACID 00-01-05-00-27-84 results in

    • the device name CX_002784 (on a CE device like CX1000 / CX1020 / CX9000 ...)
    • the device name CP_002784 (on a CE device like EthernetPanel...)
  • AdsNetId of CE device :
     By default this AmsNetId is made up by combining the last 4 digits of the unique Ethernet MacId of the CE-device with the extension "1.1".

    Sample : The MACID 00-01-05-00-27-84 results in the AmsNetID 5.0.39.132.1.1

Changing default settings

You can assign and select your own settings with various ways :

  • Option 1 :
    The changes can be conveniently performed by the TwinCAT System Manager :
    It writes the new settings to the required address in the registry of the CE device, saves the modified registry back to the compact flash card and maybe requests an automatic reboot of device

  • Option 2 :
    The change can be done local on CE device :
    • Device name : Select "Start" --> "Settings" --> "Control Panel" --> "System" --> "Device Name" and modify field "Device name"
    • IP settings : Select "Start" --> "Settings" --> "Control Panel" --> "Network and Dial-up Connections" --> "PCI-T..." and modify IP settings
  • Option 3 :
    Prepare one or more registry files to place it/them on CE device "\hard disk\RegFiles"
    On CE device you can double click on regfile to import it to registry.

    NOTE : Deleting the registry will result in automatic import of registry files and automatic reboot.
    See this additional info for easy customer image adaption.

Note:

The first three characters from device name are pre-selected by default (like "CX_" or "CP_" )

  • Renaming a device to "Machine1" is fine
  • Renaming a device to "CX_Machine1" is not allowed: with next reboot the original name "CX_.." will be repaired
    Reason for this is to allow preparing one master-CF card and then deply this master-CF to multiple CE-devices with different MACID's

Note:

For all options, the CE device must be restarted after the modification so that the new setting becomes effective.
Registry will be saved to CF card if restart is initiated by "Start" --> "Suspend"


FTP Server

The CX1001-xxxx can be operated with different CE images, which contain different components. The FTP server is part of all CE images.

The "FTP root" directory is located on the compact flash in the directory "\FTP" and is therefore available under "\hard disk\FTP" in the CX1000.

The necessary one-time configuration is done conveniently on the CX1000 via the Beckhoff software "START - Settings - Control Panel - Cx Configuration".

Navigate to tab "FTP".

To enable the FTP-Server check option "Server active". The anonymous access is enabled then. The CX1000 FTP server is thus accessible from the host PC, e.g. via Microsoft Explorer, under ftp://<CX1000 IP Address> or ftp://<CX1000 host name>. It has full access rights (write/read) in the CX1000 FTP root directory.

Security :

If you don't want to allow anonymous access you have to configure user authentication: See details here


RAS Service

On a Windows CE device, you can configure a remote dialin connection either via an attached modem (using the COM-Port) or via a network connection (using VPN). The following chapter gives an overview about the general settings of the CE RAS Server, before moving on to the necessary configuration settings for each setup (modem or VPN).

General information about the RAS Server

Each Beckhoff CE device is being distributed with a build-in RAS Server. This background service manages all incoming dialin connections, coming either from an attached modem or from the network (VPN). The following picture shows a typical example of this setup.

The CE RAS Server supports two main scenarios: You can either use an attached modem to dialin via a telephone line or you can use the corporate network to dialin via VPN. This flexibility enables you to easily establish a dialin connection to your CE device and to integrate this setup in your IT environment. You can configure the RAS Server via the “CX Configuration” tool in the “Control Panel” on your CE device:

  • Open the "Start Menu" and go to the “Control Panel”

  • Start the configuration program by double-clicking “CX Configuration”

  • Navigate to the tab “RAS Control”

The RAS Server is disabled by default. To enable it, simply do the following things:

  • Click on the checkbox “Enable RAS Server”

  • Select one or more connection channels (lines) and click on “Enable Line”. These channels configure whether you want to use an attached mode for the dialin or the network (VPN). Both settings will be described in more details below

  • Add a user account which may dialin via one of the lines. Please note that this user account is not to be mixed with user accounts used for accessing a SMB share!!

  • Optionally, select another IP-Address setting. Each setting changes how clients will receive an IP address. The available options for IP addressing are: DHCP, AutoIP (default), Static

When finished, click on “OK” and restart your system. You should always use this graphical tool to setup the RAS Server. However, if you want to further customize your RAS setup, you can make more detailed settings by modifying the Windows CE registry:

  • Open the "Start Menu" and click on “Run…”

  • Enter “regedit” and click on “OK”. The Registry Editor opens

  • Navigate to “HKEY_LOCAL_MACHINE\Comm\ppp\Server\Parms”. Here you can set further parameters for the RAS Server. Please note that the key “ppp” only exists after the RAS Server has been enabled!

The following table shows the different attributes in this registry key:

Attribute | Type | Default value | Description
Enable | DWORD | 0x00000000 | Disables (0) or enables (1)RAS Server
StartupDelaySeconds | DWORD | 0x00000000 | Specifies the wait time after boot, before the RAS Server is being started.
UseDHCPAddresses | DWORD | 0x00000000 | Disables (0) or enables (1) the use of DHCP addresses for clients. Should be used if the CE device contains an internal DHCP Server software.
UseAutoIpAddresses | DWORD | 0x00000000 | See explaination above
AutoIpSubnet | DWORD | 0xC0A80000 | Subnet IP for AutoIp configuration. The hexadecimal value is determined according to the calculations below.
AutoIpSubnetMask | DWORD | 0xFFFF0000 | Subnet Mask for AutoIp configuration. The hexadecimal value is determined according to the calculations below.
StaticIpAddrStart | DWORD | 0xC0A8FE01 | First IP Address for Static configuration. The hexadecimal value is determined according to the calculations below.
StaticIpAddrCount | DWORD | 0x000000FE | Amount of IP Addresses for static configuration.
AuthenticationMethods | DWORD | 0x00400000 | Discussed in more detail below
Flags | DWORD | 0x00000000 | Discussed in more detail below

The value of each IP address related attribute is determined according to the binary and hexadecimal representation of the address. An IP address consists of 4 values, each value equals 1 byte or rather 8 bits. Therefore the hexadecimal value of this IP address can be derived directly from the binary representation by converting every 4 bits to hex, for example:

IP address: | 192.168.0.1
Binary: | 11000000.10101000.00000000.00000001
Hexadecimal: | C0.A8.00.01 0xC0A80001

The following table shows some examples for common IP subnets addresses.

Subnet IP | Subnet Mask | Value IP (Hex) | Value Mask (Hex)
192.168.0.0 | 255.255.255.0 | 0xC0A80000 | 0xFFFFFF00
192.168.1.0 | 255.255.255.0 | 0xC0A80100 | 0xFFFFFF00
192.168.2.0 | 255.255.255.0 | 0xC0A80200 | 0xFFFFFF00
172.16.0.0 | 255.255.0.0 | 0xAC100000 | 0xFFFF0000

The attribute “AuthenticationMethods” configures the RAS Server for the usage of different protocols for client authentication. Please note that this value configures protocols which should be prohibited by the Server! That means, if a client tries to establish a RAS connection with an authentication protocol which is prohibited by the server, the connection fails.

Protocol | Value (Hex) | Information
PAP | 0x00040000 | Password for authentication is being transmitted in clear-text! Insecure!
CHAP | 0x00080000 | Uses a random value, together with the password, for creating a one-way hashvalue which is being transmitted to the server for authentication.
MS-CHAP | 0x00100000 | This is Microsoft’s implementation of CHAP. It provides several enhancements to standard CHAP.
MS-CHAP v2 | 0x00200000 | This is version 2 of the MS-Chap protocol. It provides mutual authentication between peers. This protocol should be used!
EAP | 0x00400000 | Developed by the IETF. Supports several authentication mechanisms like RADIUS, certificates, … . However, this usually implies other software packages to be installed on the CE device and is therefore disabled by default.

To prohibit more than one protocol, you need to interpret the hexadecimal value like a bitmask and add the bit-wise values. For example:

Protocols to prohibit: | PAP, CHAP, MS-CHAP
PAP value binary: | 0000 0000 0000 0100 0000 0000 0000 0000
CHAP value binary: | 0000 0000 0000 1000 0000 0000 0000 0000
MS-CHAP value binary: | 0000 0000 0001 0000 0000 0000 0000 0000
Overall binary value (sum): | 0000 0000 0001 1100 0000 0000 0000 0000
Hex value to configure: | 0x001C0000

The “Flags” attribute configures if the RAS Server should allow any of the following features. Any of these features can be combined by setting the appropriate bitmask value (similar to the procedure from above).

Feature | Value (Hex) | Information
Data Encryption | 0x01 | Requires data encryption, if set
Unauthenticated Access | 0x02 | Allows unauthenticated access, if set
Use of VJ header compression | 0x04 | Prevents the use, if set
Use data compression | 0x08 | Prevents the use, if set

Configure a modem connection

You can use a to the CE device attached modem for enabling incoming dialin connections. Therefore, the resulting connection is a point-to-point communication via the telephone network.

8

To configure the RAS Server for incoming modem connections, you need to open the "CX Configuration" tool on your CE device:

  • Open the "Start Menu" and go to the “Control Panel”

  • Start the configuration program by double-clicking “CX Configuration”

  • Navigate to the tab “RAS Control”

  • Select a modem line and click on “Enable Line”, for example "Hayes Compatible..."

  • Please make sure that you also made all other necessary settings, like configuring a user account or IP-Address settings. Those settings are described at the beginning of this document ("General information...")

  • Please restart your device

Every Windows version comes with an integrated dialin Client which supports the establishment of an outgoing modem connection. In case of Windows 7, you can configure a modem connection to your CE device as follows:

  • Open the "Start Menu" and go to the “Control Panel”

  • Open "Network and Internet", then go to "Network and Sharing Center"

  • Click on "Set up a new connection or network"

  • Select "Connect to a workplace"

  • Select "No, create a new connection" (Please note: This screen only shows if there are any dialin connections configured on your system)

  • Select "Dial directly"

  • Select the modem you would like to use and click on "Next"

  • Enter a "telephone number" and click on "Next"

  • Enter a "Username" and a "Password" for this connection. This is the username you configured in the RAS Server settings on your CE device

  • Finally, click on "Connect" to save this profile and establish a connection to your CE device

Configure a VPN connection

VPN is the abbreviation for "Virtual Private Network". In Windows CE, VPN is part of the RAS Server and enables you to use an existing network connection to dialin into your PLC controller via a secure channel. As a result, you can get an IP-based connection to your CE device. The CE RAS Server uses by default the PPTP protocol (Point-to-Point Tunneling Protocol) for incoming VPN connections. To enable the connection establishment from outside your corporate network you therefore need to open the ports specific for PPTP on your firewall, which are TCP 1723 for the initialization and GRE for data control. These ports need to be forwarded to your CE device ("Port Forwarding")! Please consult the documentation of your router/firewall to see how this can be done in your specific case.

To configure the RAS Server for incoming VPN connections, you need to open the "CX Configuration" tool on your CE device:

  • Open the "Start Menu" and go to the “Control Panel”

  • Start the configuration program by double-clicking “CX Configuration”

  • Navigate to the tab “RAS Control”

  • Select one or more VPN lines and click on “Enable Line”. The amount of lines equals the number of concurrent VPN connections.

  • Please make sure that you also made all other necessary settings, like configuring a user account or IP-Address settings. Those settings are described at the beginning of this document ("General information...")

  • Please restart your device

Since Windows XP, every Windows version comes with an integrated VPN Client which also supports the PPTP protocol. In case of Windows 7, you can configure a VPN connection to your CE device as follows:

  • Open the "Start Menu" and go to the “Control Panel”

  • Open "Network and Internet", then go to "Network and Sharing Center"

  • Click on "Set up a new connection or network"

  • Select "Connect to a workplace"

  • Select "No, create a new connection" (Please note: This screen only shows if there are any dialin connections configured on your system)

  • Select "Use my Internet connection (VPN)"

  • Enter the Internet address of the CE device. Please note: If you want to use this VPN connection from outside your corporate network, you need to enter the IP-Address of your router/firewall where you did the port forwarding settings as mentioned above.

  • Click on "Next"

  • Enter a "Username" and a "Password" for this connection. This is the username you configured in the RAS Server settings on your CE device

  • Finally, click on "Connect" to save this profile and establish a connection to your CE device


SNTP

NOTE:

This function is supported on CE-device CE Imageversion 1.60 (based on CE4.2).

SNTP : A protocol that synchronizes the system time on a computer with that of a server that has been synchronized by a reference source, such as a radio, satellite receiver, or modem.

The necessary one time configuration can be done by Beckhoff-Software "START - Settings - Control Panel - CxConfiguration" on the CE-device.
In section "Miscellaneous" the settings for Simple Network Time Protocol can be found.

NOTE:

By default the SNTP protocol uses UDP port 123. Do not block this port in the firewall in case of using this functionality.

Settings:

SNTP Server : Insert a IP adress or name of the computer acting like the time-server

Refresh rate : Select the time interval for time sync has to be cyclic done

NOTE :
After modifying settings for "Time zone" or "Automatically adjust clock for daylight saving" the SNTP server will not synchronise and display this new timezone immediately, it might take 40 seconds till clock is refreshed by CE.
Modification of "Automatically adjust clock for daylight saving" will require reboot of CE device to work properly.

Workaround is to open a command shell ( Select "START --> Run...", enter "cmd" and finish with "OK" ) and enter :

services refresh ntp0:

This line can also be inserted into file "\hard disk\system\autoexec.cmd" to be executed on each device start

Configure PC to act like time-server :
If you want to set up a computer to act like a time-server, some operating systems like Windows2000-Server and XP-Server support this feature.
On other systems like Windows2000 Prof. or XP Prof. this feature can be activated by modifying the registry :

REGEDIT4
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\lanmanserver\parameters]

"TimeSource"=dword:00000001

After a reboot the computer will act like a time-server.


Authentication : NTLM User

Operating Systems

NTLM User authentication

With adding "NTLM Users" the access to FTP-server and/or SMB-server (public folders) can be handled with user credentials.

Adding an NTLM-User can be done in various ways :

  • Option 1 :
    Define user for protected FTP access or SMB-Server (public folders)

    The necessary one-time configuration is done conveniently on the CE device via the Beckhoff software "START - Settings - Control Panel - Cx Configuration".
    Navigate to tab "FTP". After double click with left mouse (or do one single right click) in area "NTLM User" a popup will appear. Select "Add User" and enter the parameters for Username and Password.

    After this the new user will be listed. With double click (or one right click) you can Enable / Disable or Delete this user.

  • Option 2 :
    Define user for RAS access

    The necessary one-time configuration is done conveniently on the CE device via the Beckhoff software "START - Settings - Control Panel - Cx Configuration".
    Navigate to tab "RAS". After "Enable RAS server" and "Enable Line" a user can be added by "Add User". Fill in all information and finish with "OK".

  • Option 3 :
    Use command line tool "CxAddUser" in folder "\hard disk\system"

    Start a shell with "START --> Run..." enter "cmd" and finish with "OK". In the shell you can call the tool with "CxAddUser".

    Syntax :
    CxAddUser <User name> <password> [n]

    [n] is optional and can be
    0 : AddUser for both RAS and FTP
    1 : AddUser for RAS
    2 : AddUser for FTP

HINT :

This command line CxAddUser tool can be integrated into your batch mechanism to setup a CE device :
Create a batch file "CxRunOnce.cmd" in folder "\hard disk\system" and enter lines to add users.


Microsoft IE in "Full screen mode"

Operating Systems

Microsoft IE in "Kiosk-mode" : Internet Explorer without menu in full-screen

This article describes the CE-device configuration to run the Internet Explorer (IE) in full-screenmode (with menu) :

1. Requrements

Required software on the CE-device

  • IEsimple (Simple InternetExplorer)
    IESimple for the platforms X86 (CX10x0) and ARM (CX9000)

2. Configuration to be done once

  • Provide file "IEsimple.exe" on the CE-device in folder "\hard disk\system".
  • The software IEsimple.exe reads from registry information about the start page to be displayed.
[HKEY_CURRENT_USER\Software\Microsoft\Internet
Explorer\Main]
"Start Page"="http://localhost/index.htm"

3. Optional hints

  • See hint to start IEsimple.exe automatic on each device boot : further information
  • See hint to boot CE device without Microsoft-standard-shell : further information


Automatic start of CE applications

The automatic start of applications on CE devices can be handled in various ways :

  1. Start via "Start Manager" (available since CE6)
  2. Entry in the CE registry
  3. Entry in the batch "autoexec.cmd"

1. Start via "Start Manager" (available since BECKHOFF images based on CE6)

Since Beckhoff image 3.0x based on CE6 the new "Startup Manager" provides an easy way to automatically startup applications after the device itself started..

To add an application select the button "New" and enter basic information.

Select "Type" - two options are available: RDP-Session and ShellCommand:

  • RDP Session: Allows to configure a RDP-session to a remote PC.

  • Check option "Autostart" if the RDP-connection should be started after each reboot.
    In case of multiple RDP-connections the option "Start Focused" should be checked for one connection. This will get this marked RDP connection be get the focus.
    All other RDP-connections should not have the "Start Focused" option.

  • Select tab "Logon" to enter the application which should be started

  • Enter the parameter for "Server" (the server to connect via RDP), User, Password and Domain.
    Finish the dialog with OK.

  • ShellCommand: Allows to configure a local application to be started - like you would start from a shell.
    Check option "Autostart" if the application should be started after each reboot.

  • Select tab "Shell command" to enter the application which should be started

Now the Startup Manager will list the application "notepadce" to be started on each device start.

To rework the configuration select one item in the Startup Manager list - the selected line will be highlighted for these optional actions:

Configure: Allows to reconfigure an item

Autostart: Allows to toggle "Auto" option for the selected items. Option "True" will start an application, option "False" will not start an application

Start: Will start the selected items immediately

Delete: Will delete the selected items

Save: Will save the Startup Manager configuration

Exit: Will exit the Startup Manager

All settings are configured local on the CE-device under "\hard disk\TwinCAT\StartManCOnfig.xml"

To duplicate the Start Manager-settings to multiple devices it's fine to just copy this XML-file to other Beckhoff-CE-devices.

2. Entry in the CE-Registry
 See the registry of CE device under HKEY_LOCAL_MACHINE \ INIT ,including a list of applications and their range on starting up while boot phase.
This list can be expanded with own applications to be forced.

NOTE :
In case of deleting the registry (manual delete or update with new NK.BIN) your application will not start any longer.
To avoid this, prepare a registry file and work with "RegFiles" mechanism.

3. Entry in the batch "autoexec.cmd"

If the file autoexec.cmd is existing in the folder \hard disk\system, this batch file will be executed while CE boot phase.

Enter a call for your application.

Sample:

REM DEMO autexec.cmd
REM
start "\hard disk\MyAppFolder\MyApp.exe"


Additional fonts

Operating Systems

Install additional fonts

Applications may require additional fonts (for example : Symbol or Wingdings) on the Windows CE device.

Just make these font files available on the Windows CE device by copy them into the folder "\Hard Disk\System\Fonts".

1. Change of the default font

To change the default font set the following registry key :

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\FontPath]
"FontPath"="\Hard Disk\System\Fonts"

Note : There should only be one font file in this folder.

2. Additional fonts

To add multiple fonts it is necessary to change the registry key listed below in the according Windows CE version.

2.1 Fonts path in the Windows CE 4.20 registry

The path for the fonts must be changed in the Windows CE registry to the following setting :

[HKEY_LOCAL_MACHINE\Explorer\Shell Folders]
"Fonts"="\Hard Disk\System\Fonts "

2.2 Fonts path in the Windows CE 5.00 registry

The path for the fonts must be changed in the Windows CE registry to the following setting: :

[HKEY_LOCAL_MACHINE\System\Explorer\Shell Folders]
"Fonts"="\Hard Disk\System\Fonts "


IIS Web Server

The CX1001-xxxx can be operated with different CE images, also including the Microsoft Internet Information Server (IIS Web Server).

This Web server supports HTML / DHTML, SSL, and the ISAPI extensions. JavaApplets are not supported because the current CX1000 CE images do not include a Java VM.

CGI is not supported. In the Windows CE.NET documentation, you will find notes on the conversion of CGI to ISAPI.

With the TwinCAT Ads Script DLL (CE), you can implement the connection with the TwinCAT CE environment.

ASP and Java Script are supported only by the image CX1800-0101 HMI.

www-root

The "www root" directory is located on the compact flash in the directory "\www" and is therefore available under "\hard disk\www" in the CE-device.
After providing additional HTML / ASP pages, they are available to external users as well via the HTTP protocol.

Protocol

The protocols HTTP and FTP are supported by all CE-device modules. The SMTP protocol is only supported by CE-device modules with large memory capacity.

The POP3 protocol is not supported by any CE-device module.


Shared Folder (File Server)

Operating Systems

SMB Server (Public Folder)

Attention: This functionality is supported by CE Images version 1.60 and above

Every Beckhoff CE Image is being deployed with a SMB Server installation. SMB stands for a network protocol, which is primarily been used for access to shared resources on a Windows operating system. The CE device (starting at Version 5.0) can be configured for two different access scenarios, which will be described in the following chapter. Afterwards, a short manual will describe step-by-step how you can share a folder on your CE device. At the end of this document you will find some important information about client systems which run under Windows Vista / 7.

Authenticate network users using NTLM

By default, every Windows CE installation uses the NTLM (NT LAN Manager) protocol to authenticate a remote access to the SMB Server. That means, if you access the CE device via the network, you must authenticate to the device before the access is granted.

For authentication you can use the following account, which is part of every Beckhoff CE installation:

  • Username: guest

  • Password: 1

However, you can also create new user accounts on the CE device and use them to manage access rights on your shares. To create a new user account, please do the following on your CE device:

  • Open the "Start Menu" and go to the "Control Panel"

  • Open the entry "CX Configuration" and select the tab "FTP"

·

  • The table lists all currently configured user accounts on the CE device. Here you can also create new user accounts or delete old ones

  • To create a new user account, right click a blank area in the table and select "Add user"

  • Enter a username and password and click on "OK"

  • Restart your device

After the device has been restarted, you can logon to your CE device via the network using the new created user account.

Note: Alternative you can use the tool CxAddUser to create NTLM user, additional info: here.

Don’t authenticate network users

If you don’t want to use authentication mechanisms for access to a shared folder, you can also deactivate user authentication in the Windows CE Registry:

  • Open the "Start Menu" and click on "Run…"

  • Enter "regedit" and click on "OK". This opens the Registry Editor

  • Browse to the registry key "HKEY_LOCAL_MACHINE\Services\SMBServer\Shares"

  • Edit the attribute "UseAuthentication" and set its value to "0"

  • Restart your CE device

After restart of the device you don´t need the autentication any more for access via network..

Creating new shares

The procedure for creating new shares is the same for both authentication scenarios. To create a new network share, you need to modify the Windows Registry on your CE device:

  • Open the "Start Menu" and click on "Run…"

  • Enter "regedit" and click on "OK". This opens the Registry Editor

  • Browse to "HKEY_LOCAL_MACHINE\Services\SMBServer\Shares"

  • All keys below "Shares" represent shares on your CE device

  • By default, a share named "Public" is being deployed to every Beckhoff CE device. However, if you don’t want this share, you can safely delete it by selecting it and clicking on the red cross icon in the menu bar above

  • There are three attributes needed for each share: Path (String), Type (DWORD), UserList (String)

  • The "Path" attribute provides the absolute path to the folder which should be shared, for example "\Public"

  • The "Type" attribute differentiates two types: set it to "0" if the share is a folder and set it to "1" if the share is a printer.

  • The "UserList" attribute contains a list of user accounts which may access the share, separated by a semicolon.

Please note: User accounts which are not listed in this attribute, won’t even see the share!

Therefore, creating a new share involves the following steps:

  • Creating the local folder which should be shared

  • Creating a new registry key below "HKEY_LOCAL_MACHINE\Services\SMBServer\Shares". The name of this new key represents the share name.

  • Creating the attributes "Path", "Type" and "UserList" under this new key and configuring them with the appropriate values

  • Restarting your CE device for changes to take effect.

Important information about client systems which run Windows Vista / 7

If you are using Windows Vista or Windows 7 and want to access a CE device from these operating systems, you must make sure to adapt the security policy on the Vista/7 devices. By default, Windows Vista and Windows 7 are configured to only accept version 2 of the NTLM protocol for network communications. Because Windows CE uses NTLM version 0.12, access will fail.

As a workaround, you can configure Windows Vista or Windows 7 to also accept older versions of NTLM:

  • Open the "Start Menu" and go to the "Control Panel"
  • Open "Administrative Tools" and start the "Local Security Policy"
  • Navigate to "Local Policies\Security Options"
  • Double-click on the entry "Network Security: LAN Manager authentication level" and select "Send LM & NTLM responses" in the dropdown box
  • Restart your system


Name / TCP-IP / AdsNetId / Screen Resolution

Operating Systems

Microsoft Shell (How to hide shell)

General :

By default the CE device boots up with Microsoft CE default shell, which looks similar to this :

There are two options to modify this view :

1. Option :

Change the wallpaper. In this case just the view is changed, but the functionality is still full available (Icons, etc)
Further details for changing the wallpaper.

2. Option :

Modify the registry key "HKLM\Init\Lauch50" which by default contains the value "explorer.exe" (This is the default shell)
To start without a shell change "explorer.exe" with "TaskMan.exe"

NOTE :

This way will change the functionality : No Start button, no Icons etc. (This is not a different wallpaper)
Here customers can start their own application and hide default shell.

NOTE:
Default shell "explorer.exe" cannot be started additionally.

Modified shell looks like this :


CE : Install additional software / drivers

Operating Systems

Install additional software / drivers

Installing additional software on BECKHOFF CE devices please note :

  • Normally the standard installation path is "\Windows", but this folder is non persistant on BECKHOFF CE devices.
  • Instead use \hard disk\system folder to keep the files persistant

Required registry settings :

If the software requires additional registry keys, we recommend to place a registry file containing the settings in folder \hard disk\RegFiles

With a double click the registry files will be imported into device registry.


CE : Modify Keyboard Layout

Operating Systems

Keyboard Layouts

Keyboard layouts can be adapted to country specific keyboards.

1. Download required files from FTP Serverhttp://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/KeyBoardLayout/

NOTE: Different files are avalable on FTP for CE5 and CE6 platform.CE5 and CE6 Beachten Sie, dass für CE5 und CE6 unterschiedliche Dateien vorhanden sind.

2. Folder X86 contains components for X86 based CE devices : CX1000 / CX1020 / CP62xx / C69xx
Folder ARMV4i contains components for ARM based CE devices : CX9000 / CP6608 / ...

3. For each language two files are required : one resource-DLL and one registry file.

Folder USB contains these files, if a USB based keyboard is available.
Folder PS2 contains these files, if a PS2 and/or USB based keyboard is available.

4. The registry files have to be provided in folder \hard disk\RegFiles

5. The resource-DLL have to be provided in folder \hard disk\system

Requirements :

  • CE device with Windows CE5 and CE6
  • The keyboard layout has to be supported by the image (The locale has to be included in the image).

    Currently the standard image supports :

    0x0804 Chinese PRC
    0x0413 Dutch Netherlands
    0x0405 Czech Czech Republic
    0x0406 Danish Denmark
    0x0409 English United States
    0x040b Finnish Finland
    0x040c French France
    0x0407 German Germany
    0x040e Hungarian Hungary
    0x0410 Italian Italy
    0x0411 Japanese Japan
    0x0412 Korean Korea
    0x0415 Polish Poland
    0x0419 Russian Russia
    0x040a Spanish Spain
    0x041d Swedish Sweden


CE SDK

Operating Systems

SDK (Software Development Kit)

This page contains information how to implement native C++ code for CE devices with Microsoft embVC++ 4 or Microsoft Visual Studio 2003/ 2005.

Installation BECKHOFF-SDK:

Beckhoff SDK are available royalty free:

Download : http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/SDK/

  • HMI_500_Vx.x_SDK.msi (65 MB) : Beckhoff -SDK for Beckhoff-CE5 devices (like CX1010 / CX1020 / CX9000 / Ethernetpanel / CP62xx / C69xx...)
  • HMI_600_Vx.x_SDK.msi (15 MB) : Beckhoff -SDK for Beckhoff-CE6 devices (like CX1010 / CX1020 / CX9000 / Ethernetpanel / CP62xx / C69xx...)

    History: Earlyer SDK versions are available for download from FTP
    http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/SDK/History

VS2003/2005 : Project migration to current SDK

Porting older Visual Studio C++ - projects compiled against previous SDK versions to be compiled with new SDK these steps have to be done once:
(for future SDK versions these steps do not have to be done again)

  • Open with texteditor (Notepad etc.) the projectfile <projektname>.vcproj
  • Serach for all old SDK entries and replace them with new onces

    Serach for
    "     HMI_500_V1.1 (x86)" und "HMI_500_V1.2 (x86)"

    repleace
    "Beckhoff_HMI_500 (x86)"

     Serach for
    "     HMI_500_V1.1 (ARMV4I)" und "HMI_500_V1.2 (ARMV4I)"

    Replace
    "Beckhoff_HMI_500 (ARMV4I)"

Sample:

Old SDK:

        <Platforms>

    <Platform

        Name="HMI_500_V1.1 (x86)"

    />

</Platforms>

<ToolFiles>

</ToolFiles>

<Configurations>

<Configuration

    Name="Debug|HMI_500_V1.1 (x86)"

OutputDirectory="$(PlatformName)\$(ConfigurationName)"

IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"

    ...

New SDK:

        <Platforms>

    <Platform

        Name="Beckhoff_HMI_500
(x86)"

    />

</Platforms>

<ToolFiles>

</ToolFiles>

<Configurations>

<Configuration

    Name="Debug|Beckhoff_HMI_500
(x86)"

OutputDirectory="$(PlatformName)\$(ConfigurationName)"

IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"

    ...


Creating an ActiveSync Connection

This page describes the steps for the creation of an ActiveSync connection between the CX device ( CX1000/CX1020/CX9000) and the host PC. An ActiveSync connection is recommended for implementing, and particularly for testing (debugging), of applications under MS embVC++4 or MS Visual Studio .NET 2003. Sometimes an ActiveSync connection is useful for the creation of HMI Scada solutions.

Creating an ActiveSync connection is not required: Applications can also be copied directly to the Compact Flash cards by using Compact Flash adapters.

1. Requirements:

Required software on the host PC:

  • Windows NT/2000/XP
  • Microsoft ActiveSync 3.x (available from Microsoft without license)

Required hardware:

  • Null modem cable for connection between the CX device and the host PC.
    Documentation of Null modem cable
  • Optional: A TCP/IP a Connection Between CX and Host PC

2. Connection establishment:

1. After the installation of the Microsoft ActiveSync software on the host PC, Active Sync must be started. The available communication interfaces are created with "Get connected".

When running a CX device for the first time, the serial interface must be used here.

2. No separate setting need to be done on the CX platform. To start the connection to the host PC, click the "Start" button on the CX1000/CX1020/CX9000, select "Run" and enter "Repllog".

3. After confirming with "OK" the CX device will access the host PC, to which it is connected through a null modem cable, and try to establish a connection to this PC. If the connection was successfully created, you will be prompted to confirm a so-called "partnership" between the host PC and CX device. After confirming, this one-time creation of the ActiveSync connection is finished.

Note for ActiveSync via Ethernet Interface:

The first connection between the host PC and the CX1000/CX1020/CX9000 is possible only through a serial interface. Later, a faster connection can be made via Ethernet. It permits a significantly faster ActiveSync connection between the host PC and CX device.
Please note that sometimes the serial cable must still be available even if the Ethernet interface is used.

To start an ActiveSync connection via Ethernet, go to the "Start" button on the CX device, then to "Run" and enter "Repllog /remote". Then select your host PC from the list and start the connection with "Connect".

Saving settings to the compact flash card:

To accept the settings on the CF card, the CX device must be shut down with "Start" and "Suspend". Only with "Suspend" the registry of the CE operating system is saved back to the compact flash of the CX1000/CX1020/CX9000.


Establish a TCP connection for Remote Tools

This page describes how to establish a TCP connection to CE devices for use of Remote Tools , like Remote Debugging, Remote Registry Editor, Remote File Explorer ...

1. Requirements:

Required software on host-pc:

  • Microsoft embedded Visual C++4 (available royalty free from Microsoft)

Required hardware:

  • TCP/IP cabling between host-pc and CE-device

2. Configuration on host pc:

To configure the connection to a target device

  1. From the Tools menu, choose "Configure Platform Manager..."
  2. Expand the Windows CE Default Platform nodes

    Select the entry for your device (example "HMI_500_V1.1 Device") , and then choose Properties.

  3. In the Transport box, choose a transport, and then choose Configure.

  4. In this situation, you must choose TCP/IP Transport for Windows CE.
    Select "Configure" here.

  5. Customize the settings for the transport, enter the IP adress of your host-pc here.
    Then choose OK.
  6. Back in previous dialog, we can test the connection by selecting "Test".
    As a result this dialog apperas :

  7. Follow the instruction "Launch CEMGRC.exe" with command line on the CE-device

  8. On CE device select "Start->Run" and type in the full line "CEMGRC.exe /t:...."
    Finish with click on "OK"

    If you also clicked "OK" on the host pc the connection will be established and the host-pc and CE device are connected.
    Remote Tools will work now.


Implementation under Microsoft embedded VC++ 4

This page contains information for the implementation of CE applications for the CX1000/CX1020/CX9000 CE platform using Microsoft embVC++ 4.

1. Requirements:

Required software on the host PC:

  • Windows NT/2000/XP
  • Microsoft Embedded VC4 (available from Microsoft without license)
  • Beckhoff CX1000 SDK (available from Beckhoff without license)

Optional:

  • Microsoft ActiveSync 3.x (available from Microsoft without license)
    An ActiveSync connection facilitates the implementation and testing of software on CE devices.
    Instructions for the Creation of the Microsoft ActiveSync Connection

2. Installation of CX1000 SDK:

See article "BECKHOFF SDK"

3. Implementation under embVC++ 4:

After installing the SDKs, they are available in the embVC++ 4 development environment. For a CE project on the CX device, please select "Win32 (WCEx86)" as supported platform. With selection of the platform "Win32 (WCE emulator)", the CE application can be tested first in the emulator even without CE hardware.

In the development environment, you now have access to the installed Beckhoff CX1000 SDKs.

You can now create your C++ application. For connection with TwinCAT, CE sample applications are available in the Beckhoff Information System in the section "Connectivity ->TcAdsDll".

If an ActiveSync connection was successfully created, the application can be loaded directly to the CX device and executed. Debugging the CX application is also possible from the embVC4++ environment in this way.

Note for:

embVC++3: Applications created under embVC++3 are executable on the CX platform. However, it is not possible to load applications to the CX device or debug them from the embVC++ 3 environment.

embVB3: Applications created under embVB3 are executable on the CX platform. However, it is not possible to load applications to the CX device or debug them from the embVB 3 environment. Beckhoff does not offer ADS connection for the embVB3 environment.


CX Emulator for MS Visual Studio .NET 2003/2005

Operating Systems

CX Emulator for MS Visual Studio .NET

This page describes the steps for the installation of a CX emulator with integrated TwinCAT components. The emulator is used to implement and test HMI applications under Microsoft Visual Studio .NET without CX1000/CX1020/CX9000 hardware.

Required software on the host PC:

  • Windows NT/2000/XP
  • Microsoft Visual Studio .NET

Beckhoff CX Emulator for Visual Studio .NET

The Beckhoff CX emulator is an extended version of the standard SDK emulator. This extended version includes TwinCAT components. It is thus possible to start an HMI application in the CE emulator and to create an ADS communication to a running TwinCAT PLC application on the host PC via a virtual network from the emulator.

The emulator allows thus implementing and testing a CX-VS .NET application without CX hardware.

Installation of the emulator:

1. Download from the Beckhoff-FTP-Server
http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/CX_Emulator/emulator.zip (18 MB)

2. Zip file contains an installation. During installation additional components will be downloaded from Microsoft web.

3. Modify batchfile "StartEmulator" with your local settings.

Now the emulator can be started via the batch file.

NOTE :

- we tested with Microsoft Visual Studio .NET 2003 and 2005.

- A virtual network connection between host-PC and emulator can be established if host-PC is connected to network. ( linksignal required)

The Microsoft standard emulator is extended with TwinCAT components in the Beckhoff version:


Implementation under Microsoft Visual Studio .NET 2003

Operating Systems

Implementation under Microsoft Visual Studio .NET 2003 / 2005

This page contains information for the implementation of a .NET CE application for the CE platform using Microsoft VS .NET 20xx.

1. Requirements:

Required software on the host PC:

  • Windows NT/2000/XP
  • Microsoft Visual Studio .NET 200x

Optional:

  • Connection between host PC and CE device see article "Remote Debugging VS2003" and "Remote Debugging VS20xx"

Required software on the CE device:

  • The CE target device needs the .NET Compact Framework.
    • Only devices without : CX9000/CX1000

Overview .NET-CF versions in the CE-Images:

  • CE4.1 up to Image V1.59 : Contains .NET CF Framework 1
  • CE4.2 : Contains .NET CF Framework 1
  • CE5 : Contains .NET CF Framework 1 and 2
  • CE6: Contains .NET CF Framework 1 and 2, it can be used .NET CF 3.5 by adding files

2. Implementation under VS .NET 200x:

Create a new project and select "Smart Device Application" as the project template. This project type allows creating CE applications based on the Compact Framework by Microsoft.

In the next step, please select "Windows CE" as the target platform.

You can now implement your CE applications and test them in the "Windows CE.NET Emulator" and also load and debug them on the "Windows CE.NET Device" (the CX1000, in this case).

Please note that, for .NET applications on the CX1000 under CE, the image "CX1800-0101"* must be available. This image includes the Microsoft Compact Framework.


Implementation under Microsoft Visual Studio .NET 2003

Operating Systems

Remote Debugging under Microsoft Visual Studio .NET 2003

This page contains information about creating applications on the HOST development PC with Microsoft VS .NET 2003 CE, and debugging them through the source code, in cases where the application itself runs on the actual target CE-device.

Remote debugging is part of the Microsoft development environment. The ActiveSync connection allows the remote debugging to proceed efficiently and effectively over Ethernet. The disadvantage of the ActiveSync connection is that creating the ActiveSync connection can frequently call for considerable effort: it is first necessary to establish a serial connection between the CE-device and the HOST-PC through a serial null-modem cable, and only then can the higher performance Ethernet interface be selected.

The "Smart Device Utility" variant described here is based on the add-on package for the Windows CE service programs for Visual Studio .NET 2003.

1. Requirements:

Required software on the host PC:

  • Microsoft Visual Studio .NET 2003

  • In order to create the connection for remote debugging by means of Smart Device Utility it is necessary to have the Microsoft Windows CE .NET Utilities for Visual Studio .NET 2003.EXE software. This is freely available on the Internet.

Required software on the CX1000:

  • The files SDAuthUtilDevice.exeandtoolhelp.dllmust be contained in the \hard disk\system directory.
  • Download CE5_DbgHlp.zip from http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/VS_NET20xx_DbgHelp/
    If FTP area access require a password, please contact Beckhoff support hotline.

    Unzip the file and copy the contents to CE5 device folder \hard disk\system

2. Establishing the connection:

  • On the CE-device : Start the \hard disk\system\SDAuthUtilDevice.exe tool, and click "Start". The IP address of the CE-device is now displayed; the CE-device is ready to respond to communication.
  • On the HOST-PC in Visual Studio 2003: Open the "Tools" menu and select "Smart Device Authentication Utility". Enter the IP address of the CE-device, and finish by selecting "Set up device".
    If the connection to the CE-device is successfully established, the message "Device has been prepped and ConmanClient.exe has been successfully launched" appears.
    Confirming with "OK" and "Close" will close the utility, and the connection to the CE-device will have been made.
  • In Visual Studio 2003 it is now only necessary to choose "Windows CE.NET Device" as the selected destination device. Here, under transport, "TCP transport connection", by selecting "Configure...", the IP address of the CE-device should be entered into the "Use special IP address" box.


Remote Debugging of CE apps under Microsoft Visual Studio .NET 20xx

Debugging on CE device without ActiveSync

Without the help of ActiveSync, VS20xx does not automatically copy the connectivity binaries down to the device and hence debugging becomes problematic.
In order to use debugger on Windows-CE devices without active sync, you need to:

NOTE:
Implementing native C++ code under VS20xx requires to install the Beckhoff-SDK for CE
See article "BECKHOFF SDK"

Step 1. Manually copy some files down to the CE-device

  • To establish remote debugging you have to transfer some required files to the target CE-device.

    Unfortunately each version of Visual Studio .NET (and also the installed Service Packs) provides different versions of the required files to enable remote debugging.
    So it's not possible to establish a remote debugging connection from a host-PC running VS2005-SP1 to a CE-device with files from VS2005 (wothout SP)

    The required files are availble on your Visual Studio .NET host-PC, see folder

    "C:\Program Files\Common Files\Microsoft Shared\CoreCon\<yyyy>\Target\wce400" (note that <yyyy> may be differ from time to time)

    Xcopy all file from correct subfolder to your CE-Device:

    BEKCHOFF-CE-X86 devices: xcopy all components of subfolder \wce400\x86
    BECKHOFF-CE-ARM devices: xcopy all components of subfolder \wce400\ARMV4i

Step 2. Manually launch files on CE device

  • On the CE device side, first open the command prompt and run "Conmanclient2.exe"

Step 3. Set the correct IP address

  • On the host side, open VS 20xx
  • Goto "Tools-->options-->device tools-->devices"
  • Choose Windows CE device, click on “properties”.
  • On the “Windows CE device properties” dialog, click on “configure”.
  • On the “Configure TCP/IP” Transport dialog, choose “use specific IP address” and type in the IP address of your windows CE device.
  • Click OK

Step 4. Enable the connection

  • On CE device : Open the command prompt and run "cMaccept.exe"
  • Connect to the device within 3 minutes after you run cMaccept.exe. (The 3 minutes window is for the first connection. As long as you establish the first connection within 3 minutes, the following deployment/debugging sessions using the same VS instance is not limited by this 3 minutes window)
  • You need to perform Step 4 again when you try to connect from another instance of VS.
  • Now debugger is ready to go, and you should be able to deploy and debug program(s) running on Windows CE device now.


Embedded-PC: Allgemeine Software Erstellung

Operating Systems

Subsequent installation of CE .NET CF 3.5 components on X86 devices

CE6 Images contain the .NET CF 1 and 2. For X86 devices a subsequent installation of .NET CF 3.5 can be done. To do this see the Beckhoff FTP server for downloading the .NET CF 3.5 component.

http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/NET35/

After that copy the DLL in the system directory and copy netcfv35.reg to the RegFiles and execute. The installation is completed with a new start of the device.


Installing CE based supplement products

Operating Systems

Installing Supplement products

Overview

Supplement products are available for CE based images running on various platforms like CX1000, CX1020, CX9000, Ethernetpanels, IPCs etc.

List of supplement products :

Supplement product | documentation | available platform
TwinCAT OPC Server CE | additional info | OPC-DA server available for X86 / ARM PPC / ARM HPC / MIPS OPC-XMLDA server available for X86 / ARM
TwinCAT ADS CE | additional info | X86 / ARM PPC / ARM HPC / MIPS /
TwinCAT XML Data Server CE | additional info | X86 / ARM
TwinCAT TCP Server CE | additional info | X86 / ARM
TwinCAT Modbus Server CE | additional info | X86 / ARM
TwinCAT PLC HMI CE | additional info | X86 / ARM
TwinCAT-Virtual-Serial-COM-Driver | additional info | Windows CE 6.0, X86 / ARM

Installation

In case of ordering supplement products in combination with BECKHOFF hardware components BECKHOFF will preinstall the software in the CE images.
Customer receive ready to power on devices, no extra installation have to be done.

If not ordered in a bundle or in case of installing supplement products on not-BECKHOFF hardware (like OPC-Server CE on MIPS platform) there is a two-step installation procedure :

  • Step 1 :
     Install the supplement software on a host PC.
    With entering the required license key and applying to license agreement the supplement software will be installed into ..\TwinCAT\CE subfolder on your PC

     Sample TwinCAT OPC Server CE :
     Installing the software on host-pc will create a folder "..\TwinCAT\CE\OPC" containing the CE *.cab installation files (like TcOpcXmlSvrCe.I586.CAB)

  • Step 2 :
     Transfer the CE-cab installation file to the CE device (via memory stick / FTP / public folder / CF-adapter..).
    While CE device running double click on cab file and follow documentation. After installation has finished the cab file will destroy itself.


Overview

General

For BECKHOFF embedded products based on CE operating system there are different SCADA packages with driver adaption to TwinCAT system available.

In general SCADA CE Run-Time versions require large memory version..

  • The SCADA CE Run-Time modules can be ordered pre-installed on a CE based BECKHOFF system. The required SCADA license has to be ordered at the Scada vendor.
    BECKHOFF "only" offers the service to preinstall the third-party software on CE devices.
  • The necessary editors / IDE's for designing the HMI solution have to be ordered from the respective SCADA supplier

For those SCADA applications, a CE based system with bigger memory must be used.

SCADA editor / Support / Trainig | Produkt Beschreibung
SCADA vendor: BECKHOFF | TwinCAT PLC HMI CE Product of company BECKHOFF Automation, Verl, Deutschland
SCADA vendor: CopaData | zenOn CE NET Runtime Product of company Copa-Data, Salzburg, Österreich
SCADA vendor: Hilscher Swiss | QVis CE NET Runtime Product of company Hilscher Swiss, Solothurn, Schweiz
SCADA vendor: Progea | MovXCE NET Runtime Product of company Progea, Modena, Italien
SCADA vendor: InduSoft | InduSoft CE NET Runtime Product of company InduSoft, USA


USB to seriell

Operating Systems

Usage of a W&T USB-Com-Adapter under WinCE 5.0

In order to use a USB-COM-Adapter from W&T (see www.wut.de, Serial Interfaces, 38001 USB <> RS232 Interface Cable with USB supply) or compatible adapter on a CX10xx, the WinCE 5.0 Image has to be adjusted.

Copying of the driver-DLL:

The driver-Dll ftdi_ser.dll supports only FTDI-Chips with the Product-ID PID_6001, PID_6010, PID_6011and PID_6012 under WinCE 5.0. The ftdi_ser.dll has to be copied via USB-Stick or network to the Compact Flash into the folder "\Hard Disk\System". If the copying is done with a CF-Card-Adapter outside of the CX, then the ftdi_ser.dll has to be copied into the folder "X:\System", the "X" stands for the drive letter. A Zip-File with the DLL is here: ftdi_ser.zip.

Setup of the Registry:

The Reg-File "FTDI_USB2COM_COM5.reg" has to be copied into the folder "\Hard Disk\RegFiles" in order to setup the USB-COM-Port as COM5:. A Zip-File with the Reg-File is here: FTDI_USB2COM_COM5.zip.

;-------------------------------------------------------------------------------

; FDTI USB 2 COM Adapter Settings (PID_6001) for COM5:
;
; for PID_6010 change 24577 -> 24592
; for PID_6011 change 24577 -> 24593
; for PID_6012 change 24577 -> 24594
;-------------------------------------------------------------------------------
[HKEY_LOCAL_MACHINE\Drivers\USB\ClientDrivers\FTDI_DEVICE]
[HKEY_LOCAL_MACHINE\Drivers\USB\FTDI_DEVICE]
"InitialIndex"=dword:5
"ActiveSyncSetting"=dword:0003e880
"LatencyTimer"=dword:00000010
"Index"=dword:0
"DeviceArrayIndex"=dword:0
"Version"="1.0.2.9"
"Prefix"="COM"
"Dll"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\FTDI_DEVICE\Unimodem]
"DevConfig"=hex:\
10,00,00,00,05,00,00,00,10,01,00,00,00,4b,00,00,00,00,08,00,00,00,00,00,00

"FriendlyName"="Serial Cable on COM Port"
"DeviceType"=dword:00000000
"Tsp"="Unimodem.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24577\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24592\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24593\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24594\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"

The Reg-File "FTDI_USB2COM_COM5_Modem.reg" has to be copied into the folder "\Hard Disk\RegFiles" in order to setup the USB-COM-Port as COM5: for a hayes compatible modem. A Zip-File with the Reg-File is here: FTDI_USB2COM_COM5_Modem.zip.

;-------------------------------------------------------------------------------

; FDTI USB 2 COM Adapter Settings (PID_6001) for COM5:
;
; for PID_6010 change 24577 -> 24592
; for PID_6011 change 24577 -> 24593
; for PID_6012 change 24577 -> 24594
;-------------------------------------------------------------------------------
[HKEY_LOCAL_MACHINE\Drivers\USB\ClientDrivers\FTDI_DEVICE]
[HKEY_LOCAL_MACHINE\Drivers\USB\FTDI_DEVICE]
"InitialIndex"=dword:5
"ActiveSyncSetting"=dword:0003e880
"LatencyTimer"=dword:00000010
"Index"=dword:0
"DeviceArrayIndex"=dword:0
"Version"="1.0.2.9"
"Prefix"="COM"
"Dll"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\FTDI_DEVICE\Unimodem]
"DevConfig"=hex:\
10,00,00,00,05,00,00,00,10,01,00,00,00,4b,00,00,00,00,08,00,00,00,00,00,00

"FriendlyName"="Serial Cable on COM Port"
"DeviceType"=dword:00000000
"Tsp"="Unimodem.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24577\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24592\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24593\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
[HKEY_LOCAL_MACHINE\Drivers\USB\LoadClients\1027_24594\Default\Default\FTDI_DEVICE]

"DLL"="ftdi_ser.dll"
;
-----------------------------------------------------------------------

; set USB-COM5-Modem
;
-----------------------------------------------------------------------

[HKEY_LOCAL_MACHINE\Comm\ppp\Server\Line\Hayes Compatible on
COM1:]
"DisconnectIdleSeconds"=dword:00000000
"Flags"=dword:00000000
"DeviceType"="modem"
"Enable"=dword:00000000
[HKEY_LOCAL_MACHINE\Comm\ppp\Server\Line\Hayes Compatible on
COM5:]
"DisconnectIdleSeconds"=dword:00000000
"Flags"=dword:00000000
"DeviceType"="modem"
"Enable"=dword:00000001
[HKEY_LOCAL_MACHINE\ExtModems\HayesCompat]
"FriendlyName"="Hayes Compatible on
COM5:"
"Port"="COM5:"
"CmdSendDelay"=dword:000001F4
"DeviceType"=dword:00000001
;
-----------------------------------------------------------------------

; enable ras
;
-----------------------------------------------------------------------

[HKEY_LOCAL_MACHINE\Comm\ppp\Server\Parms]
"Enable"=dword:00000001
[HKEY_LOCAL_MACHINE\SOFTWARE\Beckhoff\RasServer]
[HKEY_LOCAL_MACHINE\SOFTWARE\Beckhoff\RasServer\User]
"guest"="guest"

The Reg-Files of the folder "\Hard Disk\RegFiles" are automatically imported if the registry is beeing created. That is done with the first boot of the CX or if there is no folder "\Hard disk\Documents and Settings" or after an update of the NK.bin. If the registry already exists (f.i. if the CX is already running), then the file has to be activated manually by double click.

A RAS/FTP-user guest with passwort 1 can be created via CxRunOnce.CMD. The file has to be copied into the folder "\Hard Disk\System" or the already existing file has to be changed. As with the Reg-files the CxRunOnce.CMD is beeing executed at the first boot of the CX. If the CX is already running, then the file has to be activated manually by double click. A Zip-File with the CMD-File is here: CxRunOnce.zip.

CxAddUser guest 1 0

Using of a different COM-Port than COM5:

The Reg-Files are prepared for COM5:, because the ports COM1: ... COM4: are reserved for local COM-Ports (system interfaces CX10x0-N03x or CX10x0-N04x) directly on the CX10xx. If a higher port than COM5: shall be used, then the Reg-File entry InitialIndex of te FTDI-device needs to be adjusted (f.i. 8 for COM8:).

[HKEY_LOCAL_MACHINE\Drivers\USB\FTDI_DEVICE]
"InitialIndex"=dword:5

Attaching adapter and Reboot:

At the end the adapter can be attached to the USB-Port of the CX10xx and the CX10xx has to be rebooted.

Attention:

The functionality is only available for CE Image versions based on WinCE 5.0 for CX10xx.

Only USB-COM-Adapters with the Product-ID PID_6001, PID_6010, PID_6011and PID_6012 are supported.


Sound Modul CX1000-N003

Operating Systems

Audio Modul CX1000-N003 (for CX1000) resp. CX1020-N020 (for CX1020)

The necessary one-time configuration is done conveniently on the CX1000/CX1020 via the Beckhoff software "START - Settings - Control Panel - CX Configuration Tool".

Navigate to tab "Miscellaneous".

Activation of Audio-Modul CX1000-N003/CX1020-N020 :

- Activate "Enable Audio Device"

Deactivation of Audio-Modul CX1000-N003/CX1020-N020 :

- Deactivate "Enable Audio Device"

NOTE:
See this additional info for easy customer image adaption.

Attention:

This functionalitiy is supported from CX1000 Image version 1.60 (based on CE4.2).


Touch Panel: Calibration

To calibrate the touch on a CE device do this :

On the CE device select "Start" --> "Settings" --> Control Panel" --> "CxConfiguration" --> "Display Settings".

By selecting "Calibrate TouchScreen" the touch panel will be re-calibrated.


CE Image update

To update a BECKHOFF CE device with a new CE image has to be handled different depending on the device:

IMPORTANT:

  • Take care to update the "correct" CE-image which fits to the target platform !!
  • License

    In general take care on the correct level of Microsoft CE license!

    Sample:
    If the CE device was shipped with a CE5 license sticker you are allowed to run all CE5 and previous CE versions (like CE4.1 and CE4.2).
    Instead it's not allowed to run a CE6 image - in this case contact Beckhoff and request a license update.

Content

  • X86 based CX1000 / CX1001 / CX1010 / CX1020 / CX1030
  • ARM based CX9000
  • ARM based CX9001 / CX9010 / CP6608
  • X86 based CP62xx / C60xx

x86 based : CX1000 / CX1001 / CX1010 / CX1020 / CX1030

  • these devices are shipped with a CF card
  • delete old content from CF card
  • xcopy new content to empty CF card
  • OPTIONAL:
    For specific presettings copy the required files from \hard disk\RegFiles\Samples\Common to \hard disk\RegFiles\
  • insert CF card into device and power up device
  • the device will boot and create it's default registry (\hard disk\Documents and Settings)
    If available, all available registry files (\hard disk\RegFiles\*.reg) will be imported and the device reboots once again

    See article

ARM based : CX9000

  • these devices are shipped with one internal flash
  • see detailed article in CX9-hardware documentation how to update the image
  • NOTE:
    • Updateing the CX9000 device is a "two step procedure":
      If the second step is not proceeded, the device will have extrem limitted functionality like : no "default-NTLM-user", no "public folder", no "UPnP Web-configurationpage" etc.
    • First step:

      The CX9000 device is based on ONE single 16MB flash module - by updating this single flash module with new image-version this single flash module will be formatted and all user data and device settings are lost

      After flashing the new image the folder \hard disk is nearly empty !
    • Second step:

      Provide all other folders and files to \hard disk of device (like \hard disk\system and \hard disk\UPnP ...)
      Rename "\hard disk\Documents and settings" (e.g. to name "oldreg") and restart device again.
      After reboot the device creates a new default registry (\hard disk\Documents and Settings) so delete the old renamed folder (sample here "oldreg")

  • OPTIONAL:
    For specific presettings copy the required files from \hard disk\RegFiles\Samples\Common to \hard disk\RegFiles\
  • insert CF card into device and power up device
  • the device will boot and create it's default registry (\hard disk\Documents and Settings)
    If available, all available registry files (\hard disk\RegFiles\*.reg) will be imported and the device reboots once again

    See article

ARM based : CX9001 / CX9010 / CP6608

  • these devices are shipped with two internal flash modules
  • see detailed article in CX9-hardware documentation how to update the image
  • NOTE:
    • Updateing the CX9001/CX9010/CP6608 device is a "two step procedure":
      If the second step is not proceeded, the device will have extrem limitted functionality like : no "default-NTLM-user", no "public folder", no "UPnP Web-configurationpage" etc.
    • First step:

      The device is based on two 16MB flash modules - by updating with new image-version the first flash module will be formatted. All user data and device settings are still existing on (\hard disk) ! (This is the difference to CX9000 providing only one single flash module)
    • Second step:

      The persistant folder \hard disk\ is located on the second flash module.

      We highly recommend to also update the \hard disk\ folders (like system and UPnP) to have a consistant flashed image and the correct file for that specific image.

      Please note, that the contents of \system and \UpnP is different between CE5 and CE6 image:

      Again: Always make FULL update 1.) Flash image and 2.) update \hard disk\components

      Doing so provide all other folders and files to \hard disk of device (like \hard disk\system and \hard disk\UPnP ...)
      Rename "\hard disk\Documents and settings" (e.g. to name "oldreg") and restart device again.
      After reboot the device creates a new default registry (\hard disk\Documents and Settings) so delete the old renamed folder (sample here "oldreg")
  • OPTIONAL:
    For specific presettings copy the required files from \hard disk\RegFiles\Samples\Common to \hard disk\RegFiles\
  • insert CF card into device and power up device
  • the device will boot and create it's default registry (\hard disk\Documents and Settings)
    If available, all available registry files (\hard disk\RegFiles\*.reg) will be imported and the device reboots once again

    See article

x86 based : CP62xx / C69xx

  • these devices are shipped with a CF card
  • delete old content from CF card
  • xcopy new content to empty CF card
  • IMPORTANT:
    Depending of your device (CP62xx or C60xx) and on the screen-resolution copy one file into folder \hard disk\Regfiles !

    If this step is missing, your device will reboot cyclic or the device will not show a correct user-shell

    Sample:

    CP62xx with screen-resolution 800*600:
    copy from: \hard disk\RegFiles\Samples\CP62xx\CP62xx_Resolution_800_600.reg
    copy to \hard disk\RegFiles\CP62xx_Resolution_800_600.reg

    CP69xx with screen-resolution 1024*768:
    copy from: \hard disk\RegFiles\Samples\C69xx\C69xx_Resolution_1024_768.reg
    copy to \hard disk\RegFiles\C69xx_Resolution_1024_768.reg

  • insert CF card into device and power up device
  • the device will boot, create it's default registry (\hard disk\Documents and Settings) , import all available registry files (\hard disk\RegFiles\*,reg) and reboot once again
    See article


Overview

Overview basis Images for CX1000 and CX1020 with CE 5.0 Operating System (from CX1000 CE Image 2.10 and from CX1020 CE Image 2.04)

--> Overview components of CE-Images

Product number | Description | Required CX1000 model | Available RAM | Required memory on CF*
CX1800-0100-000x | LF Image (Low Footprint) with Windows CE.NET - Platform with low memory supply - Default Image if no special CX image specification was ordered | - |  | approx. 8,8 MB
CX1800-0100 | Image for CX1000 | CX1000-xxxx (small memory CPU 32 MB) | 8 MB | approx. 8,8 MB
CX1800-0100-0002 | Image for CX1020 | - |  | approx. 8,8 MB
CX1800-0101-000x | HMI Image with Windows CE.NET - Platform with the most components (e.g. Internet Explorer, ASP support and .NET Compact Framework, the platform for .NET applications) - Default Image for CX with large memory supply - Default Base-Image, if CX is ordered with a SCADA runtime licence. |  |  | approx.12,0 MB
CX1800-0101 | Image for CX1000 | CX1001-xxxx (small memory CPU 128 MB) | 100 MB | approx.12,0 MB
CX1800-0101-0002 | Image for CX1020 | - |  | approx.12,0 MB

Overview basis Images for CX1000 with CE 4.2 / CE5 Operating System (from CX1000 CE Image 1.60)

--> Overview components of CE-Images

Product number | Description | Required CX1000 model | Available RAM | Required memory on CF*
CX1800-0100 | LF Image (Low Footprint) with Windows CE.NET - Platform with low memory supply - Default Image for CX1000-xxxx (small memory CPU 32 MB) | CX1000-xxxx (small memory CPU 32 MB) | 8 MB | approx. 8,8 MB
CX1800-0101 | HMI Image with Windows CE.NET - Platform with the most components (e.g. Internet Explorer, ASP support and .NET Compact Framework, the platform for .NET applications) - Default Image for CX1001-xxxx (memory CPU 128 MB) - Default Base-Image, if CX1000 is ordered with a SCADA runtime licence. | CX1001-xxxx (small memory CPU 128 MB) | 100 MB | approx.12,0 MB

Overview basis Images for CX1000 with CE 4.1 Operating System (till CX1000 CE Image 1.59)

--> Overview components of CE-Images

Product number | Description | Required CX1000 model | Available RAM | Required memory on CF*
CX1800-0100 | LF Image (Low Footprint) with Windows CE.NET - Platform with low memory supply - Default Image for CX1000-xxxx | CX1000-xxxx (small memory CPU: 32 MB) | 8 MB | approx. 8,8 MB
CX1800-0101 | HMI Image with Windows CE.NET - Platform with the most components (e.g. Internet Explorer and ASP support) - Default Image for CX1001-xxxx - Default Base-Image, if CX1000 is ordered with a SCADA runtime licence. - Requires CX1001-xxxx | CX1001-xxxx (large memory CPU: 128 MB) | 100 MB | approx. 12,0 MB
CX1800-0102 | .NET Image with Windows CE.NET - Windows CE.NET Image with .NET Compact Framework, the platform for .NET applications - Image for building .NET applications on CX1000 - Requires CX1001-xxxx | CX1001-xxxx (large memory CPU: 128 MB) | 100 MB | approx. 9,0 MB

CF*: compact flash card


Components

Operating Systems

Components of CX Images from version 2.00

Overview of components of basic CE images from version 2.xx (CE 5.0 based)

Feature / Platform | CX1800-0100-000x LF | CX1800-0101-000x HMI
ATL, MFC | X | X
XML DOM | X | X
COM | X | X
COM Storage | X | X
Winsock | X | X
TCP/IP | X | X
UPnP |  |
Control Point | - | X
Device Host | - | X
SOAP |  |
Client | - | X
Server | - | X
DCOM | - | X
OBEX | - | X
MSMQ | - | X
Server |  |
HTTP / ASP / FTP / SNTP -Server | X | X
RAS -Server | - | X
HTML / DHTML, SSL, ISAPI Extension | X | X
IIS, IE 6.x, Java Script | - | X
Java Applets | on request
.NET Compact Framework | - | X
RDP Client (Remote Desktop protocol) | - | X
TwinCAT (Option, all Images also available without TwinCAT) | X | X
USB support | X | X
Printer, Storage e.g. CompactFlash | X | X
HID (Human interface devices) | X | X
Touch | X | X
S-Keys | X | X
Media Player, Print Server | - | X


Components

Overview of components of basic CE images from version 1.60

Note 1:
From V1.60 the images are based on CE4.2
From V2.00 the images are based on CE5.0

Note 2:
All CE Images from V1.60 are reorganised : Images CX1800-0101HMI and CX1800-0102 NET are merged into CX1800-0101HMI.
This allows applications supporting full IIS-features (like ASP technologie) and in parallel Microsoft NET Compact-Framework based applications.

Feature / Platform | CX1800-0100 LF | CX1800-0101 HMI
ATL, MFC | X | X
XML DOM | X | X
COM | X | X
COM Storage | X | X
Winsock | X | X
TCP/IP | X | X
Shared Folder (File Server) | X | X
SNTP : Simple network time protocol | X | X
Microsoft Media Player 9 | - | X
UPnP |  |
Control Point | - | X
Device Host | - | X
SOAP |  |
Client | - | X
Server | - | X
DCOM | - | X
OBEX |  |
MSMQ |  |
Server |  |
RAS | - | X
HTTP / FTP -Server | X | X
HTML / DHTML, SSL, ISAPI Extension | X | X
Support ASP, Java Script | - | X
Java Applets | - | -
.NET Compact Framework | - | X
Internet Explorer IE 6.0 | - | X
RDP Client (Remote Desktop protocol) | - | X
TwinCAT (Option, all Images also available without TwinCAT) | X | X
Standard SDK | - | X
USB support | X | X
Storage e.g. CompactFlash | X | X
HID (Human interface devices) | X | X
Touch | X | X
S-Keys | X | X


Components

Overview of components of CE images until version 1.59 (CE 4.1 based)

Note : CE images from V1.60 are reorganised

Feature / Platform | CX1800-0100 LF | CX1800-0101 HMI | CX1800-0102 .NET
ATL, MFC | X | X | X
XML DOM | X | X | X
COM | X | X | X
COM Storage | X | X | X
Winsock | X | X | X
TCP/IP | X | X | X
UPnP |  |  |
Control Point | - | X | X
Device Host | - | X | X
SOAP |  |  |
Client | - | X | X
Server | - | X | X
DCOM | - | X | -
OBEX |  |  |
MSMQ |  |  |
Server |  |  |
RAS -Server | - | X | X
HTTP / FTP -Server | X | X | X
HTML / DHTML, SSL, ISAPI Extensions | X | X | X
Support ASP, Java Script | - | X | -
Java Applets | - | - | -
.NET Compact Framework | - | - | X
Internet Explorer IE 5.5 | - | X | -
RDP Client (Remote Desktop protocol) | - | X | -
TwinCAT (Option, all Images are avialable without TwinCAT | X | X | X
Standard SDK | - | X | -
USB support | X | X | X
Storage on e.g. CompactFlash | X | X | X
HID (Human interface devices) | X | X | X
Touch | X | X | X
S-Keys | X | X | X


Overview

Default Operating System Images for Beckhoff Embedded-PC Platforms:

Product Description Version
CBxx5x
  • Microsoft .NET Framework 3.0
  • Microsoft DirectX 11
  • Microsoft Silverlight 4.0
  • Enhanced Write Filter Manager (EWF)
  • File Based Write Filter Manager (FBWF)
  • IPC Diagnostics (Modular Device Profile)
  • IPC-FeatureManager

Detailed overview of installed components...

3.0


Features of the default Windows Embedded images

Operating Systems

Features of the default Windows Embedded images for Beckhoff Embedded-PC Platforms

Platform-specific image overview of the default Windows Embedded images for Beckhoff Embedded PC´s

General image data |
Image Version | 3.0
Platform | Beckhoff IPC
Disk space requirements | approx. 2900 MB

Listing of the common installed features of Windows Embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environments / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administration

  • Device comaptibility

  • Windows Services

General data
User Interface: Explorer Shell
Language (MUI): English

Development / runtime-environments / interfaces
Microsoft .NET Framework 2.0 (+ Client Profile)
Microsoft .NET Framework 3.0 (+ Client Profile)
Microsoft .NET Framework 3.5 (+ Client Profile)
COM OLE Application Support
COM+ Application Support
Win32 Application Runtimes and Libraries
EWF Application Programming Interface (API)
FBWF Application Programming Interface (API)
Microsoft Visual C++ 2005 Redistributable (v.8.0.56336)
Microsoft Visual C++ 2008 Redistributable (v.9.0.30729)
Microsoft Visual C++ 2010 Redistributable (v.10.0.30319)
Silverlight 4.0 (v.4.0.50826.0)
DirectX 11

Applications
Command Prompt / Console
Internet Explorer 8
Editor
On-Screen Keyboard
Paint
Calculator
Windows Explorer
Wordpad
Character Map
Beckhoff EWF Manager
Beckhoff FBWF Manager

Network
Network support (TCP/IP, EtherCAT)
File sharing
Remote Access Service (RAS)
Direct (serial) Connection (Nullmodem)
DHCP Client
DNS Client
Net Shell
Network Printer
Network Setup Wizard
Remote Desktop
Windows Firewall (ICS)

Control Panel / System Administration
System Management (Event Log, Service Control Manager, Computer Management,...)
Enhanced Write Filter (EWF)
File Based Write Filter (FBWF)
Registry Filter
Compatibility Mode (Windows 95, Windows 98, Windows NT 4, Windows 2000)
Registry Editor
Installed Keyboard Layouts: English
Control Panel
Disk Management
Windows Firewall Control Panel

Device Compatibility
Audio support (wave, midi, mp3)
Wireless LAN (WLAN) support
(local) USB Printer support
ELO Touch Screen Driver
Modem-support
Microsoft Bluetooth Stack
USB Audio support
USB storage / USB flash drives compatibility

Windows Services
Automatic Updates
Indexing Service
Internet Information Service (IIS Web-Server)
Message Queuing (MSMQ)
Simple Network Management Protocol (SNMP)
IPC-Diagnostics (Modular Device Profile)


Allgemeine Informationen

Operating Systems

General Information

Windows Embedded: Default User and Password

By default, a user and a password are entered in all Windows Embedded images. This is necessary, for example to use "Remote Desktop" to work with the embedded device under Windows Embedded .

  • Default User: Administrator (with administrator rights)
  • Default Password: 1


Languagepacks for Windows Embedded Standard 7 Images

The Windows Embedded Standard 7 Images for embedded PCs are shipped in english. It is possible to get an Image with localized Language of Windows Embedded Standard 7. Localized Windows Embedded Standard Images will need more disk space on the hard disk but are easy to install. The disk space requirements for an localized Image can grow between 30-300 MB depending on the language.

The localisation of an image is realized through so called cabinet files (.cab). To install these packages we recommend the use of our Beckhoff IPC-FeatureManager.

Available Languages:

Arabic (Saudi Arabia)
Bulgarian
Chinese (Hong Kong S.A.R.)
Croatian
Czech
Danish
Dutch
Estonian
Finnish
French
German
Greek
Hebrew (Israel)
Hungarian
Italian
Japanese
Korean
Latvian
Lithuanian
Norwegian
Polish
Portugese (Brazil)
Portugese (Portugal)
Romanian
Russian
Serbian (Latin)
Simplified (PRC) Chinese
Slovak
Slovenian
Spanish
Swedish
Thai
Traditional (Taiwan) Chinese
Turkish
Ukrainian


Configuration of XPe Images

Operating Systems

Easy Cloning of Windows Embedded Standard 7 Images

An embedded image gets developed on a development machine and distributed subsequently to several identical targets. This is the simple method to clone your Images

The process:

To minimize the effort during the configuration process of the Windows Embedded images, a tool called CXID is included in the Windows Embedded Standard 7 operating systems for Beckhoff Embedded-PCs, which adjusts the computer name, AmsNet-Id and is reregistering UPnP settings.

The text below describes an image preparation scenario for mass rollout using the cloning technology with the CXID-Tool for automatic change of the computer name, AmsNet-Id and reregistering UPnP settings.

Step 1: Initial situation

This scenario is based on the Windows Embedded operating system for Beckhoff Embedded-PCs, Version 3.84 or higher which has the CXID, Version 4.2.1.2 included.

Step 2: additional settings

HINT : please ensure that the any Write Filters (EWF, FBWF) on the development station are disabled! Otherwise your setting won't be saved on the media.

If you plan to install other applications on the target station or add additional registry settings, you can do that after the SysPrep operation has finished.

If you finished the customzing procedure of your development station (master-image), just shutdown

Step 3: create the master-image and deploy it on the target stations

After the shutdown you can create the image. Beckhoff recommends the use of the Beckhoff Service Tool.

After deploying the image on the target station the CXID-Tool will change the computer name, AmsNet-Id and UPnP registration automatically.

HINT :This is just a simple method of cloning your devices. If you for example want to youse filters like EWF, FBWF or need new Security Identifier you have to run Microsoft SysPrep.


On-Screen Keyboard

Operating Systems

Step 1:

Please select: "Start" -> "All Programs" -> "Accessories" -> "Ease of Access" -> "On-Screen Keyboard"

Step 2:

Select the "Use On-Screen Keyboard" Checkbox.

Step 3:

Navigate from the "Ease of Access" site to "Change administrative settings".

Step 4:

Check the "Apply all settings to the logon desktop" box.

Now everytime you start your Device the On-Screen Keyboard should appear due to the Logon screen


Configuration of WES 7 Images

Betriebssysteme

Create user defined Screensaver with Windows Embedded Standard 7

To create a Screensaver with own Pictures please stick to the following steps.

Step 1:

Please use a Windows Embedded Standard 7 P-Image. This is necessary because the component mentioned in "Step 2:" requires a P-License.

Step 2:

Use the IPC-FeatureManager to install “Photoviewer”. This component can be found here on the Beckhoff-FTP.

Step 3:

After successfully installing with IPC-Feature Manager restart your Device.

Step 4:

To setup the screensaver please navigate with rightclick on desktop -> “Personalize” -> “Screensaver” -> “Photos” an create your customized screensaver.


Embedded PC - WES7 - Tools

Operating Systems

  • Beckhoff EWF Manager
  • Beckhoff FBWF Manager
  • Beckhoff IPC-FeatureManager


Beckhoff FBWF Manager

Operating Systems

Beckhoff FBWF Manager Version

The Beckhoff FBWF Manager is a graphical tool, helping you to configure the FBWF (File Based Write Filter). The previous way to commit settings by command line must not be used anymore. You can find more about File Based Write Filter here.

Overview of the interface “General Settings” of the Beckhoff File Based Write Filter Manager:

Image 1: Beckhoff File Based Write Filter Manager - General Settings

For the interface’s functions check the table below.

Current State | Shows the actual state of FBWF.
Next State | Shows the FBWF state after rebooting the system.
Change State | Enables or disables the FBWF.
Compression | Shows if the FBWF overlay compression is active.
Next Compression | Shows if the FBWF overlay compression is enabled or disabled after the system is restarted.
Change Compression | Activates or deactivates the compression.
PreAllocation | Shows if preallocation is activated or deactivated.
Next Pre Allocation | Shows if preallocation is activated or deactivated after the next reboot.
Change PreAllocation | Activates or deactivates the preallocation.

Overview of the interface “Exclusions” of the Beckhoff File Based Write Filter Manager:

Image 2: Beckhoff File Based Write Filter Manager - Exclusions

For the interface’s functions check the table below.

Add Folder | Adds the selected folder to the exclusionlist after reboot.
Add File | Adds the selected file to the exclusionlist after reboot.
Remove Exclusion | Removes the in window b4 selected file or folder from the actual exclusionlist.
Exclusionlist | Shows files an folders which are on the actuall exclusionlist.
Changes | Shows changes on the exclusionlist, which will be commited after rebooting the system.

Note:

The FBWF Manager is installed on every Windows Embedded Standard 7 embedded-PC.

The FBWF Manager can also be installed later, as long as the configuration consists of the File Based Write Filter.


Beckhoff EWF Manager

The Beckhoff EWF Manager is a tool that helps to configure the EWF (Enhanced Write Filter) easily with a graphical user front end.

The former method to establish that configuration via the command console is therefore unnecessary since.

More info about Enhanced Write Filter .

In the below picture 1.0 the EWF Manager front end is shown. Displayed is the EWF type, status, boot command, volume name und volume ID.

Image 1.0

The below Table 1 describes the "EWF overlay store configuration" section of the above dialog.

Table 2 describes the "Action" commands for handling the EWF.

Table 1:

Type: | Shows which EWF volume type gets used. In the newer versions (>= v1.14), the EWF volume gets executed inside the RAM, means no further partition for the EWF encessary.
State: | Shows the current status of the EWF, resp. whether it is currently enabled or disabled.
Boot command: | Displays the command execution after next reboot. The following "Boot commands" are possible: 1. "EWF NO CMD": no command execution after reboot, nothing gets changed. 2. "EWF ENABLE": the EWF gets enabled at next reboot. 3. "EWF DISABLE": the EWF gets disabled at next reboot. 4. "EWF COMMIT": data gets written at shutdown to the mass storage device although the EWF is enabled.
Volume ID: | Shows the partion ID (hexa-decimal) of the Compact-Flash partition.
Volume name: | Shows the partition name

Table 2:

Enable | With the "Enable" button, you can activate the Enhanced Write Filter. Please confirm with 'OK' on the message box popping up afterwards.
Disable | With the "Disable" button, you can deactivate the Enhanced Write Filter. Please confirm with 'OK' on the message box popping up afterwards.
Commit changes | With the "Commit" button, you can change settings during EWF runtime. Please confirm with 'OK' on the message box popping up afterwards.
Commitanddisable -live | With "Commitanddisable -live" you can deactivate the Enhanced Write Filter on the fly. Please confirm with 'OK' on the message box popping up afterwards.
Clear command | With "Clear command" you can reset the "Boot command" to "EWF_NO_CMD". The next restart of the system will enable resp. disable the EWF. Please confirm with 'OK' on the message box popping up afterwards.
Exit | Use this button to exit the EWF Manager.
Reboot | Use this button to reboot the system.

Note:

The EWF Manager is installed on every Windows Embedded Standard 7 embedded-PC. If you have a customer specific image, make sure that the EWF component is incuded in your image.

Note:

The EWF Manager can also be added (installed) later, as long as the configuration consists of an EWF volume.


Beckhoff IPC-FeatureManager

Operating System

Overview

The Beckhoff IPC-FeatureManager is used for the installation of language and component packages. To start up the application the following notes and explanations are necessary.

The IPC-FeatureManager is designed for Windows Embedded System and offers NO compatibility to other operating systems.

Warning

Uninstalling language packs or components may cause serious damage to the system. Please note the information notices or contact your system administrator to prevent damage to the system.


Beckhoff IPC-FeatureManager

Operating System

Install Packages

At the Install Packages tab, you can install new component packages.

Available Languagepacks can be found here:

  • Langaugepacks for x86 systems
  • Langaugepacks for x64 systems

Package Directory | Selection of the directory which contains the component packages to install. The directory can be changed by using the button.
Available packages | After the directory has been selected, a list of all available component packages will appear. You can select several packages at once and start the installation process by clicking the button.

Note: If the selected component package is already installed on the system, the existing installation will be overwritten.

Note: Some Packages need additional Components to run properly.


Beckhoff IPC-FeatureManager

Operating System

Remove Packages

At the Remove Packages tab, you can remove currently installed component packages.

The following components are available on the system.

Choose the components you want to remove on the left side, and uninstall them by using the button.

Note

  • The removal of certain components may damage the entire system.
  • Some components may use more that one package.
  • A package can be used by more components.

  • Please contact your system administrator if you are not sure what the removal of the component will result in.


Beckhoff IPC-FeatureManager

Operating System

Change Systemlanguage

To change to an already installed System Langugage of an Windows Embedded Standard 7 P-Image please do the following steps:

  1. Leftclick on Start and Control Panel.

  2. Now Select Region and Language.

  3. Now go to the Tab Keyboards and Languages.

  4. Afterwards you can select the System Language in the lower part of the Region and Language window.


Overview

Default Operating System Images for Beckhoff Embedded-PC Platforms:

Product number (platform-id) Brief image features description Version
CX1800-0202-0002
CX1800-0202-0005 		Default operating system image for Beckhoff CX1020 / CX1030 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP2
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.11 R2 Build 2223 NC-I runtime environment

Detailed overview of the installed components...

 2.26a
CX1800-0202-0004 Default operating system image for Beckhoff CX1010 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP2
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.11 R2 Build 2223 NC-PTP runtime environment

Detailed overview of the installed components...

 2.26a
CX1800-0202-0007 Default operating system image for Beckhoff CX50x0 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP2
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.11 R2 Build 2223 NC-I runtime environment

Detailed overview of the installed components...

 2.26a
CX1800-0212-0007 Default operating system image for Beckhoff CX50x0 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP2
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 3 Build 3102 XAR

Detailed overview of the installed components...

 2.26a

Earlier released operating system images for Beckhoff Embedded-PC Platforms:

Product number (platform-id) Brief image features description Version
CX1800-0202-0002
CX1800-0202-0005 		Default operating system image for Beckhoff CX1020 / CX1030 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP1
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.11 R2 Build 2032 NC-I runtime environment

Detailed overview of the installed components...

 2.22a
CX1800-0202-0004 Default operating system image for Beckhoff CX1010 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP1
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.11 R2 Build 2032 NC-PTP runtime environment

Detailed overview of the installed components...

 2.22a
CX1800-0202-0007 Default operating system image for Beckhoff CX50x0 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP1
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.11 R2 Build 2032 NC-I runtime environment

Detailed overview of the installed components...

 2.22a
CX1800-0202-0002

CX1800-0202-0005

 Default operating system image for Beckhoff CX1020 / CX1030 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP1
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1340 NC-I runtime environment

Detailed overview of the installed components...

 2.2
CX1800-0202-0004 Default operating system image for Beckhoff CX1010 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0 SP1
  • Enhanced Write Filter (EWF)
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1340 NC-PTP runtime environment

Detailed overview of the installed components...

 2.2
CX1800-0202 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0
  • Enhanced Write Filter (EWF)
  • Microsoft Feature Pack 2007
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1323 NC-PTP runtime environment

Detailed overview of the installed components...

 1.37
CX1800-0202-0002

CX1800-0202-0005

 Default operating system image for Beckhoff CX1020 / CX1030 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0
  • Enhanced Write Filter (EWF)
  • Microsoft Feature Pack 2007
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1323 NC-I runtime environment

Detailed overview of the installed components...

 1.37
CX1800-0202-0004 Default operating system image for Beckhoff CX1010 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0
  • Enhanced Write Filter (EWF)
  • Microsoft Feature Pack 2007
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1323 NC-PTP runtime environment

Detailed overview of the installed components...

 1.37
CX1800-0202 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0
  • Enhanced Write Filter (EWF)
  • Microsoft Feature Pack 2007
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1307 NC-PTP runtime environment

Detailed overview of the installed components...

 1.35
CX1800-0202-0002 Default operating system image for Beckhoff CX1020 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0
  • Enhanced Write Filter (EWF)
  • Microsoft Feature Pack 2007
  • File Based Write Filter (FBWF)
  • Registry Filter
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1307 NC-I runtime environment

Detailed overview of the installed components...

 1.35
CX1800-0202-0002 Default operating system image for Beckhoff CX1020 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft Service Pack 2
  • Enhanced Write Filter (EWF)
  • Microsoft .NET Framework 2.0
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1203 NC-I runtime environment

Detailed overview of the installed components...

 1.33
CX1800-0201-0002 Default operating system image for Beckhoff CX1020 Embedded-PC Platform

This image contains these characteristic features:

  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • Microsoft DirectX 9.0c
  • TwinCAT 2.10 Build 1203 NC-I runtime environment

Detailed overview of the installed components...

 1.33
CX1800-0202 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 2.0
  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • Microsoft DirectX 9.0c
  • TwinCAT 2.9 Build 1030 NC-PTP runtime environment

Detailed overview of the installed components...

 1.33
CX1800-0201 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • Microsoft DirectX 9.0c
  • TwinCAT 2.9 Build 1030 NC-PTP runtime environment

Detailed overview of the installed components...

 1.33
CX1800-0202-0002 Default operating system image for Beckhoff CX1020 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 1.1
  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • TwinCAT 2.9 Build 1030 NC-I runtime environment

Detailed overview of the installed components...

 1.30
CX1800-0201-0002 Default operating system image for Beckhoff CX1020 Embedded-PC Platform

This image contains these characteristic features:

  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • TwinCAT 2.9 Build 1030 NC-I runtime environment

Detailed overview of the installed components...

 1.30
CX1800-0202 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 1.1
  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • TwinCAT 2.9 Build 1030 NC-PTP runtime environment

Detailed overview of the installed components...

 1.20
CX1800-0201 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 2
  • TwinCAT 2.9 Build 1030 NC-PTP runtime environment

Detailed overview of the installed components...

 1.20
CX1800-0202 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Microsoft .NET Framework 1.1
  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 1
  • TwinCAT 2.9 Build 1004 NC-PTP runtime environment

Detailed overview of the installed components...

 1.14
CX1800-0201 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 1
  • TwinCAT 2.9 Build 1004 NC-PTP runtime environment

Detailed overview of the installed components...

 1.14
CX1800-0200 Default operating system image for Beckhoff CX1001 Embedded-PC Platform

This image contains these characteristic features:

  • Enhanced Write Filter (EWF)
  • Microsoft Service Pack 1
  • TwinCAT 2.9 Build 1004 NC-PTP runtime environment

Detailed overview of the installed components...

 1.14


Features of the default windows XP embedded images for Beckhoff Embedded-PC Platforms

Operating Systems

Features of the default Windows Embedded images for Beckhoff Embedded-PC Platforms

Hint: The Windows Embedded images since version 1.35 are reorganized. The images features of CX1800-0201 HMI image and CX1800-0202 .NET image are merged to the CX1800-0202 image.

Platform-specific image overview of the default Windows Embedded images for Beckhoff Embedded PC´s

Platform / Feature | Image Version | TwinCAT2 runtime-environment Version / Build / Level | TwinCAT3 runtime-environment Version / Build / Level | Platform | Disk space requirement
CX1800-0202-0002 CX1800-0202-0005 | 2.26a | 2.11 R3 / 2223 / NC I |  | CX1020 CX1030 | ca. 990MB
CX1800-0202-0004 | 2.26a | 2.11 R3 / 2223 / NC PTP |  | CX1010 | ca. 990MB
CX1800-0202-0007 | 2.26a | 2.11 R3 / 2223 / NC I |  | CX50x0 | ca. 990MB
CX1800-0212-0007 | 2.26a |  | 3.0 / 3102 / NC I | CX50x0 | ca. 1020MB

Listing of the common installed features of Windows Embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environments / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administration

  • Device comaptibility

  • Windows Services

Features

General data
Power options: Standard PC
User interface: Explorer Shell
Language (MUI): English/German (English is selected by default)

Development / runtime-environments / interfaces
Microsoft .NET Framework 2.0 Service Pack 2 (v.2.2.30729)
ADS .NET support
ASP .NET support
DirectX 9.0c redistributable
C runtime library
COM+ (DCOM, MSDTC, ...)
EWF Application Programming Interface (API)
FBWF Application Programming Interface (API)
Jet Database interfaces (ODBC, OLEDB, DAO)
ODBC interfaces
TwinCAT runtime-environment (ADS, COM,...)
Visual Basic 6.0 runtime library
Visual C++ Redistributable
Windows Installer 4.5
Microsoft Visual C++ 2005 Redistributable (v. 8.0.56336)
Microsoft Visual C++ 2008 Redistributable (v. 9.0.30729.4148)
Microsoft Visual C++ 2010 Redistributable (v. 10.0.30319)
Silverlight 5 (v. 5.0.61118.0)

Applications
Command Prompt / Console
HyperTerminal
Internet Explorer 7
Netmeeting
Notepad
On-Screen Keyboard
Paint
Calculator
Windows Explorer
Windows Media Player 6.4
WordPad
Character Map
CXD-Tool
Beckhoff EWF Manager
Beckhoff FBWF Manager
Beckhoff On-Screen-Keyboard (BkOSK)

Network
Network support (TCP/IP, EtherCAT)
file sharing
Remote Access Service (RAS)
Direct (serial) Connection (Nullmodem)
DHCP Client
DNS Client
Net Shell
Network Printer
Network Setup Wizard
Remote Desktop
PPPoE Protocol
Windows Firewall (ICS)

Control Panel / System Administration
System Management (Event Log, Service Control Manager, Computer Management,...)
CheckDisk (with autocheck functionality)
Enhanced Write Filter (EWF)
File Based Write Filter (FBWF)
Registry Filter
Compatibility Mode (Windows 95, Windows 98, Windows NT 4, Windows 2000)
Registry Editor
Installed Keyboard Layouts: English, German
Control Panel
Task Scheduler
Disk Management
Windows Firewall Control Panel

Device Compatibility
ATM support
Audio support (wave, midi, mp3)
Wireless LAN (WLAN) support
(local) USB Printer support
ELO Touch Screen Driver
Modem-support
Microsoft Bluetooth Stack
USB Audio support
USB storage / USB flash drives compatibility
IrDA support
Virtual-SCSI support (NDAS)
CU88xx support

Windows Services
Automatic Update
Distributed Transaction Coordinator (MSDTC)
Indexing Service
Messenger (net send)
Internet Information Service (IIS Web-Server)
Message Queuing (MSMQ)
Simple Network Management Protocol (SNMP)
RunAs Service
Time Service
Uninterruptable power supply (UPS)
Beckhoff IPC Diagnostics (v.1.6.74)


Features of the default windows XP embedded images for Beckhoff Embedded-PC Platforms

Operating Systems

Features of the default Windows Embedded images for Beckhoff Embedded-PC Platforms

Hint: The Windows Embedded images since version 1.35 are reorganized. The images features of CX1800-0201 HMI image and CX1800-0202 .NET image are merged to the CX1800-0202 image.

Platform-specific image overview of the default Windows Embedded images for Beckhoff Embedded PC´s

Feature / Embedded-PC Platform | CX1800-0202-0002 | CX1800-0202-0004 | CX1800-0202-0007
 | CX1800-0202-0005
General image data |  |  |
Image Version | 2.22a | 2.22a | 2.22a
TwinCAT runtime-environment Version / Build / Level | 2.11 R2 / 2032 / NC I | 2.11 R2 / 2032 / NC PTP | 2.11 R2 / 2032 / NC I
Platform | CX1020 / CX1030 | CX1010 | CX50x0
Disk space requirement | about 950 MB | about 950 MB | about 950 MB

Listing of the common installed features of Windows Embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environments / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administration

  • Device comaptibility

  • Windows Services

Features

General data
Power options: Standard PC
User interface: Explorer Shell
Language (MUI): English/German (English is selected by default)

Development / runtime-environments / interfaces
Microsoft .NET Framework 2.0 Service Pack 1 (v.2.1.21022)
ADS .NET support
ASP .NET support
DirectX 9.0c redistributable
C runtime library
COM+ (DCOM, MSDTC, ...)
EWF Application Programming Interface (API)
FBWF Application Programming Interface (API)
Jet Database interfaces (ODBC, OLEDB, DAO)
ODBC interfaces
TwinCAT runtime-environment (ADS, COM,...)
Visual Basic 6.0 runtime library
Visual C++ Redistributable
Windows Installer 4.5
Microsoft Visual C++ 2005 Redistributable (v.8.0.56336)
Microsoft Visual C++ 2008 Redistributable (v.9.0.30729.17)
Microsoft Visual C++ 2008 Redistributable (v.9.0.30729.4148)
Microsoft Visual C++ 2010 Redistributable (v.10.0.30319)
Silverlight 4.0 (v.4.0.50826.0)

Applications
Command Prompt / Console
HyperTerminal
Internet Explorer 7
Netmeeting
Notepad
On-Screen Keyboard
Paint
Calculator
Windows Explorer
Windows Media Player 6.4
WordPad
Character Map
CXD-Tool
Beckhoff EWF Manager
Beckhoff FBWF Manager
Beckhoff On-Screen-Keyboard (BkOSK)

Network
Network support (TCP/IP, EtherCAT)
file sharing
Remote Access Service (RAS)
Direct (serial) Connection (Nullmodem)
DHCP Client
DNS Client
Net Shell
Network Printer
Network Setup Wizard
Remote Desktop
PPPoE Protocol
Windows Firewall (ICS)

Control Panel / System Administration
System Management (Event Log, Service Control Manager, Computer Management,...)
CheckDisk (with autocheck functionality)
Enhanced Write Filter (EWF)
File Based Write Filter (FBWF)
Registry Filter
Compatibility Mode (Windows 95, Windows 98, Windows NT 4, Windows 2000)
Registry Editor
Installed Keyboard Layouts: English, German
Control Panel
Task Scheduler
Disk Management
Windows Firewall Control Panel

Device Compatibility
ATM support
Audio support (wave, midi, mp3)
Wireless LAN (WLAN) support
(local) USB Printer support
ELO Touch Screen Driver
Modem-support
Microsoft Bluetooth Stack
USB Audio support
USB storage / USB flash drives compatibility
IrDA support
Virtual-SCSI support (NDAS)
CU88xx support

Windows Services
Automatic Update
Distributed Transaction Coordinator (MSDTC)
Indexing Service
Messenger (net send)
Internet Information Service (IIS Web-Server)
Message Queuing (MSMQ)
Simple Network Management Protocol (SNMP)
RunAs Service
Time Service
Uninterruptable power supply (UPS)
Beckhoff IPC Diagnostics (v.1.5.5713)


Features of the default windows XP embedded images for Beckhoff Embedded-PC Platforms

Operating Systems

Features of the default Windows Embedded images for Beckhoff Embedded-PC Platforms

Hint: The Windows Embedded images since version 1.35 are reorganized. The images features of CX1800-0201 HMI image and CX1800-0202 .NET image are merged to the CX1800-0202 image.

Platform-specific image overview of the default Windows Embedded images for Beckhoff Embedded PC´s

Feature / Embedded-PC Platform | CX1800-0202-0002 | CX1800-0202-0004
 | CX1800-0202-0005
General image data |  |
Image Version | 2.2 | 2.2
TwinCAT runtime-environment Version / Build / Level | 2.10 / 1340 / NC I | 2.10 / 1340 / NC PTP
Platform | CX1020 / CX1030 | CX1010
Disk space requirement | 850 MB | 850 MB

Listing of the common installed features of Windows Embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environments / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administration

  • Device comaptibility

  • Windows Services

Features

General data
Power options: Standard PC
User interface: Explorer Shell
Language (MUI): English/German (English is selected by default)

Development / runtime-environments / interfaces
Microsoft .NET Framework 2.0
ADS .NET support
ASP .NET support
DirectX 9.0c redistributable
C runtime library
COM+ (DCOM, MSDTC, ...)
EWF Application Programming Interface (API)
FBWF Application Programming Interface (API)
Jet Database interfaces (ODBC, OLEDB, DAO)
ODBC interfaces
TwinCAT runtime-environment (ADS, COM,...)
Visual Basic 6.0 runtime library
Visual C++ Redistributable
Windows Installer
Microsoft Visual C++ 2005 Redistributable (v.8.0.56336)
Microsoft Visual C++ 2008 Redistributable (v.9.0.30729)
Silverlight 2.0 (v.2.0.40115.0)

Applications
Command Prompt / Console
HyperTerminal
Internet Explorer 7
Netmeeting
Notepad
On-Screen Keyboard
Paint
Calculator
Windows Explorer
Windows Media Player 6.4
WordPad
Character Map
CXD-Tool
Beckhoff EWF Manager
Beckhoff FBWF Manager
Beckhoff On-Screen-Keyboard (BkOSK)

Network
Network support (TCP/IP, EtherCAT)
file sharing
Remote Access Service (RAS)
Direct (serial) Connection (Nullmodem)
DHCP Client
DNS Client
Net Shell
Network Printer
Network Setup Wizard
Remote Desktop
PPPoE Protocol
Windows Firewall (ICS)

Control Panel / System Administration
System Management (Event Log, Service Control Manager, Computer Management,...)
CheckDisk (with autocheck functionality)
Enhanced Write Filter (EWF)
File Based Write Filter (FBWF)
Registry Filter
Compatibility Mode (Windows 95, Windows 98, Windows NT 4, Windows 2000)
Registry Editor
Installed Keyboard Layouts: English, German
Control Panel
Task Scheduler
Disk Management
Windows Firewall Control Panel

Device Compatibility
ATM support
Audio support (wave, midi, mp3)
Wireless LAN (WLAN) support
(local) USB Printer support
ELO Touch Screen Driver
Modem-support
Microsoft Bluetooth Stack
USB Audio support
USB storage / USB flash drives compatibility
IrDA support
Virtual-SCSI support (NDAS)
CU88xx support

Windows Services
Automatic Update
Distributed Transaction Coordinator (MSDTC)
Indexing Service
Messenger (net send)
Internet Information Service (IIS Web-Server)
Message Queuing (MSMQ)
Simple Network Management Protocol (SNMP)
RunAs Service
Time Service
Uninterruptable power supply (UPS)
Modular Device Profile (MDP)


Features of the default windows XP embedded images for Beckhoff Embedded-PC Platforms

Hint: the Windows XP embedded images since version 1.35 are reorganized. The images features of CX1800-0201 HMI image and CX1800-0202 .NET image are merged to the CX1800-0202 image.

Platform-specific image overview of the default Windows XPe images for Beckhoff Embedded PC´s

Feature / Embedded-PC Platform | CX1800-0202 | CX1800-0202-0002 | CX1800-0202-0004
 |  | CX1800-0202-0005
General image data |  |  |
Image Version | 1.37 | 1.37 | 1.37
TwinCAT runtime-environment Version / Build / Level | 2.10 / 1323 / NC PTP | 2.10 / 1323 / NC I | 2.10 / 1323 / NC PTP
Platform | CX1000 | CX1020 / CX1030 | CX1010
Disk space requirement | 600 MB | 600 MB | 600 MB

Listing of the common installed features of Windows XP embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environments / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administration

  • Device comaptibility

  • Windows Services

Features

General data
Power options: Standard PC
User interface: Explorer Shell
Language: English

Development / runtime-environments / interfaces
Microsoft .NET Framework 2.0
ADS .NET support
ASP .NET support
DirectX 9.0c redistributable
C runtime library
COM+ (DCOM, MSDTC, ...)
EWF Application Programming Interface (API)
FBWF Application Programming Interface (API)
Jet Database interfaces (ODBC, OLEDB, DAO)
ODBC interfaces
TwinCAT runtime-environment (ADS, COM,...)
Visual Basic 6.0 runtime library
Visual C++ Redistributable
Windows Installer
Microsoft Visual C++ 2005 Redistributable (v.8.0.56336)

Applications
Command Prompt / Console
HyperTerminal
Internet Explorer 7
Netmeeting
Notepad
On-Screen Keyboard
Paint
Calculator
Windows Explorer
Windows Media Player 6.4
WordPad
Character Map
CXD-Tool
Beckhoff EWF Manager
Beckhoff FBWF Manager

Network
Network support (TCP/IP, EtherCAT)
file sharing
Remote Access Service (RAS)
Direct (serial) Connection (Nullmodem)
DHCP Client
DNS Client
Net Shell
Network Printer
Network Setup Wizard
Remote Desktop
PPPoE Protocol
Windows Firewall (ICS)

Control Panel / System Administration
System Management (Event Log, Service Control Manager, Computer Management,...)
CheckDisk (with autocheck functionality)
Enhanced Write Filter (EWF)
File Based Write Filter (FBWF)
Registry Filter
Compatibility Mode (Windows 95, Windows 98, Windows NT 4, Windows 2000)
Registry Editor
Installed Keyboard Layouts: English, German
Control Panel
Task Scheduler
Disk Management
Windows Firewall Control Panel

Device Compatibility
ATM support
Audio support (wave, midi, mp3)
Wireless LAN (WLAN) support
(local) USB Printer support
ELO Touch Screen Driver
Modem-support
Microsoft Bluetooth Stack
USB Audio support
USB storage / USB flash drives compatibility
IrDA support
Virtual-SCSI support (NDAS)

Windows Services
Automatic Update
Distributed Transaction Coordinator (MSDTC)
Indexing Service
Messenger (net send)
Internet Information Service (IIS Web-Server)
Message Queuing (MSMQ)
Simple Network Management Protocol (SNMP)
RunAs Service
Time Service
Uninterruptable power supply (UPS)


Features of the default windows XP embedded images for Beckhoff Embedded-PC Platforms

Hint: the Windows XP embedded images since version 1.35 are reorganized. The images features of CX1800-0201 HMI image and CX1800-0202 .NET image are merged to the CX1800-0202 .NET image.

Platform-specific image overview of the default Windows XPe images for Beckhoff Embedded PC´s

Feature / Embedded-PC Platform | CX1800-0202 (CX1001) | CX1800-0202-0002 (CX1020)
General image data | .NET | .NET
Image Version | 1.35 | 1.35
TwinCAT runtime-environment Version / Build / Level | 2.10 / 1307 / NC PTP | 2.10 / 1307 / NC I
Platform | CX1000 | CX1020
Disk space requirement | 600 MB | 600 MB

Listing of the common installed features of Windows XP embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environments / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administration

  • Device comaptibility

  • Windows Services

Feature / Image | .NET
General data | .NET
Power options | Standard PC
User interface | Explorer Shell
language | english
Development / runtime-environments / interfaces | .NET
Microsoft .NET Framework 2.0 | X
ADS .NET support | X
ASP .NET support | X
DirectX 9.0c redistributable | X
C runtime library | X
COM+ (DCOM, MSDTC, ...) | X
EWF Application Programming Intrface (API) | X
FBWF Application Programming Intrface (API) | X
Jet Database interfaces (ODBC, OLEDB, DAO) | X
ODBC interfaces | X
TwinCAT runtime-environment (ADS, COM,...) | X
Visual Basic 6.0 runtime library | X
Visual C++ Redistributable | X
Windows Installer | X
Microsoft Visual C++ 2005 Redistributable | X
Applications | .NET
Command Prompt / Console | X
HyperTerminal | X
Internet Explorer 6 | X
Netmeeting | X
Notepad | X
On-Screen Keyboard | X
Paint | X
Calculator | X
Windows Explorer | X
Windows Media Player 6.4 | X
Wordpad | X
Charmap | X
CXD-Tool | X
Beckhoff EWF Manager | X
Network | .NET
Network support (TCP/IP, EtherCAT) | X
file sharing | X
Remote Access Service (RAS) | X
Direct (serial) Connection (Nullmodem) | X
DHCP Client | X
DNS Client | X
Net Shell | X
Network Printer | X
Network Setup Wizard | X
Remote Desktop | X
PPPoE Protocol | X
Windows Firewall (ICS) | X
Control Panel / System Administration | .NET
System Management (Event Log, Service Control Manager, Computer Management,...) | X
CheckDisk (with autocheck functionality) | X
Enhanced Write Filter (EWF) | X
File Based Write Filter (FBWF) | X
Registry Filter | X
Compatibility Mode (DOS, Windows 95, Windows 98, Windows 2000) | X
Registry Editor | X
Installed Keyboard Layouts | English, German
Control Panel | X
Task Scheduler | X
Disk Management | X
Windows Firewall Control Panel | X
Device Compatibility | .NET
ATM support | X
Audio support (wave, midi, mp3) | X
Wireless Lan (WLAN) support | X
(local) USB Printer support | X
Elo Touch Screen Driver | X
Modem-support | X
Microsoft Bluetooth stack | X
USB Audio support | X
USB storage / USB flash drives compatibility | X
IrDA support | X
Virtual-SCSI support (NDAS) | X
Windows Services | .NET
Distributed Transaction Coordinator (MSDTC) | X
Indexing Service | X
Messenger (net send) | X
Internet Information Service (IIS Web-Server) | X
Message Queuing (MSMQ) | X
Simple Network Management Protocol (SNMP) | X
RunAs Service | X
Time Service | X
Uninterruptable power supply (UPS) | X


Features of the default windows XP embedded images for Beckhoff Embedded-PC Platforms

Platform-specific image overview of the default Windows XPe images for Beckhoff Embedded PC´s

Feature / Embedded-PC Platform | CX1800-0201 | CX1800-0202
General image data | HMI | .NET
Image Version | 1.33 | 1.33
TwinCAT runtime-environment Version / Build / Level | 2.9 / 1030 / NC PTP | 2.9 / 1030 / NC PTP
Platform | CX1000 | CX1000
Disk space requirement (compressed file system) | 280 MB | 400 MB

Feature / Embedded-PC Platform | CX1800-0201-0002 | CX1800-0202-0002
General image data | HMI | .NET
Image Version | 1.33 | 1.33
TwinCAT runtime-environment Version / Build / Level | 2.9 / 1030 / NC PTP | 2.9 / 1030 / NC PTP
Platform | CX1020 | CX1020
Disk space requirement (compressed file system) | 346 MB | 455 MB

Listing of the common installed features of Windows XP embedded Images for Beckhoff Embedded PC´s

  • General data

  • Development / runtime-environment / interfaces

  • Installed Applications

  • Network

  • Control Panel / System Administraton

  • Device compatibility

  • Services

Feature / Image | CX1800-0201 HMI | CX1800-0202 .NET
General data | HMI | .NET
Power options | Standard PC | Standard PC
Service Pack | Service Pack 2 | Service Pack 2
User interface | Explorer Shell | Explorer Shell
Language | English | English
Development / runtime-environment / interfaces | HMI | .NET
.NET Framework 2.0 |  | X
ADS .NET support |  | X
ASP .NET support |  | X
C runtime library | X | X
COM+ (DCOM, MSDTC, ...) | X | X
DirectX 9.0c runtime | X | X
EWF Application Programming Interface (API) | X | X
Jet Database Interfaces (ODBC, OLEDB, DAO) | X | X
ODBC interfaces | X | X
TwinCAT runtime-environment (ADS, COM,...) | X | X
Visual Basic 6.0 runtime library | X | X
Visual C++ runtime-environment | X | X
Windows Installer |  | X
Applications | HMI | .NET
Command Prompt / Console | X | X
HyperTerminal | X | X
Internet Explorer 6 | X | X
Netmeeting |  | X
Notepad | X | X
On-Screen Keyboard | X | X
Paint | X | X
Calculator | X | X
Windows Explorer | X | X
Windows Media Player 6.4 | X | X
Wordpad | X | X
Charmap | X | X
Beckhoff EWF Manager | X | X
Network | HMI | .NET
Network support (TCP/IP, EtherCAT) | X | X
File sharing | X | X
Remote Access Server (RAS) | X | X
Direct (serial) connection (Nullmodem) | X | X
DHCP Client | X | X
DNS Client | X | X
Net Shell | X | X
Network printer | X | X
Network Setup Wizard | X | X
Remote Desktop | X | X
PPPoE Protocol | X | X
Windows Firewall (ICS) | X | X
Control Panel / System Administration | HMI | .NET
System Management (Event Log, Service Control Manager, Computer Management,...) | X | X
CheckDisk (with autocheck functionality) | X | X
Enhanced Write Filter (EWF) | X | X
Compatibility Mode (DOS, Windows 95, Windows 98, Windows 2000) |  | X
Registry Editor | X | X
System Locals / Keyboard Layout | English, German | English, German
Control Panel | X | X
System Restore |  | X
Task Scheduler | X | X
Disk Management |  | X
Windows Firewall Control Panel |  | X
Device Compatibility | HMI | .NET
ATM support | X | X
Audio support (wave, midi, mp3) | X | X
Wireless-LAN support | X | X
(locale) USB Printer-support | X | X
Elo Touch | X | X
Modem-support | X | X
Microsoft Bluetooth support |  | X
USB Audio support |  | X
USB storage / USB flash drives compatibility | X | X
IrDA support |  | X
Services | HMI | .NET
Distributed Transaction Coordinator (MSDTC) | X | X
Indexing Service |  | X
Messenger (net send) | X | X
Internet Information Service (IIS Web-Server) |  | X
Message Queuing (MSMQ) | X | X
Simple Network Management Protocol (SNMP) | X | X
RunAs Service | X | X
Time Service | X | X
Uninterruptible Power Supply (UPS) |  | X


Image Content

Hinweis: The windows XPembedded Images since Version 1.20 are restructured : The images features of CX1800-0200 LF image and CX1800-0201 HMI image have been merged in the CX1800-0201 HMI image.

Platform-specific infomation of the XPe default Image version 1.20 for the CX1000 embedded PCs:

Feature / Platform | CX1800-0201 | CX1800-0202
Allgemeine Daten | HMI | .NET
Image Version | 1.20 | 1.20
TwinCAT Laufzeitumgebungs-Version / Build / Level | 2.9 / 1030 / NC PTP | 2.9 / 1030 / NC PTP
Plattform | CX1000 | CX1000
Speicherbedarf (Dateisystem komprimiert) | 210 MB | 290 MB

Plattformspezifische Infomationen zum Basis Image Version 1.30 for the CX1020 embedded PCs:

Feature / Plattform | CX1800-0201-0002 | CX1800-0202-0002
Allgemeine Daten | HMI | .NET
Image Version | 1.30 | 1.30
TwinCAT Laufzeitumgebungs-Version / Build / Level | 2.9 / 1030 / NC PTP | 2.9 / 1030 / NC PTP
Plattform | CX1020 | CX1020
Speicherbedarf (Dateisystem komprimiert) | 244 MB | 316 MB

Overview of the common XPe Images components

  • General Information

  • Development / runtimes / interfaces

  • Applications

  • Network

  • System administration / System tools

  • Device support

  • Services

Feature / Platform | HMI | .NET
General Information | HMI | .NET
Current Image Version | 1.20 | 1.20
Installed updates | Service Pack 2 | Service Pack 2
Used space (compressed file system) | ca. 210 MB | ca. 290 MB
(Graphical) User Interface | Explorer Shell | Explorer Shell
Language | English | English
Development / runtimes / interfaces | HMI | .NET
.NET Framework 1.1 |  | X
ADS .NET support |  | X
ASP .NET support |  | X
C runtime library | X | X
COM+ (DCOM, MSDTC, ...) | X | X
EWF API | X | X
Jet Database / Data access interfaces (ODBC, OLEDB, DAO) | X | X
ODBC interface | X | X
TwinCAT runtime | X | X
Visual Basic 6.0 runtime library | X | X
Visual C++ runtime | X | X
Windows Installer |  | X
Applications | HMI | .NET
Command Prompt / Console | X | X
HyperTerminal | X | X
Internet Explorer 6 | X | X
Netmeeting |  | X
Notepad | X | X
On-Screen Keyboard | X | X
Paint | X | X
Calculator | X | X
Windows Explorer | X | X
Windows Media Player 6.4 | X | X
Wordpad | X | X
Character Map | X | X
Network | HMI | .NET
Network support (TCP/IP, EtherCAT) | X | X
File sharing | X | X
Remote Access Service (RAS) | X | X
Direct connection between two computers (null modem) | X | X
DHCP Client | X | X
DNS Client | X | X
Net Shell | X | X
network printing support | X | X
Network Setup Wizard | X | X
Remote Desktop | X | X
PPPoE Protocol | X | X
Windows Firewall (ICS) | X | X
System administration / System tools | HMI | .NET
Administrative Tools (Event Log, Service Control Manager, Computer Management,...) | X | X
CheckDisk (with autocheck function) | X | X
Enhanced Write Filter (EWF) | X | X
Compatibility mode (DOS, Windows 95, Windows 98, Windows 2000) |  | X
Registry Editor | X | X
System Locals / Keyboard Layout | English, German | English, German
System control | X | X
System Restore |  | X
Task Scheduler | X | X
Disk Management |  | X
Windows Firewall Control Panel |  | X
Hardware support | HMI | .NET
ATM support | X | X
Audio support (wave, midi, mp3) | X | X
wireless network | X | X
(local) USB printing support | X | X
Elo Touch | X | X
Modem support | X | X
Microsoft Bluetooth support |  | X
USB audio support |  | X
USB mass storage devices | X | X
IrDA support |  | X
Services | HMI | .NET
Distributed Transaction Coordinator (MSDTC) | X | X
Indexing Service |  | X
Messenger (net send) | X | X
Internet Information Service (IIS Web-Server) |  | X
Message Queuing (MSMQ) | X | X
Simple Network Management Protocol (SNMP) | X | X
RunAS Service | X | X
Time Service | X | X
Uninterruptible Power Supply (UPS) |  | X


Image Content

Note: The Windows XP embedded Images from version 1.20 are reorganised

Contents Overview of XPe Images components

Feature / Platform | CX1800-0200 LF | CX1800-0201 HMI | CX1800-0202 .NET
General Information | LF | HMI | .NET
Current Image Version | 1.14 | 1.14 | 1.14
Installed updates | Service Pack 1 | Service Pack 1 | Service Pack 1
Used space (compressed filesystem) | ca. 105 MB | ca. 201 MB | ca. 250 MB
(Graphical) User Interface | Explorer Shell | Explorer Shell | Explorer Shell
Language | english | english | english
Development / runtimes / interfaces | LF | HMI | .NET
.NET Framework 1.1 |  |  | X
ADS .NET support |  |  | X
ASP .NET support |  |  | X
C runtime library | X | X | X
COM+ (DCOM, MSDTC, ...) |  | X | X
EWF API | X | X | X
Jet Database / Data access interfaces (ODBC, OLEDB, DAO) |  | X | X
ODBC interface |  | X | X
TwinCAT runtime | X | X | X
Visual Basic 6.0 runtime library | X | X | X
Visual C++ runtime | X | X | X
Windows Installer |  |  | X
Applications | LF | HMI | .NET
Command Prompt / Console | X | X | X
HyperTerminal |  | X | X
Internet Explorer 6 |  | X | X
Netmeeting |  |  | X
Notepad | X | X | X
On-Screen Keyboard |  | X | X
Paint | X | X | X
Calculator |  | X | X
Windows Explorer | X | X | X
Windows Media Player 6.4 |  | X | X
Wordpad |  | X | X
Charcter Map |  | X | X
Network | LF | HMI | .NET
Network support (TCP/IP, EtherCAT) | X | X | X
File sharing | X | X | X
Remote Access Service (RAS) |  | X | X
Direct connection between two computers (null modem) |  | X | X
DHCP Client | X | X | X
DNS Client | X | X | X
Internet Connection Firewall (ICF) |  |  | X
Net Shell | X | X | X
network printing support |  | X | X
Network Setup Wizard |  | X | X
Remote Desktop | X | X | X
System administration / System tools | LF | HMI | .NET
Administrative Tools (Event Log, Service Control Manager, Computer Management,...) |  | X | X
CheckDisk (with autocheck function) | X | X | X
Enhanced Write Filter (EWF) | X | X | X
Compatibility mode (DOS, Windows 95, Windows 98, Windows 2000) |  |  | X
Registry Editor | X | X | X
System Locals / Keyboard Layout | english, german | english, german | english, german
Control Panel |  | X | X
Task Scheduler | X | X | X
Hardware support | LF | HMI | .NET
Audio support (wave, midi, mp3) |  | X | X
wireless network |  | X | X
(local) USB printing support |  | X | X
Elo Touch | X | X | X
Modem support |  | X | X
USB mass storage devices | X | X | X
Services | LF | HMI | .NET
Distributed Transaction Coordinator (MSDTC) |  | X | X
Indexing Service |  |  | X
Messenger (net send) |  | X | X
Internet Information Service (IIS Web-Server) |  |  | X
Message Queuing (MSMQ) |  | X | X
Simple Network Management Protocol (SNMP) |  | X | X
Time Service | X | X | X
Uninterruptable Power Supply (UPS) |  |  | X


Localized Windows XP Embedded images for Beckhoff embedded PCs

Operating Systems

Localized Windows Embedded images for Beckhoff embedded PCs

The Windows Embedded default images for Beckhoff embedded PCs are supplied in English. Localized versions of the Windows Embedded default images for embedded PCs are available on request. They are supplied ex works. A localized Windows Embedded image requires more space on the storage medium. With a localized version the memory requirement ( the space on the CF card) will increase by approx. 30 - 200 MB, dependent on the chosen language.

The images have been localized with the multilingual user interface Packs (MUI). The MUI localization concept is used in common Windows Operating systems. The localization level is nearly the same like in the localized operating systems.

While using MUI Packs to localize an image some menu elements will not be translated into the target language. These elements remain in English.

The known not translated elements of the operating system are:

  • Some menu elements of the start menu e.g.: Accessories/Network utilities
  • Some elements / shortcuts in the Control Panel e.g.: Administrative Tools/Data Sources (ODBC)

For a more detailed description of the MUI Concept read the Microsoft documentation here

List of standard images for CX devices:

Articlenumber | CX-Type
CX18xx-0202 | CX1000
CX18xx-0202-0002 | CX1020
CX18xx-0202-0004 | CX1010
CX18xx-0202-0005 | CX1030
CX18xx-0202-0007 | CX50x0

Languagecodes :

Localised Images | Language Name
25 | Arabic
26 | Bulgarian
28 | Traditional Chinese
29 | Czech
30 | Danish
31 | German
32 | Greek
35 | Finnish
36 | French
37 | Hebrew
38 | Hungarian
40 | Italian
41 | Japanese
42 | Korean
43 | Dutch
44 | Norwegian (Bokm l)
45 | Polish
46 | Portuguese (Brazil)
48 | Romanian
49 | Russian
50 | Croatian
51 | Slovak
52 | Simplified Chinese
53 | Swedish
54 | Thai
55 | Turkish
60 | Slovenian
61 | Estonian
62 | Latvian
62 | Lithuanian
70 | Portuguese (Portugal)
83 | Spanish


General Information

TwinCAT Licensing Under Windows Embedded On CX Hardware

Licensing of TwinCAT on the embedded PC hardware (CX1000, CX1020, Ethernetpanel,...) is handled differently from the usual registration of TwinCAT on a industrial PC.

  • Industrial PC:
    After the TwinCAT installation, TwinCAT is available for a 30-day trial. An unlimited activation is done if a corresponding "Registration Key" is entered for the TwinCAT software key "System ID".
  • embedded PC Hardware (CX1000, CX1020, Ethernetpanel,...):
    The TwinCAT licensing for the ordered TwinCAT level is already entered into the CX hardware in the factory. Conveniently, further activation with "System ID" and "Registration Key" is therefore not required..

    TwinCAT Update (Build Update):
    A TwinCAT update, i.e. a newer TwinCAT version, can be installed at any time. The registration in the CX hardware remains in this case and the CX device starts with the same TwinCAT level.

    TwinCAT Level Modification:
    An existing TwinCAT level can be modified. For this purpose, the TwinCAT registration procedure on the PC can be used. By entering a "Registration Key" that matches the "System ID", TwinCAT starts in the desired new TwinCAT level.

Windows Embedded: Default User and Password

By default, a user and a password are entered in all Windows Embedded images. This is necessary, for example to use "Remote Desktop" to work with the embedded device under Windows Embedded .

  • Default User: Administrator (with administrator rights)
  • Default Password: 1


Update of XPe Images

Operating Systems

Update of Windows Embedded Images

Beckhoff delivers Embedded PC devices with a functioning basic setup. Nevertheless, for the support of new available drivers etc. it may be necessary to use a more recent Windows Embedded image version. The following text describes how to update an Windows Embedded image.

Requirements:

  • Windows Embedded Standard images are available for download as a Zip file on Beckhoff-FTP-Server. These Zip-files are password protected out of licensing reasons and contain a Tib-File. The license contract requires that only Windows Embedded Standard licensed devices make use these images. You'll get the necessary password at the technical support center in your area after authentication: Please provide serial number and MACID of device.
  • The CompactFlash (CF) delivered with the Embedded-PC device contained already a Windows Embedded Standard operating system. Means, a bootable media is already available.
  • Beckhoff Service Tool (BST) to restore the unzipped Tib-file on your CompactFlash (CF).

To restore a downloaded image from the Beckhoff FTP-Server, you have to boot from the Beckhoff Service Tool (BST)-USB Stick. When the BST is loaded, you can easy restore the image via the restore button.

Note | Information:
Note | A more detailed manual of how to restore an image you will find in the Beckhoff Service Tool documentation. With the Beckhoff Service Tool you are also able to create and save your own images.


Configuration of XPe Images

Operating Systems

Configuration of embedded Images

An embedded image is developed on a development machine and distributed subsequently to several identical targets. To do so an Image (Master-Image) of the operating system is created which afterwards is deployed to other targetsystems.

Problem:

Every targeted system contains the same Computername, AMSNetId and Computer Security Identifier (SID). If you run several computers with the same image in a network, every computername, AmsNetId and SID has to be changed manually. Changing of these Parameters on every device is very time-consuming.

Former process:

To reduce the time needed for the configuration of an embedded image, changes can be applied with the CxCloningTool to adjust the parameters after the next reboot of your operating system automatically.

The text below describes an image preparation scenario for mass rollout using the cloning technology and the CxCloningTool for automatic changes to the computer name, AmsNet-Id and SID settings.

Step 1: Initial sutiation

This scenario is based on the Windows Embedded operating system for Beckhoff Embedded-PCs, Version 1.35 or higher which has the CX-Cloning-Tool, Version 3.1.0.14 included.

If you have to update the Windows Embedded operating system on your station, please read the article "Update of Images" for the necessary installation steps.

Step 2: additional settings

HINT : please ensure that the any Write Filters (EWF, FBWF) on the development station are disabled! Otherwise your setting won't be saved on the media.

If you plan to install other applications on the target stations or add additional registry settings, you can do that by creating a run.cmd file in the "C:\Data" directory of your development station (master-image). This script ("C:\Data\run.cmd") can be called from the the CX-Cloning-Tool.

If you finished the customzing procedure of your development station (master-image), call the CX-Cloning-Tool from the Command Prompt (start --> run ... type: "cmd", press enter button)

Call the CX-Cloning-Tool from the Command Prompt with this command:

cxcloningtool -ro

HINT : The CX-Cloning-Tool checks the system for an active WriteFilter on the media of your development system. It won't perform any operation if an active Write Filter has been detected by the CX-Cloning-Tool

Step 3: create the master-image and deploy it on the target stations

After the call of the CX-Cloning-Tool with the "-ro" parameter you can create the image. It does not matter what kind of image / backup technology you use for.

HINT : Do not activate any Write Fitler in the Master-Image. Read the section "CX-Cloning-Tool behaviour with Write Filter protected operating systems" in the CX-Cloning-Tool function description article.

After deploying the image on the target station the CXCloning-Tool will change the computer name, AmsNet-Id and SID and it calls the run.cmd automatically.

HINT: You can activate the Write Filter after the Cx-Cloning-Tool has finished it's changing action. The Cx-Cloning-Tool will initiate a restart of the operating system.


CX1800-0202 v.120 Bluetooth support

Operating Systems

Bluetooth support in the Beckhoff .NET Image for Beckhoff embedded PCs

Integrated Bluetooth functions, based on the Microsoft Bluetooth stack

The Microsoft Bluetooth functions included in the .Net image are described below:

These functions depend on the Bluetooth adapter used.

Bluetooth function | Scenarios tested
Bluetooth Human Interface Device Support
  • Using a Bluetooth mouse with the CX1001.
Bluetooth Modem Device Support
  • Using a mobile phone as a modem
  • Integration of a Bluetooth modem
Bluetooth Personal Area Networking Support
  • TCP/IP connection between two computers via Bluetooth for the purpose of file exchange
  • TCP/IP connection between two computers via Bluetooth for the purpose of using Remote Desktop (terminal services)
  • TCP/IP connection between two computers via Bluetooth for the purpose of TwinCAT communication
Bluetooth Serial Device Support
  • Use as a virtual null modem cable
  • Use as a virtual serial connection
  • Connection of two TwinCAT systems via a serial Bluetooth connection
Bluetooth Printing Support | --- not yet tested ---

Driver installation

Note: The Bluetooth adapter used should be compatible with the Microsoft Bluetooth stack.

When the device is connected a new device is found. If the drivers are not included in the image they have to be installed separately.
During the installation the driver path has to be specified.
The file bthusb.sys is located in "C:\WINDOWS\system32\drivers"

Using a Bluetooth mouse with the CX1000

Requirement:

The Bluetooth adapter should be installed, and the input devices (e.g. mouse) should be operational.

A Bluetooth device can be added via the Bluetooth symbol in the tray bar (Fig. 1).

 | Add a Bluetooth Device: | Adds a Bluetooth device
 | Show Bluetooth Devices: | Lists the Bluetooth devices found
 | Join a Personal Area Network: | Displays Bluetooth devices with PAN features
 | Open Bluetooth Settings: | Displays the features of the connected and linked Bluetooth devices
Figure 1: Functions of the Microsoft Bluetooth Stack, useable through the tray-icon |  |

The "Add a Bluetooth Device" command triggers a search for Bluetooth devices. Any devices that are found are displayed.

 | HINT: Some bluetooth devices (e.g. mouse, keyboard) have a button (Connect, Synch) / function (e.g. cell phone, computer (make visible)). This button / function, switches the device into a visible state. So other bluetooth enabled devices can found it. While using this button / function on the bluetooth device. Press the "Search Again" button on this dialog to initiate a new search for bluetooth devices.
Figure 2: Dialog shows the detected bluetooth devices in neighbourhood |

Selecting a device triggers an authentication process:

 | Choose a passkey for me | The operating system generates an 8-digit key
 | Use the passkey found in the documentation | Some devices (e.g. modems) have preset keys. This key must be used for operating the device
 | Let me choose my own passkey | Enables a user-defined key to be used
 | Don`t use a passkey | Some devices (e.g. mouse) require no key for authentication.
Figure 3: Avaialble authentication options for binding a found bluetooth device to the system |  |

The device is installed after successful authentication.

TCP/IP connection between two computers via Bluetooth

Once the (PAN enabled) Bluetooth adapter has been installed, a further network connection is available:

  • The PAN enabled bluetooth devices install a network adapter. This network adapter can be viewed and configured in the Network Connections window of Windows XP. These devices are shown in the field "Personal Area Network".
  • The "Bluetooth network connection" represents a "virtual" network connection. This connection behaves exactly like a LAN connection. The IP addresses, the DNS addresses and the firewall are set up in the same way as for an ordinary network connection.
  • Bluetooth devices that are capable of establishing a PAN connection can be displayed via the command "View Bluetooth Network Devices"
Figure 4: Listing of the available network adapters and the PAN enabled bluetooth adapters.

Available (PAN enabled) Bluetooth devices with PAN functionality:

Via this dialog PAN connections to other devices can be
  • established: "Connect"
  • disconnected: "Remove"

A fully functioning TCP/IP network connection is established. Therefore, all network-capable programs and functions are usually compatible with this network connection.

HINT: The connection speed is limited by the specification ot the bluetooth device
Figure 5: Dialog shows PAN enabled bluetooth devices in neighbourhood


HOWTO enable Automatic Update

Operating Systems

Automatic update

To enable the Automatic Update function you have to start the Service. Per default the Service is configured to manually and stopped.

To start the Service start the Services Console (Start -> Control Panel -> Administrative Tools -> Services). Now select the Automatic Update Service (Figure 1), right click and select Properties.

Figure 1

In the now opened Properties windows you can select the start type. You can start the Service and leave the Start Type on Manual or select Automatic. After the Service is started you can configure the Automatic Update in the Control Panel. Per default the Automatic Updates are turned off (Figure 2). Select your preferred update method and confirm with "OK".

Figure 2

The Automatic Updates can be configured exactly like Windows XP Professional Update Service.

If you want to use the Automatic Update Service you have to be sure that you have enough free disk space. Also there will be created some uninstall-files on the disk, these files need additional disk space.


User Manager LF Image: Create user and groups

Operating Systems

User Management with the Command Prompt: Create user and groups

With the Command Prompt (cmd), which is included in the Beckhoff default Windows Embedded Images for Beckhoff embedded PC it is possible to manage user accounts with the "net" command

User and groups have to be managed by the console, because the conventional user manager is not available from memory reasons in the LF image.

Example:

Create new user:

net user TcatUser Password /add

Create new group

net localgroup TwinCAT /add

Assign user to an group:

net localgroup TwinCAT TcatUser /add

Further infomation about the Net command can be found in the Windows help or under Microsoft Technet.


Screen resolution: 640x480 pixels

Operating Systems

Adjust screen resolution: 640x480 pixels

In the Windows Embedded Display properties screen resolutions of 800 by 600 pixels and more can be chosen. The Beckhoff default images for embedded PCs offers two ways to change the screen resolution of the attached display:

  • Change the screen resolution with the display properties window
  • Change the screen resolution with the CXD utlility

Change the screen resolution with the display properties window

To change the resolution to 640 x 480 pixels, the following steps have to be done:

Step 1:

Click the button "Advanced" on the tab "Settings" in the display properties.

Step 2:

Click the button "List all modes..." on the tab "Adapter".

Step 3:

This window lists all modes. Here it is possible to choose the resolution of 640 x 480 pixels.

Change the screen resolution with the CXD utlility

To change the screen resolution to 640x480 pixels of embedded PC with Beckhoff Windows Embedded default image running on it, just type "cxd 1" and enter.

For more information read the CXD Utility documentation here.


HOWTO ELO

Operating Systems

Error: Com port in use

On CX18xx-0202 Version 1.35 Images it is possible, that you can't use the COM-Port1. The COM-Port1 will be used by the ELO-ToucScreen Driver. To get the COM-Port to work you have to uninstall the ELO-TouchScreen Driver. To uninstall the driver click on "Add or Remove Programs" in the "Control Panel" and select the ELO-TouchScreen Driver. After uninstalling the ELO-TouchScreen driver you can reinstall the USB-ELO-TouchScreen-driver.


Installating .NET Framework 3.5 on XP embedded Systems

Operating Systems

Installation of .NET Framework 3.5 on XP embedded Systems

While installing the .NET Framework 3.5 on XP embedded Systems, less than Version 2.2, the installation may be aborted. This is due to the installation of the .NET Framework 2.0 on embedded Systems.

To install the Framework successfully you have to delete the Registry Key below.

[HKEY_LOCAL_MACHINE\SOFTWARE\ Microsoft\ NET Framework Setup\ NDP\ v2.0.50727]

OCM=1

You can also delete the Registry Key per Batch-File, you can download here.

After deleting the Registry Key you can install the .NET Framework 3.5 without problems.


Write Filter Concept

It's recommended to protect your System drive, if the system runs on a Compact Flash Card (or another Flash medium). One disadvantage of Flash mediums (Compact Flash Cards, USB Sticks, etc.) is, that they have limited write cycles. If you write cyclic files from you PLC or your Visualization, the lifetime of such mediums could be reduced dramatically and than your machine stops. Microsoft offers two "Write Filter" for embedded devices. The Write Filters are the EWF (Enhanced Write Filter), the FBWF (File Based Write Filter) and additionally the Registry Filter. These "Write Filters" track different concepts to protect drives. The following points describe these in short.

EWF (Enhanced Write Filter)

The EWF protects the whole partition from write access. These write access will be redirect into the RAM to protect your Flash medium.

More information

FBWF (File Based Write Filter)

The FBWF protects the whole partition, but you can define some exclusions. The write access will be redirect into the RAM.

More information.

Registry Filter

The registry filter allows you to add or change registry keys or values if one of the Write Filter is active. So you do not need to commit the Write Filter.

More information.


Embedded PC: Write Filter

Operating Systems

Write-Filter behavior with the Daylight Saving Time (DST) situation

It is not possible to use the automatic Daylight saving time feature of the Windows Embedded system while the write filter (EWF) is enabled.

The Windows Embedded operating system can't save the occurred time change if a write filter is enabled on the system.

After each system start the system time will change with the corresponding offset between the winter- and summertime.

If a write filter is enabled during the summertime, the system will increment the time by one hour each time the system has been started in the winter time.

With the CXID-Service you can countervail against this behavior. In earlier versions you had to modify registry keys, commit the write filter and restart your machine to enable the dst patch.

Since CXID version 3.1.4.0 the usability was simplified. Now you can enable and disable the dst patch via command line or script. There is no more registry modification and restart to enable or disable the dst patch.

Enabling or disabling can be done with the following commands:

Enable DST Patch:

cxid -enabledst

Disable DST Patch:

cxid -disabledst

The new CXID-Tool can be downloaded from the Beckhoff FTP. Update information you will find in the zip file.

AttentionNV ATTENTION:

  • The new CXID (Version 3.1.4.0) is included in Beckhoff WES Standard Images Version 2.2 by default.
  • The CXID-Service can be updated or installed on older systems. Minimum requirement is the Microsoft VCRedist 2005 Runtime.
    • For an update you have to replace the CXID-Service in the Windows\System32 folder. You have to be sure that the CXID-Service is not started.
    • To install the CXID-Service you have to copy the cxid.exe into the Windows\System32 folder an register the service via "cxid.exe -service".


EWF : Enhanced Write Filter

The Enhanced Write Filter in the RAM overlay mode under Windows Embedded provides a facility for protecting a partition from write accesses. The data to be written is diverted to RAM.
After a restart, the system is again in its original state.

The EWF can be used to preserve the durability of the compact flash card in the embedded PC. Compact flash cards are used as the system media for the Windows Embedded images in embedded PCs. Windows writes data to the system media in the background (dumping system messages to log files, etc...). This write accesses of the operating system are hard to control by the user. The EWF in RAM Overlay mode diverts all write attempts (from system and from user) to the RAM. The write accesses shorten the service life-time of the compact flash card.

The Enhanced Write Filter is component of the Beckhoff default images for Beckhoff embedded PCs.

Configuration and Utilization of the EWF with the Windows command prompt (cmd)

Configuration and method of use have changed during time. The EWF in RAM Overlay mode can be configured in two ways:

  • Configuration of the Enhanced Write Filter in RAM Overlay mode
  • Configuration of the Enhanced Write Filter in RAM Overlay mode with ram (reg) option. This option is used in the recent Beckhoff Windows Embedded default images.

Utilization of the EWF with the Beckhoff EWF Manager

With the Beckhoff EWF Manager it is possible to utilize the EWF with pointing devices (e.g.: mouse, touchscreen). The Beckhoff EWF Manager is part of the Beckhoff default images for the CX1000 (since ver. 1.31) and the CX1020 (since ver. 1.33). To get detailed information about the Beckhoff EWF Manager and it's download link read the documentation here.


EWF : Enhanced Write Filter

Operating Systems

Use of the EWF in RAM Overlay mode

The Enhanced Write Filter running under Windows Embedded provides a facility for protecting a partition from write accesses. The data to be written is diverted to RAM.
After a restart, the system is again in its original state.

Using the EWF in the RAM Overlay mode requires 5 MB of unpartitioned space on the system media. This space is used by the EWF to store configuration data. This situation complicates the cloning and backup procedures of the image.

Configuration of the Enhanced Write Filter

The Enhanced Write Filter can be configured through the control panel application "ewfmgr".

Activating the Enhanced Write Filters

ewfmgr c: -enable

Deactivating the Enhanced Write Filters

ewfmgr c: -disable

Displaying the current status

ewfmgr -all

Cloning an image

Because the Enhanced Write Filter creates a hidden partition, which cannot be recognised or used by the majority of system back-up programs, on the hard drive, the partition must be removed before carrying out a back-up, and must be recreated after the image has been restored.

Deleting the EWF partition

etprep /delete

Restoring the EWF partition

syspropchange.exe


EWF : Enhanced Write Filter

Operating Systems

Use of the EWF in RAM Overlay mode with the ram (reg) option

The Enhanced Write Filter in RAM Overlay mode with the ram (reg) option. does not need unpartioned space to store its configuration data in order to commence use of the Enhanced Write Filter and to configure it. This simplifies both cloning and the creation of back-ups. In recent images the EWF in RAM Overlay mode is configured with the ram (reg) option.

Configuration of the Enhanced Write Filter

The Enhanced Write Filter can be configured through the control panel application "ewfmgr".

Activating the Enhanced Write Filters

ewfmgr c: -enable

Deactivating the Enhanced Write Filters

ewfmgr c: -commitanddisable

Writing data to the protected medium when the Enhanced Write Filter is active

The data is written to the medium as the Embedded Device is shut down

ewfmgr c: -commit

Displaying the current EWF status

ewfmgr -all

Cloning an image

The system back-up can be carried out with conventional back-up programs.

The status of the Enhanced Write Filter should be checked when restoring the back-up:

Reconfiguring the enhanced write filter after a system change/restoration of the system back-up

If the Enhanced Write Filter reports Error 87 when being deactivated, it can be reconfigured with the following command:

rundll32 c:\windows\system32\ewfdll.dll ConfigureEwf Start.

AttentionNV WARNING:

Be sure that the command is spelt exactly right!


EWF : Setting of the system partition

Operating Systems

EWF : Optimum setting of the protected EWF partition

The enhanced write filter in RAM overlay mode under Windows Embedded works like a dynamic RAM disk (a virtual drive created in the computer system's RAM). The data (for writing) generated in the course of operation (by applications or processes) is diverted to this RAM disk and stored there. The upper limit of this dynamic RAM disk is the physical RAM capacity of the embedded PC. To avoid writing unnecessarily large quantities of data to the RAM, the partition to be protected by the EWF should be created with a size such that the free hard-disk space also matches the size of the available RAM.

The following parameters are relevant:

  • Optimum EWF partition: ePARTi
  • Minimum EWF partition: ePARTmin
  • Free physical ram: phRAMfree

ePARTi= ePARTmin + phRAMfree

Example based on the CX1800-0202 (.NET) image version 1.14

Size of the operating system (ePARTmin) = 257 MB

Free physical RAM (phRAMfree) = 43 MB

Optimum EWF partition (ePARTi) = aPARTmin + phRAMfree = 257 MB + 43 MB = 300 MB


File-Based Write Filter

Operating Systems

File-Based Write Filter (FBWF)

"Windows XP Embedded SP2 Feature Pack 2007" includes the "File-Based Write Filter".

FBWF differs from "Encanced Write Filter" by protecting files directly on file level instead of protecting a whole partition. It is now possible to define exclusions, e.g. you can allow to write single files on the storage medium. By default Beckhoff Windows Embedded Images (v1.35 an higher) allow to write in the folders "C:\Data" and "C:\TwinCAT\Boot". In "C:\Data" users can save permanent data, in "C:\TwinCAT\Boot" users can save a new TwinCAT-Boot-Project without deactivating FBWF or having files commited.

EWF vs. FBWF

Usually FBWF is recommended. Some scenarios do not work with FBWF, e.g. HORM (Hibernate Once/Resume Many) or using compressed NTFS volumes.

Activated FBWF behavior

A system with an activated FBWF will be shown an other partition size as really available. This new partition size calculated by used space on the partition and the FBWF freed memory (threshold).

The threshold specifies the max. Overlay size. That means if the max. Overlay size is reached, a message box pops up with the message, that the partition is full.

AttentionNV ATTENTION:

Beckhoff Windows Embedded Images (v 1.35 and higher) have both filters (EWF and FBWF) installed, but it is not recommended to use both filters at the same time. EWF catches all writing actions allowed by FBWF, so files will be lost after rebooting the system.

FBWF Configuration with FBWF-Manager

Console application "fbwfmgr" configures FBWF. It is possible to show status, (de-)activating filter, commit protected files and add/remove exclusions. For further information please visit: http://msdn2.microsoft.com/en-us/library/aa940817.aspx

Examples

show status

fbwfmgr

activating FBWF

fbwfmgr /enable

deactivating FBWF

fbwfmgr /disable

commit protected files

fbwfmgr /commit c: \example.txt

attention:

  • correct order: partitions lable first, space, relative path to folder starting with "\"
  • only single files can be commited, no folders
  • files must exist to be commited
  • files cannot be deleted

add/remove exclusions

fbwfmgr /addexclusion    c: \example.txt         //add file
fbwfmgr /addexclusion   c: \exampleFolder       //add folder
fbwfmgr /removeexclusion        c: \example.txt         //remove file
fbwfmgr /removeexclusion        c: \exampleFolder       //remove folder

attention:

  • correct order: partitions lable first, space, relative path to folder starting with "\"
  • changes will become active after reboot
  • adding exclusions for not exsisting files/folders by following:
    • add exclusion
    • reboot
    • create file/folder

Utilization of the FBWF with the Beckhoff FBWF Manager

With the Beckhoff FBWF Manager it is possible to utilize the FBWF with pointing devices (e.g.: mouse, touchscreen). The Beckhoff FBWF Manager is part of the Beckhoff default Windows Embedded images for embedded Devices especially the CX1000 (since ver. 1.35) and the CX1020 (also since ver. 1.33). To get detailed information about the Beckhoff FBWF Manager and it's download link read the documentation here.


FBWF Seiteneffekte

Operating Systems

File Based Write Filter (FBWF) Side effects

When you are using the FBWF you can get possibly side effects, so that your medium is no longer protected.

The default configuration of the FBWF protects the medium named HardDiskVolume1. So that a Volume will be recognized as HardDiskVolume1, the media must be either be alone connected on the IDE-Bus or must be connected as Primary Master. Is no of the premises fulfilled, the FBWF have to be reconfigured.

For example:

A C69xx with HDD and Compact-Flash-Card whereat the Compact-Flash is the System.

If the System starts without connected HDD the System will be on HardDiskVolume1. But will the System starts with connected HDD, the System will be on HardDiskVolume2. That causes while the HDD is the primary master and the Compact-Flash-Card the secondary master.

To fix this side effect you have to reconfigure the FBWF

Configuration:

  • "fbwfmgr /removevolume C: 1" removes the Volume from your protection list
  • now you can add the new Volume to your configuration with "fbwfmgr /addvolume D:"
    • after you restarted your computer you have to unlock the default folders ("C:\Data\ and "C:TwinCAT\Boot")

Summary:

- Standard C69xx:

The Compact-Flash-Card is "HardDiskVolume1" with the drive letter C:

- extension with a HDD:
The Compact-Flash-Card is "HardDiskVolume2" with the drive letter C:
The HDD is "HardDiskVolume1" with the drive letter D:

(The EWF is unconcerned of this effect.)


Registry Filter

Besides "File-Based Write Filter" and "Windows XP Embedded SP2 Feature Pack 2007" includes "Registry Filter". It is now possible to write single registry sets on writeprotected (FBWF or EWF) disks permanent, without commiting the whole registry after every change.

By default registry key [HKLM\SOFTWARE\Beckhoff] is commited, so TwinCAT can save changes in the registry. User can save their "write sharings" in the second key by creating a subkey with continuous number.

e.g.:

[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Regfilter\Parameters\MonitoredKeys\2]
"ClassKey"="HKLM"
"RelativeKeyName"="SOFTWARE\\Beckhoff"
"FileNameForSaving"="Beckhoff.rgf"

ClassKey = superior regkey

RelativeKeyName= relative key, which is to be commited

FileNameForSaving= file saving the key

Deactivate the Registry Filters:

Currently there is only one way to disable the Regfilter.

  1. Open the "Registry Editor" (Start -> Run -> "regedit" enter).
  2. Navigate in the tree on the left side to the Registry Key "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Regfilter".
  3. Change the value from the Parameter "Start" from "1" to "4".

Activate the Registry Filters:

To activate execute steps 1 & 2.

After that change the value from the Parameter "Start" to "1".


Regfilter Seiteneffekte

Operating Systems

Registry Filters side effects

It's not possible to start CHKDSK at the start of the Operating System if the Registry Filter is activated.

If the Regfilter is active, you will get the error message: "cannot open volume for direct access".

You have to deactivate the Regfilter to use CHKDSK.

After CHKDSK runs successfully, you can reactivate the Regfilter.

Activate & deactivate see here.


CX1000-N003 audio module

From version 1.00 the drivers for the CX1000-N003 audio module are included in the LF (CX1800-0200)*, HMI (CX1800-0201)* and .NET (CX1800-0202) images.

The drivers were deactivated in the Control Panel and have to be reactivated if the CX1000-N003 audio module is used.

The driver can be activated or deactivated in the Device Manager (Start-->Control Panel-->System-->Hardware-->Device Manager).

The audio driver is installed under "Sound, video and game controllers". It is called "Geode - Native Mode Audio Driver (Windows XP/2000)". The red cross through the speaker symbol / audio driver indicates that the device is deactivated. The driver can be enabled via the right mouse button. Alternatively, it can be switched on via the Action menu of the Device Manager.

Note:

The "Geode - Native Mode Audio Driver (WindowsXP/2000)" Version 1.0.10.0 is used in the CX1000 LF (CX1800-0200), HMI (CX1800-0201) und .NET (CX1800-0202) images from Version 1.00 - 1.10 . This driver should only be activated if the CX1000-N003 audio module is connected. If the sound driver is activated without the audio module being connected Windows XP Embedded will not start.

From version 1.1.50.0 of the "Geode - Native Mode Audio Driver (Windows XP/2000)" it is no longer necessary to deactivate the driver in the Device Manager if the CX1000 has no CX1000-N003 audio module connected to it. This driver is used in the LF (CX1800-0200), HMI (CX1800-0201) and .NET (CX1800-0202) images from version 1.12.

* no longer supported


CX-Cloning-Tool

Function description of the CX-Cloning-Tool

CX-Cloning-Tool behaviour with Write Filter protected operating systems

The CX-Cloning-Tool is a command line Tool which is used to change the unique features (computer name, AmsNet-Id, SID) of the Windows XP embedded operating system in a simple and secure way.

This Tool simplyfies the deployment of Windows XP embedded operating system which have been recovered from a master-image. In this case the computer name, AmsNet-Id and SID are identical to the settings of the master-image so the devices won't work if they are attached to the same network.

Function description of the CX-Cloning-Tool:

The CX-Cloning-Tool can be used with the windows command prompt (start --> run ... , type: "cmd", press enter button)

The text below describes the function parameters of the CX-Cloning-Tool:

NOTE: The described function parameters are available in the CX-Cloning-Tool, version 3.1.0.14 or higher.

This version of the CX-Cloning-Tools is included in the XPe operating system, since version 1.35 / 135a, for Beckhoff Embedded-PC platforms!

Combo-parameters of the CX-Cloning-Tool:

  • Sequently call of all CX-Cloning-Tool function parmaters (at runtime):

    This parameter can be used for a fast configuration of the windows XP embedded operating system. All functions (Basic-functions, optional-function) will be called sequentially at the runtime

    AttentionNV NOTE: After finishing this function call the CX-Cloning-Tool will initiate system restart. All unsaved data will be lost!!

  • cxcloningtool -all

  • Sequently call of all CX-Cloning-Tool function parmaters at next start of the operating system:

    This function parameter writes a "run-once" entry in the Windows Registry which causes call of the CX-Cloning-Tool with the "-all" parameter at the next start of the operating system

    windows Registry key: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce
    Value of the key: SysPropChange
    data of the value: c:\windows\system32\cxcloningtool.exe -all

    The command-line output of the CX-Cloning-Tool after the run-once-entry was successfully written in the Registry: "CXCloningTool runs after reboot"

    NOTE: This function is useful for creating "master-images" for image cloning-procedures and deploying on identical hardware platforms, the unique operating system data (computer name, AmsNetId, SID) will be changed on startup after restoring the image on the target station.

    cxcloningtool -ro

Basic CX-Cloning-Tool parameters:

  • Set of the computer name

    The computer name will check the computer name for uniqueness in the network and will change the name if the name is already assigned to another station.
    The created computer name begins with the profix: 'CX_' followed by the last six digits of the MAC-Id. The MAC-Id can be read on the surface of the Embedded-PC case.
    NOTE: The initial computer name of the windows Xp embedded os should be BK_IPC. This computer name should be used to prevent the accidential change of the computer name by the CX-Cloning-Tool

    AttentionNV NOTE: After the change of the computer name. All unsaved data will be lost !

    cxcloningtool -n

  • Set of the AmsNet-Id

    If the TwinCAT runtime system does not contain a valid AmsNet-Id the CX-Cloning-Tool will create a unique one it uses the last eight digits of the MAC-Id and adds '01 01' postfix.
    NOTE: The CX-Cloning-Tool displays the AmsNetId in the hexadecimal number system.
    NOTE: The new AmsNet-Id will be used after the restart of the operating system.

    cxcloningtool -a

  • Set of the SID

    The SID (computer Security Identifier) is a unique number of each operating system. It is part of the network security concept. The usage of identical SIDs in the same network can compromise the network security

    AttentionNV NOTE: After changing the SID the operating system will be restarted by the operating system. All unsaved data will be lost !

    cxcloningtool -s

Optional CX-Cloning-Tool parameters:

  • Clear the collected user data

    The Windows XP embedded operating system collects data that have been made by the user during the customisation process (typed urls, commands) will be deleted with this command:

    cxcloningtool -c

  • Restart the operating system
    The CX-Cloning-Tool can initiate an imidiate restart of the operating system:

    AttentionNV NOTE:All unsaved data will be lost !

    cxcloningtool -rb

  • Run user-defined script files:
    This command calls the run.cmd file in the "C:\Data" directory.
    cxcloningtool -rc
  • Execute Reg-files int the script file (run.cmd):

  • Reg-files (.reg) can be imported to Windows Registry with the "run.cmd" by using this command in the script-file
    REG IMPORT registryDatei.reg

CX-Cloning-Tool behaviour with Write Filter protected operating systems:

The CX-Cloning-Tool checks the operating system for an active Write Filter. If an active Write Filter was detected by the CX-Cloning-Tool no CX-Cloning-Tool command will be performed.

For more information about Write Filter (EWF, FBWF) please read the article "Write Filter concepts"

The CX-Cloning-Tool output of the error-message: "A WriteFilter is active. Please disable the Filter and restart the program!"

AttentionNV ATTENTION: Please regard this operation order to avoid side-effects:

1. Disable any active Write Filter

2. Perform CX-Cloning-Tool operation

3. Enable the Write Filter

Avoid this configuration: Call the CX-Cloning-Tool with the "-ro" parameter (a run-once entry will be created) --> enable a Write Filter. At the next operating system startup the cx-cloning-tool will detect an active Write Filter and won't perfom it's operations. The run-once entry still exists in the Registry because the Write Filter prevented it from deleting. At the next startup the situation repeats.

Related articles:

Configuration of the XPE Images | This article describes the usage of the CX-Cloning-Tools to create a Master-Images for a (mass) rollout.
Write Filter Concepts | This article describes charcteristic features of the Write Filters used in windows XP embedded operating systems for Beckhoff Embedded-PC platforms


Beckhoff EWF Manager Version 1.2

The Beckhoff EWF Manager is a tool that helps to configure the EWF (Enhanced Write Filter) easily with a graphical user front end.

The former method to establish that configuration via the command console is therefore unnecessary since.

Note: The EWF Manager can also be added (installed) later.

In the below picture 1.0 the EWF Manager front end is shown. Displayed is the EWF type, status, boot command, volume name und volume ID.

Picture 1.0

The below table 1 describes the "EWF overlay store configuration" section of the above dialog.

Table 2 describes the "Action" commands for handling the EWF.

Table 1:

Type: | Shows which EWF volume type gets used. In the newer versions (>= v1.14), the EWF volume gets executed inside the RAM, means no further partition for the EWF encessary.
State: | Shows the current status of the EWF, resp. whether it is currently enabled or disabled.
Boot command: | Displays the command execution after next reboot. The following "Boot commands" are possible: 1. "EWF NO CMD": no command execution after reboot, nothing gets changed. 2. "EWF ENABLE": the EWF gets enabled at next reboot. 3. "EWF DISABLE": the EWF gets disabled at next reboot. 4. "EWF COMMIT": data gets written at shutdown to the mass storage device although the EWF is enabled.
Volume ID: | Shows the partion ID (hexa-decimal) of the Compact-Flash partition.
Volume name: | Shows the partition name

Table 2:

Enable | With the "Enable" button, you can activate the Enhanced Write Filter. Please confirm with 'OK' on the message box popping up afterwards.
Disable | With the "Disable" button, you can deactivate the Enhanced Write Filter. Please confirm with 'OK' on the message box popping up afterwards.
Commit changes | With the "Commit" button, you can change settings during EWF runtime. Please confirm with 'OK' on the message box popping up afterwards.
Commitanddisable -live | With "Commitanddisable -live" you can deactivate the Enhanced Write Filter on the fly. Please confirm with 'OK' on the message box popping up afterwards.
Clear command | With "Clear command" you can reset the "Boot command" to "EWF_NO_CMD". The next restart of the system will enable resp. disable the EWF. Please confirm with 'OK' on the message box popping up afterwards.
Exit | Use this button to exit the EWF Manager.
Reboot | Use this button to reboot the system.

About the EWF Manager installation:

The EWF Manager can be installed on Windows Embedded Devices >= image version 1.11.

On IPC / Embedded PC (with Windows Embedded operating system) the EWF Manager can be installed on any later date without problem, as long as the configuration consists of an EWF volume.

Behavior of the EWF Manager in combination with Service Pack 1 (SP1):

With Service Pack 1, the button "Commitanddisable -live" is deactivated (greyed out), because this function is only supported since the integration of Service Pack 2 .

Behavior of the EWF Manager on a CX:

On a CX image (also applies to images which contain Service Pack 2) the button "Commitanddisable -live" is deactivated, since after a confirmation and instant shut-off, the EWF wouldn't be able to allocate enough free RAM.


Beckhoff FBWF Manager Version 1.0

The Beckhoff FBWF Manager is a graphical tool, helping you to configure the FBWF (File Based Write Filter). The previous way to commit settings by command line must not be used anymore. You can find more about File Based Write Filter here.

Overview of the interface “General Settings” of the Beckhoff File Based Write Filter Manager:

Image 1: Beckhoff File Based Write Filter Manager - General Settings

For the interface’s functions check the table below.

a1 | Shows the actual state of FBWF.
a2 | Shows the FBWF state after rebooting the system.
a3 | Enables or disables the FBWF.
a4 | Shows if the FBWF overlay compression is active.
a5 | Shows if the FBWF overlay compression is enabled or disabled after the system is restarted.
a6 | Activates or deactivates the compression.
a7 | Shows if preallocation is aktivated or deactivated.
a8 | Shows if preallocation is aktivated or deactivated after the next reboot.
a9 | Activates or deactivates the preallocation.

Overview of the interface “Exclusions” of the Beckhoff File Based Write Filter Manager:

Image 2: Beckhoff File Based Write Filter Manager - Exclusions

For the interface’s functions check the table below.

b1 | Adds the selected folder to the exclusionlist after reboot.
b2 | Adds the selected file to the exclusionlist after reboot.
b3 | Removes the in window b4 selected file or folder from the actual exclusionlist.
b4 | Shows files an folders which are on the actuall exclusionlist.
b5 | Shows changes on the exclusionlist, which will be commited after rebooting the system.

Information on the FBWF Manger (File Based Write Filter Managers) installation:

The Beckhoff FBWF Manager can be installed on a Windows Embedded Device with version 1.35 and upwards. Since version 1.37 the Beckhoff FBWF Manager is preinstalled on our images. You can find the file for the Beckhoff File Based Write Filter Manager installation here.

For installing the Beckhoff FBWF Manager you need the "Microsoft Visual C++ 2005 Redistributable Package" version 2.0.50727.762 or higher. This Package is not preinstalled until version 1.35 but it can be installed easily. You can find the installation of the "Microsoft Visual C++ 2005 Redistributable Packages" here.

Note:

If you use a Customer Image please be sure, that the File Based Write Filter is already installed.


Windows Visual Styles

AttentionNV ATTENTION:

  • It's not recommended to install the Windows Visual Styles on CX1000 Systems! You will lose your warranty.
  • The Windows Visual Styles could be installed on Image Version > = 1.35. Earlier Versions are not supported!

Installing the Windows Visual Styles on Beckhoff Standard Images

Hint: The installation files can be downloaded here.

Important: Before you can start, be sure that the "Write Filters" (EWF, FBWF) are disabled. If any "Write Filter" is active, disable the write filter.

After downloading the ZIP-archive and extracting you have to execute the "install.cmd". When the script runs successfully you have to restart the machine.

Now you can select the Windows XP Theme in the Display Properties (see Figure 1).

Figure 1

Please confirm with OK.


Keyboard Layout Setup for Windows XP embedded

Operating Systems

Keyboard Layout Setup

  • Supported languages by the "Keyboard Layout Setup"

  • Downloading the "Keyboard Layout Setup"

  • Installation of additional Keyboard layouts on the Beckhoff default images

  • Using new keyboard layouts

  • Related articles

Supported languages by the "Keyboard Layout Setup"

The Windows XP embedded default images for Beckhoff Embedded-PCs have already installed the keyboard layout / language support for English and German.

With the "Keyboard Layout Setup" more keyboard layouts can be added to the system.

Localized versions of the Windows XP embedded images for Beckhoff Embedded-PCs are also available. Please refer to Related Articles section to get further information.

With the additional keyboard layouts it is possible to read foreign text (e.g. with notepad) or to write / display symbols (e.g. with On-Screen Keyboard, Internet Explorer) that are not covered by the English and / or German language. In case of a missing keyboard layout the symbols will be replaced by default symbol (e.g. white rectangle, question mark).

The "Keyboard Layout Setup" does not contain yet all keyboard layouts that are included in the Windows XP Professional operating system.

The table below contains information about available languages and the supported languages by the "Keyboard Layout Setup". Available keyboard layouts are marked with " X ":

Language / Keyboard layout | included in the "Keyboard Layout Setup"
Albanian | X
Azeri (Latin) |
Armenian |
Azeri (Cyrillic) |
Arabic Saudi Arabia |
Belarusian |
Bengali |
Bosnian | X
Bulgarian | X
Chinese (Hong Kong S.A.R.) |
Chinese (Taiwan) |
Chinese (PRC) |
Czech | X
Canadian French | X
Belgian French | X
Belgian (Period) | X
Danish | X
Divehi |
Dutch | X
Estonian | X
Farsi |
Finnish | X
French | X
Faeroese | X
FYRO Macedonian | X
German | X
Greek | X
Georgian |
Gujarati |
Hebrew |
Hindi |
Hungarian | X
Icelandic | X
Italian | X
Japanese |
Kazakh |
Kannada |
Korean |
Kyrgyz (Cyrillic) | X
Latvian | X
Lithuanian | X
Irish | X
Malayalam |
Maltese 47 Key | X
Maori | X
Marathi |
Mongolian |
Northern Sami Norway |
Norwegian | X
Polish (Programmers) | X
Portuguese (Brazilian ABNT) | X
Portuguese | X
Punjabi |
Romanian | X
Russian | X
Serbian | X
Spanish | X
Slovak | X
Swedish | X
Syrian |
Latin America | X
Serbian (Latin) | X
Slovenian | X
Turkish Q | X
Ukrainian | X
Swedish with Sámi | X
Swiss German | X
Swiss French | X
Thai Kedmanee |
Telugu |
Tatar |
Tamil |
United Kingdom | X
United Kingdom Extended | X
Urdu |
Uzbek (Cyrillic) |
Vietnamese | X

Downloading the "Keyboard Layout Setup"

Download: The "Keyboard Layout Setup" can be downloaded from the Beckhoff ftp-server. The size of the zip-archive is about 6 MB. Download "Keyboard Layout Setup"

ATTENTION: Before you proceed with the installation please ensure that no "Write Filter" (EWF, FBWF) is enabled. If any of the "Write Filter" is enabled, you have to disable it!

Installation of additional keyboard layouts on the Beckhoff default images

After downloading and unzipping the zip-archive run the "KeyboardLayout.exe" to start the installation of additional keyboard layouts. Select the needed keyboard layouts:

Figure 1: displaying some available keyboard layouts of the "Keyboard Layout Setup"

Properties of the "Keyboard Layout Setup"
  • The keyboard layouts are sorted by the language in alphabetically order
  • The languages are subsumed to groups
  • Mark a keyboard layout for installation by activating its checkbox.
  • Already installed keyboard layouts are indicated by the activated checkbox
  • After finishing the installation a system restart is required to take changes on the system.

Using new keyboard layouts

Now the new installed keyboard layouts can be selected for usage. Go to the "Regional and Language Options" in the Control Panel (start / Control Panel / Regional and Language Options) of the Windows XP embedded default images for Beckhoff Embedded-PCs:

Figure 2: Screenshot of the "Regional and Language Options" dialog

Regional and Language Options / Languages:

  1. In the "Regional and Language Options" dialog select the second tab called Languages [1]. This dialog contains the "Details..."-button

  2. Press the button "Details..." [2] to reach the Text Services and Input Languages dialog.

"The Services and Input Languages" is used to configure the usage of installed languages and keyboard layouts:

Figure 3: Text Services and Input Languages / Settings dialog

Text Services and Input Languages / Settings:

  • The frame "Default input language" shows the used default language on the system. This language is used by default by the applications (Notepad, On-Screen Keyboard, Internet Explorer, ...) to display the text.
  • The frame "installed services" lists the used languages and keyboard layouts. The entries in this frame have the following structure: A short description of the language (here: DE) followed by the name of the language and the country (here: German (Germany)). The used keyboard layouts are listed below the language entry (here: German). It is possible to use multiple keyboard layouts for one language.
  • The available keyboard layouts on the system can be added to each available language on the system .
  • To use the available languages and keyboard layouts on the system, they have to be added to the "Installed services" list by selecting "Add.." (see: red frame). By pressing the "Add..." button the selection dialog will be shown. (see: Figure 4)
  • The button "Remove" removes a selected keyboard layout or language (within all its keyboard layouts) from the "Installed services" list. This removing action does not uninstall the language / keyboard layout from the system. At least one language with a keyboard layout has to be in the list.
  • The frame "Preferences" contains buttons for configuring the "Language Bar" (see: Figure 5).

The selection menu for installed Input languages and keyboard layouts on the system:

Figure 4: selection dialog for installed input languages and keyboard layouts

 Add Input language:

  • Selection of an Input language will be made with the selection box "Input language" [1] The selected input language will be shown in the "Installed services" list (Figure 3).
  • Selection of a keyboard layout will be made with the selection box "Keyboard layout / IME" [2] The selected keyboard layout will be shown in the "installed services" list (see Figure 3) as a sub entry of the language shown above the keyboard layout selection. To add multiple keyboard layouts to one language select the language and then select the keyboard layout. Repeat this procedure for further keyboard layouts.
  • The "Keyboard Layout Setup" installs the input language and its original keyboard layout.

Using the "Language bar" while working with multiple input languages / keyboard layouts:

TaskbarIcon1

Figure 5: Using the Language Bar. in the system tray.

 Language bar:
  • The "Language bar" provides a fast switching of the used languages / keyboard layouts with a pointing device or a keyboard by using shortcut keys.
  • The displaying of the "Language Bar" can be made for the system tray usage (shown in figure 5) or as visible field on the desktop
  • The "Language Bar" can be configured in the Text Services and Input Languages / Settings: dialog (figure 3)

Related articles

The article Localized Windows XP Embedded images for Beckhoff embedded PCs describes the concept of localizing Windows XP embedded default images for Beckhoff Embedded-PCs platforms using the Multilingual User Interface (MUI) Setup. The article also contains a list of already available localized Windows XP embedded default images for Beckhoff Embedded-PCs.


Licensing

Operating System

Devices of the CX1000/CX1020 series are delivered with a preinstalled operating system depending on the order options. The possible options contain Microsoft Windows XP Embedded or Windows CE.NET.

The license number of the operating system of a CX1000/CX1020/CX9000/Ethernetpanel is visible on the Windows license sticker which is placed at the outside of the device. This original sticker from the Mircosoft Company describes the so-called COA (Certificate of Authenticity). It is not allowed to remove it from the device or to assign it to other devices. The sticker documents the existence of a legal operating system version.

TwinCAT Software License

The TwinCAT software license contained in the CX1000/CX1020/CX9000/Ethernetpanel is scanable at the ordering name on the front of the device. It is delivered factory-installed.

The last digit of the CPU module provides information about the factory-installed activated TwinCAT level. Devices with the name CX10xx-0xx1 are preloaded with a TwinCAT PLC license, devices with the name CX10xx-0xx2 are preloaded with a TwinCAT PLC and NC PTP license, devices with the name CX10xx-0xx3 are preloaded with TwinCAT NCI License.
If the last digit is zero the device has no TwinCAT license.

Note:

The TwinCAT license is programmed into the device hardware and can not be changed by the user. A change of the TwinCAT Level ( e.g. from PLC to PTP or vice versa) is only possible by the factory.


Modification of parameters: AmsNetId / TCP-IP / Screen Resolution

The TwinCAT ADS Message Router on the CX1000 is identified by a unique AdsAmsNetID in the TwinCAT network. During the first start of the CX1000, the TwinCAT System Service creates this unique AmsNetID.

Modifying the AmsNetID is therefore not necessary for the operation of the CX1000.

By default this AmsNetId is made up by combining the last 4 digits of the unique Ethernet MacId of the CX1000 with the extension "1.1".
You can see the MacId on the label attached to the CX1000.

Example:

MACID = 00-01-05-00-27-84 results in the AmsNetID 5.0.39.132.1.1

Changing the default AmsNetID

You can assign and select your own AmsNetIDs, for example to adapt the AmsNetID to the IP address of the CX1000.
There are two options for changing the AmsNetID:

  • The change of the AmsNetID can be conveniently performed by the TwinCAT System Manager:
    It writes the new AMsNetID to the required address in the registry of the CX1000 and saves the modified registry back to the compact flash card.
  • The alternative is modifying the AmsNetID directly using the registry editor.

Note:

For both options, the CX1000 must be restarted after the modification so that the new setting becomes effective.

1. Modifications by means of the TwinCAT System Manager

If you selected the CX1000 as target system with the System Manager and you are therefore "remotely" connected to the CX1000, a dialog is available to determine the most important settings in the CX1000.

The possible modifications include:

  • AmsNetId
  • Host name (of the CX1000)
  • TCP/IP settings
  • Dispaly Resolution / Display Frequency

After changing settings, a dialog is displayed which causes a reboot of the CX1000 when confirming with "OK". First, all adjustments are saved back on the compact flash card. Only after the restart, the new settings are then effective.

Remark:
In case of modification of the TCP/IP address of the CX1000, it is necessary to perform the connecting procedure between the host PC (with system manager) and the CX1000 again.

2. Modifications by means of the Registry Editor

1. Select the "Start" button, then "Run".

2. Enter "regedit.exe" to open the Registry Editor.

3. Navigate to HKLM -> Software -> Beckhoff -> TwinCAT -> System

The key "AmsNetId" contains the current settings. Here the address can be modified, e.g. to 172.1610.7.7.1.1

4. To make the modifications of the settings effective, the Registry Editor must be closed. This writes the registry to the compact flash card again. After restarting the CX1000, the new AmsNetId will be effective.


Establishing the Connection

In the following, the steps for the start-up of the CX10xx (CX device of type CX1000 or CX1020) with TwinCAT will be described.

1. Requirements:

Required software on the host PC:

  • Windows NT/2000/XP
  • TwinCAT 2.9 starting with build 941 or higher

Required software on the CX10xx-0x1x:

  • Windows CE.NET 4.10 with software version V1.29 or higher
  • TwinCAT CE

Required hardware:

  • TCP/IP network connection between the CX10xx and the host PC directly via a crossover cable or with network cables to a network hub/switch
  • Optional: Monitor with DVI-A connection (or VGA DVI A adapter for VGA monitor connection)
  • Optional: USB keyboard and USB mouse.

2. Establishing the connection to a CX10xx with Windows CE.NET

2.1 Determining the name of the CX10xx

In order to establish an ADS connection between the host PC and a CX10xx under Windows CE.NET, it is necessary to determine the computer name of the CX10xx .

This name derives from the last 3 byte of the MacId of the CX device. You can see the MacId on the label attached to the CX10xx .
For example:The MacId = 00-01-05-00-23-1E results in the name CX_00231E

The name (in this example "CX_00231E") is displayed in the second line of the display when starting the CX10xx .

2.1 TwinCAT in Config Mode on the Host PC

First start the TwinCAT System Manager on the host PC (via the Windows start menu or the TwinCAT icon in the Windows status bar).

The TwinCAT on the host PC must be switched to config mode. When TwinCAT is in config mode, a green-blue TwinCAT icon is displayed in the Windows status bar.

TwinCAT can be switched to the config mode via the actions menu (start/restart TwinCAT in config mode) or by clicking the green-blue TwinCAT icon in the toolbox of the system manager.

TwinCAT in config mode:

2.2 Searching for the CX10xx in the Network

The search for the CX10xx in the network takes place in the system manager on the host PC. Via the actions menu option "Selection of the target system. .." or alternatively via the "Select target system" button on the General tab of the system configuration.

A dialog for the selection of the target system will open.

The entry "<Search>" in the list must be selected and confirmed with OK. A dialog for adding a connection will be opened. The button "Broadcast search" searches for all available target systems in the network and displays them in a list.

The entry with the name of the CX10xx must now be selected in the list and be added to the current connections of the host PC with "Add route".

A dialog appears that prompts for a valid user name and password for the target system. For the CX10xx with Windows CE.NET both fields must remain blank and the dialog must be closed by clicking OK.

An 'X' appears in the "Connected" column for the CX10xx . The dialog can now be closed with the "Close" button.

The CX10xx that was just added is now listed in the target selection dialog and can be selected as target system. After closing this dialog with OK, the status bar of the TwinCAT System Manager will display the name of the CX10xx with the AmsNetID in parentheses and the current status of the TwinCAT on the CX10xx .


CX1000 Setup for HMI Development

This page describes the steps for the creation of an ActiveSync connection between the CX1000 and the host PC.

1. Requirements:

Required software on the host PC:

  • Windows NT/2000/XP
  • TwinCAT 2.9 with Config Mode
  • Microsoft Embedded VC4 *
  • Microsoft ActiveSync 3.5*
  • Microsoft Windows CE.NET Emulation Edition *
  • Beckhoff CX1000 SDK Emulator **
  • Beckhoff CX1000 SDK**

Required software on the CX1000:

  • Windows CE.NET
  • TwinCAT CE

* Available from Microsoft without license.

** Available without license

Required hardware:

  • Null modem cable for connection between the CX1000 and the host PC.
  • Optional: Adapter for the compact flash card.

Microsoft Windows CE.NET Emulation Edition (480 MB):

After the installation, this software enables the implementation of C++ applications with eVC4++ for different hardware platforms.

It supports:

  • Embedded x86 platforms
  • starting a CE application in the CE emulation environment
  • Selection of different graphic resolutions
  • TCP/IP for the connection with other PCs (such as the host computer running the emulator)

Beckhoff SDK Emulator (7 MB):

This is an extended version of the standard SDK emulator.
Download: http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/embVC4/

Password: nk.cem
Back up the old emulator version and replace it with the new emulator in the directory "..\wce400\STANDARDSDK\Emulation"

The Beckhoff version of the standard SDK emulator includes a full version of TwinCAT CE including the PLC and all ADS components. It is possible to create a connection in a current application in the CE emulator with a running TwinCAT system on the host PC via ADS.

The emulator enables starting the HMI-CE implementation without CX1000 hardware. The user interface can thus be created without a CX device, and the PLC program can also run on the host PC.

Beckhoff CX1000 SDK**

The Beckhoff CX1000 SDK environment permits remote programming of C++ applications on the CX1000 device.

Download: http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/embVC4/

http://download.beckhoff.com/download/Software/embPC-Control/CE/Solutions/embVC4/

2. Connection establishment:

1. After the installation of the Microsoft ActiveSync software on the host PC, Active Sync must be started. The available communication interfaces are created with "Get connected".

When running a CX1000 for the first time, the serial interface must be selected here.

2. On the CX platform, click the "Start" button, select "Settings", "Control Panel", and then "Network and Connections". A dialog opens.

3. Under "Create new connection" select "COM1".

4. On the second tab, under call options, select "Configure".

5. Deactivate the check box "Wait for dial tone"

6. Save the configuration.

7. Click the "Start" button, select "Settings", "PC connection", and select the connection created in step three.

8. Go to "Run" in the "Start" menu, and enter "Repllog".

9. After confirming with "OK" the CX1000 will access the host PC, to which it is connected through a null modem cable, and try to establish a connection to this PC. You must confirm the "partnership" here.

Note:

The first connection between the host PC and the CX1000 is possible only through a serial interface. Later, a faster connection can be made via Ethernet.

If your host PC has an Ethernet card, enter "Replog/remote" under "Start", "Run" for the other connections and select "Connect".

Saving settings to the compact flash card:

In order for the settings to be transferred to the compact flash card, a restart of the system is required.

Note:

Embedded VB4 is not supported because it is not available from Microsoft.

Embedded VB3 is not recommended because it is only a subset of the complete VB.

.NET: The use of applications with .NET is not possible because the Microsoft .NET runtime is not available on X86 based CE devices.


PLC Programming with TwinCAT PLC Control

The handling of the CX10xx PLC(CX device of type CX1000 or CX1020) with the TwinCAT PLC control does not differ from other hardware and is already described in the Beckhoff Information System. We will briefly refer to it for introduction purposes.

Quick Reference:

  • The programming languages for the creation of programs in the TwinCAT PLC control correspond to the IEC61131-3 standard.
  • With each compilation, the project information is written to a <Project Name>.tpy file. This file is XML based and can be opened with the Internet Explorer. The bottom section, "Symbols" contains a listing of the PLC variables with detailed information about data types and ADS parameter for the access to the PLC symbols (such as index group, index offset, length).
  • After compilation, you must read the file <Project Name>.tpy into the TwinCAT System Manager.
  • Map the PLC variable with the I/O points in the TwinCAT System Manager.
  • Select the target system into which the PLC project is to be loaded. To do so, enter "Runtime 1 (Port 801)" under Target system (port), and "CX1000" under Target system (machine) in the dialog box "Selection of target system".
  • Next, log in and create a boot project.


Hardware Setup with the TwinCAT System Manager

The configuration and the test of the CX10xx hardware ( CX device of type CX1000 or CX1020) is done remotely (remote configuration), using the TwinCAT System Manager on the host PC.

Configuration of the CX10xx Hardware:

1. Switch the TwinCAT System Manager to "config mode" (indicated by the blue icon in the task bar).

2. Open the System Manager.

3. Doubleclick the status line to go to the AmsNetId field (left field) and select target system CX10xx in the window that opens.

In this example, the CX10xx has the AmsNetId 5.0.34.251.1.1. Confirm your input with "OK".

From then on, the CX10xx is accessed remotely. The selected device and the status are indicated in the status line.

4. Click once on the blue icon in the toolbar of the system manager to change into config mode.

The CX10xx device is now in config mode. This is indicated in the status bar of the TwinCAT System Manager.

Configuration of the Hardware:

Click on the right-hand mouse button on I/O Devices to display the following context menu:

Device Search:

Scans the CX10xx for known devices. Found devices are then listed under I/O Devices.

After you select "Scan devices', the following message box opens:

If a new device is found, the following window is displayed next:

To scan the sub-devices you must confirm the displayed message box:

The device search is now finished and all Bus Terminals added to the CX10xx are now scanned.

For the activation of the free run, the following message box must be confirmed.

Free Run

This config mode feature allows testing the I/O hardware directly by writing outputs without having to create an executable PLC program first.

To do so, navigate to I/O Configuration -> I/O Devices -> CX10xx... -> Bus Terminals -> Bus Terminal -> Channel -> Output. Select "Write" on the "Online" tab. The following dialog box opens:

Now you can test the hardware by writing values.

Note:

To save the configuration, please save the file in the TwinCAT System Manager ("File" -> "Save as...").


CX1000 HMI Emulator

This page contains information for testing a CE-HMI application without existing CX1000/CX1020/CX9000 hardware. It describes how a real ADS communication to the TwinCAT PLC on the host PC can be created from the CX1000 emulator. The performance of the CX1000-Emulator cannot be compared with a real CX device. Processing on the emulator is significantly slower.

1. Requirements:

Required software on the host PC:

  • Windows NT/2000/XP
  • TwinCAT 2.9
  • Beckhoff Extension of the Microsoft Standard CE Device Emulator

    Information for Installation under Microsoft Embedded VC4
    Information for Installation under Microsoft Visual Studio .NET 2003
  • Development environment

    Microsoft Embedded VC4 (available from Microsoft without license) or Microsoft Visual Studio .NET 2003

2. Configuration of the CX1000 Emulator as a "remote computer" on the host PC:

Under "TwinCAT System Service -> Settings", you can open a dialog. On the third tab, "AMS router", you can set additional ADS computers in the TwinCAT System by selecting "Add".

In the dialog that opens, you have to enter the parameter "Name", "AMS Net ID", and "Address".

  • In this example, "CX1000_EMULATOR" was chosen as the freely selectable Name.
  • As the "AMS Net ID", you must enter "1.1.1.1.1.1".
  • As the "Address", the TCP-IP address of the host PC must be entered (172.16.10.5 in this example).
    NOTE:
    The local AMS Net ID of the host PC must be a combination of the local IP address with the extension "1.1" (172.16.10.5.1.1 in this example).

After a new "remote computer" is entered, a TwinCAT restart must be executed on the host PC so that the new settings are accepted.

3. CE HMI application communicates via ADS with remote PLC on host PC:

You can now create your CE application. For ADS connection with TwinCAT, CE sample application are available in the Beckhoff Information System in the section "Connectivity ->TcAdsDll".
The selection of the ADS communication partner is made with the two identifiers "AmsNetID" and "ADS Port". The ADS port selected in this case is the first PLC runtime system PLC1 with port 801.

  • Communication between CE HMI and local PLC on the CX device:
    AMSNetID : 127.0.0.1.1.1
  • Communication between CE HMI and remote PLC on the host PC:
    AMSNetID : AmsNetID of the host PC, 172.16.1.5.1.1 in this example

C++ Source code

// Choose one of following AmsNetID
// AmsNetId ServerNetId = { 127,0,0,1,1,1 }; // target local-CX-plc
AmsNetId ServerNetId = {172,16,10,5,1,1}; // target host-plc

m_ServerAddr.netId = ServerNetId;
// ADS to PLC 1
m_ServerAddr.port = 801;
// open ADS channel
m_nClientPort = AdsPortOpen();
// optional: specify ADS-timeout
long err = AdsSyncSetTimeout(2000);

embedded Visual Studio C++ 4 environment:

In the development environment, you have access to the CX1000 emulator if "STANDARDSDK" is selected as SDK.


CX1000 Emulator

Embedded PC: CE Software Implementation: embedded VC++4

CX1000 Emulator for embVC++ 4

For the implementation of C++ applications, a CX1000 emulator with integrated TwinCAT components is available. The emulator is used to implement and test HMI applications under Microsoft embedded Visual C++4 without CX1000/CX1020/CX9000 hardware.
Generally, the compilation can be executed with the Microsoft standard SDK and the Microsoft standard SDK emulator can be used.

Required software on the host PC:

  • Windows NT/2000/XP
  • Microsoft Embedded VC4 (available from Microsoft without license)
  • Microsoft Windows CE.NET Emulation Edition (available from Microsoft without license)

Microsoft Windows CE.NET Emulation Edition (480 MB):

The emulator enables the implementation of C++ applications with eVC4++ for different hardware platforms.

The Emulator Edition supports:

  • Embedded x86 platforms
  • Starting/debugging a CE application in the CE emulation environment
  • Selection of different graphic resolutions
  • TCP/IP for the connection with other PCs (such as the host computer running the emulator)

Beckhoff CX1000 Emulator for embVC++4 (7 MB)

The Beckhoff CX1000 emulator is an extended version of the standard SDK emulator.This extended version includes TwinCAT components. It is thus possible to start an HMI application in the CE emulator and to create an ADS communication to a running TwinCAT PLC application on the host PC via a virtual network from the emulator.

The emulator allows thus implementing and testing a CX1000 embVC4 application without CX1000/CX1020/CX9000 hardware.

Installation of the emulator:

1. Download the file NK.CEM (12.5 MB) from the Beckhoff FTP server
ftp://ftp.beckhoff.com/Software/embPC-Control/CE/Solutions/embVC4/nk.cem

2. Create a backup copy of the standard Microsoft emulator and then replace it with the Beckhoff CX1000 emulator. The emulator is located in the directory "..\wce400\STANDARDSDK\Emulation"

In the development environment, embVC++ 4, the selection of the Microsoft standard SDKs permits implementing applications in the emulator without CE hardware:

The Microsoft standard emulator is extended with TwinCAT components in the Beckhoff version:

Note:

Microsoft embedded VB3 is not supported

Microsoft embedded VC3 is not supported


CX1800-0001 zenOn HMI CE Run-Time

1. General

  • The zenOn HMI CE-Runtime can be ordered pre-installed on CX1001-xx1x, at Beckhoff.
  • The necessary zenOn IDE for designing the zenOn-HMI solution is not included nor available from Beckhoff. It has to be ordered from Copa-Data or one of their distributors instead.

The product zenOn from Copa-Data GmbH, Austria is a visualization package suitable for the CX1000 series from Beckhoff. Starting with version 5.50 SP4, the zenOn IDE allows the comfortable import of TwinCAT PLC project files. zenOn Projects established in that way can run under Windows NT/2000/XP and CE. Designed zenOn projects are loaded to the target platform e.g. via TCP/IP, possible changes to the dialogs and forms can be even established during their execution on the run-time (on-the-fly). The access to TwinCAT PLC variables takes place via optimized ADS telegrams. The dialogs and forms within zenOn are designed resolution-independent and get scaled to the appropriate monitor resolution afterwards automatically.

For the CX1001-xx1x with Windows CE.NET operating system, the zenOn CE.NET Runtime (Copa-Data: ZRT5-CENET) has been integrated and is offered at BECKHOFF under part number: CX1800-0001. As stated before, the zenOn editor/IDE has to be sourced at Copa-Data (please find contact information below) and is not available from Beckhoff.

1.1 Contact

For information about local Copa-Data distribution, please find below contact info or use the also named web URL.

AUSTRIA
A-5020 SALZBURG · Karolingerstrasse 7 b
phone: +43/(0)662/431002-0 · Fax: DW 23
http://www.copadata.at e-mail: sales@copadata.at

GERMANY
D-85521 Ottobrunn · Haidgraben 2
phone: +49/(0)89/660298-90 Fax DW 99
http://www.copadata.de e-mail: sales@copadata.de

2. zenOn Product Description

(Extracted from official Copa-Data product description)

For the design, the standard PC IDE or the restricted editor for CE projects can be used. The zenOn CE Runtime is suitable for CE Hardware platforms (remark: in this case that would be the BECKHOFF CX1000 platform). PC Connect and download functions are supported from within the IDE.

2.1 zenOn CE Network Connectivity

The zenOn CE network connection allows the integration of zenOn CE HMI terminals into a zenOn network. Therefore, a zenOn network supports the connectivity of PC as well as CE stations.

Possible connectivities:

  • CE Terminal as Server
  • CE Terminal as Client
  • PC is Server / CE Terminal is process data server
    (Mixture between Client and Server. Optimized for manual operations at the terminal and data storage via network on a separate PC/Server)

In general, zenOn CE offers the same functionalities as the zenOn package for the PC, with the restrictions related to the limited Hardware resources.

zenOn CE supports:

  • Templates and multi-document interface (MDI)
  • Alarming (Ring-buffer)
  • Chronological event list (Ring-buffer)
  • Status processing
  • User management
  • Time control
  • Recipe management
  • Language change on-the-fly
  • Mathematical functions
  • flexible connection to several PLC systems
  • Support of sound
  • etc..

3. Prerequisites

The CX1800-0001 zenOn CE Run-Time needs a CX1001-xx1x (bigger memory).

4. zenOn CE Run-Time on CX1000 / zenOn License

4.1 zenOn CE Run-Time pre-installed on CX1000 / zenOn License

If ordered as described above, the CX1800-0001 zenOn CE Run-Time is already pre-installed and ready to use on CX1000. After powering the CX1000 up, the zenOn-System-Service gets started automatically, Initiated from Host-PC, the zenOn IDE can directly load an HMI solution per TCP/IP onto the CX1000. The necessary zenOn-CE licence key has to be obtained from zenOn label, sticking on the CX1000.

4.2 Installation of zenOn CE Run-Time / Evaluation License

An evaluation copy of the CE installation file for the zenOn-CE Run-Time can be loaded free of charge from BECKHOFF FTP-Server (e.g. via BECKHOFF web page) and copied via Compact Flash adapter or CX1000-FTP Server onto the CX1000.
To do so, the CX1000-CE basic image variant "CX1800-0101 HMI" should be used here.

The installation file "CX1800-0001_HMI_Zenon.I586.CAB" is to be executed via regular double-click on it.

NOTE:

  • As target directory, the pre-selected (default) directory "\hard disk\zenOn_RT" has to be confirmed with "OK"!
  • After installation of the component into the correct target folder "\hard disk\zenOn_RT" the installation file CX1800-0001_HMI_Zenon.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target folder "\hard disk\zenOn_RT" gets executed.

  • Please suspend the CX1000 once after installation by shutting it down via "Start-> Suspend". Then - and only then -, the settings will be saved into the registry on the CX1000 Compact Flash.
  • After restarting the CX by cycling power, the zenOn-CE System Service gets started. Initiated from Host-PC, the zenOn IDE can directly load an HMI solution per TCP/IP onto the CX1000.
  • For the evaluation period, a free-of-charge evaluation licence ( SN: 00000.1410.0.0 ) is available. This version is limited to a 30 minute period of use.


CX1800-0002 Tc Target Visu CE

Embedded PC: Operating System CE : HMI Solutions

CX1800-0002 TwinCAT HMI Target Visu CE

1. General

  • The TwinCAT HMI Target Visu CE can be ordered pre-installed on Beckhoff CE devices.

  • TwinCAT HMI Target Visu CE, a product of BECKHOFF, Germany is a visualization package for the Beckhoff Embedded System based on operating system CE.

2. TwinCAT HMI Target Visu CE Product Description

Full description of functionality and full documentation is available under TwinCAT PLC Control, "Target-Visualisierung"

3. Prerequisites

The CX1800-0002 TwinCAT HMI Target Visu CE needs a CE device withat least 128 RAM.

The CX1800-0002 TwinCAT HMI Target Visu CE needs a CE based image HMI V1.90 or higher.

For designing user interfaces TwinCAT V2.10 Build 1242 (or higher) is required on the host-pc.

4. TwinCAT HMI Target Visu CE License

4.1 TwinCAT HMI Target Visu CE preinstalled on CE device/ TwinCAT HMI Target Visu CE License

If ordered as described above, the CX1800-0002 TwinCAT HMI Target Visu CE is already pre-installed and ready to use on the CE device.

4.2 Installation of TwinCAT HMI Target Visu CE

The installation file "CX1800-0002_HMI_TcTargetVisuCE.I586.CAB" is to be executed via regular double-click on it.

NOTE:

  • As target directory, the pre-selected (default) directory "\hard disk\system" has to be confirmed with "OK"!
  • After installation of the component into the correct target folder "\hard disk\system" the installation file CX1800-0002_HMI_TcTargetVisuCe.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target folder "\hard disk\system" gets executed.

  • Please suspend the CE device once after installation by shutting it down via "Start-> Suspend". Then - and only then -, the settings will be saved into the registry on the CE device Compact Flash.
  • Configuration of Target Visu is done in TwinCAT PLC Control

5. Configuration

Configuration of Target Visu is done in TwinCAT PLC Control. After designing the UI screens in the PLC-Control the download to device has to be activated once.
Activation is done in PLC Control : Select menu "Project" , "Options..." and area TwinCAT. Check "Enable CE Target Visualization".

NOTE : Target Visualization is not for free, but instead a runtime license per CPU.

The screen resolution is defined in the file "C:\TwinCAT\PLC\TwinCAT PLC Control.ini"

[TwinCAT PLC Control]
VisuWidth=640
VisuHeight=480


CX1800-0003 QVis HMI CE Run-Time

1. General

  • The QVis HMI CE-Run-Time can be ordered pre-installed on a CX1001-xx1x at Beckhoff.
  • The mandatory QVis editor / IDE or designing QVis HMI solution is not offered at Beckhoff, but has to be ordered from Hilscher Swiss (company contact info below) instead.

The product QVis, a product of Hilscher Swiss, Swiss , is a visualization package which is suitable for the Beckhoff Embedded Systems of the CX1000 series. Starting with version 1.30, the QVis editor allows the comfortable import of TwinCAT PLC projects. QVis projects run on MS Windows NT/2000/XP and CE. Designed QVis projects can be loaded via FTP onto the target platform. The access to the TwinCAT PLC variables takes place via optimized ADS. During design phase, the QVis dialogs and forms can be scaled to the appropriate CX1000 monitor resolution.

The QVis CE Runtime has been integrated into the CX1000 with Windows CE.NET operating system (CX1001-xx1x) and is offered at BECKHOFF under part number CX1800-0003. The QVis editor is only avalable at Hilscher Swiss (please find contact info below).

1.1 Contact

For further information about the QVis product, please contact below address or use the also named web URL:

Hilscher Swiss GmbH
Embedded Technology
Hubelmattstrasse 29
CH-4500 Solothurn
phone +41 32 623 6633
fax +41 32 623 6632

www.hilscher.com e-mail: info@hilscher.com

2. QVis Product Description

(Extracted from official QVis product description)

For the design of QVis CE solutions, the standard PC IDE environment gets used. The QVis CE Run-Time runs on CE Hardware platforms (in this case BECKHOFF CX1000 platform).

QVis CE offers :

  • Full-graphical user interface
  • Trend view
  • Alarm system
  • chronological event list
  • Password handling
  • Recipe management
  • On-the-fly language change (Unicode character set)
  • On-the-fly unit conversion/calulation
  • Flexible adaption to different PLC systems
  • Simulation on development machine
  • etc./.

3. Prerequisites

The CX1800-0003 QVis CE Run-Time needs a CX1001-xx1x with bigger memory.

4. QVis CE Run-Time on CX1000 / QVis Licence

4.1 Installation of QVis CE Run-Time / Evaluation Licence

A evaluation version of the QVis-CE Run-Time is currently not available. Please contact Hilscher Swiss for an evaluation version.

4.2 QVis CE Run-Time pre-installed on CX1000 / QVis Licence

If ordered as described above, the CX1800-0003 QVis CE Run-Time has been pre-installed and is available on the CX1000. After powering the CX1000 up, the QVis-QLoader gets started automatically. Initiated from Host PC, an HMI solution can be loaded via Compact Flash adapter or CX1000-FTP server onto the CX1000.

The necessary QVis-CE licence is incorporated in the price for CX1800-0003.

Note:

  • As target directory, the pre-selected folder "\hard disk\QVisRT" has to be confirmed with "OK"!
  • After installing the component into the correct target directory "\hard disk\QVisRT", the installation file CX1800-0003_HMI_QVis.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target folder "\hard disk\QVisRT" gets executed.

  • Please suspend the CX1000 once after installation by executing "Start-> Suspend". Only in that case, the settings get stored in the Registry on the CX1000 Compact Flash.
  • After restarting the CX1000, the QVis-CE service "QLoader" gets started, further information on this are contained inside the QLoad manual available at company Kinz.


CX1800-0004 Movicon HMI CE Run-Time

1. General

  • The Movicon HMI CE-Runtime can be ordered pre-installed on a CX1001-xx1x at Beckhoff.
  • The necessary Movicon editor / IDE for designing Movicon HMI solutions can't be sourced from Beckhoff, but needs to be ordered from Progea separately instead.

The product Movicon, a product of Progea, Italy is a visualization package suitable for the Beckhoff Embedded system of the CX1000 series. Starting with version 9.1 Build 605, the Movicon editor allows the comfortable import of TwinCAT PLC projects. The Movicon projects are suitable for Windows NT/2000/XP and CE. Designed Movicon projects can be loaded via ActiveSync or FTP onto the target platform. The access to the TwinCAT PLC variables takes place via ADS. The Movicon dialogs and forms are designed resolution-independent and get scaled to the appropriate monitor resolution afterwards automatically.

For the CX1000 with Windows CE.NET operating system, the Movicon CE Run-Time (Progea: RTCE01) has been integrated and can be ordered at BECKHOFF with part number CX1800-0004.
The Movicon editor / IDE has to be ordered at Progea or one of its authorized distributors.

1.1 Contact

For information about local Progea presence or distribution, please find below contact info or use the also named web URL.

GERMANY

Pankstr. 8-10
D-13127 Berlin
Deutschland
Tel. +49 30 48627991
Fax. +49 30 48627993
Email:info@progea.de
http://www.progea.de

ITALY (Headquater)

Progea Srl
Via S. Anna 88/E
I-41100 Modena
Italien
Tel. +39 059 451060 (6 linee r.a.)
Fax. +39 059 451061
Email:info@progea.com
http://www.progea.com

2. Movicon Product Description

(Extracted from official Progea product description)

Movicon allows the design of HMI solutions for the MS Windows platforms 98/Me/NT/2000/XP/CE 3.0/CE.NET. The Movicon CE Run-Time runs on CE Hardware platforms (in this case BECKHOFF CX1000 platform).

Movicon CE offers:

  • 3D graphical interface
  • Recipe management
  • Alarm management
  • Data logger management
  • Trend interface
  • Network management

3. Prerequisites

The CX1800-0004 Movicon CE Run-Time needs a CX1001-xx1x (bigger memory).

4. Movicon CE Run-Time on CX1000 / Movicon License

4.1 Movicon CE Run-Time pre-installed on CX1000 / Movicon License

If ordered as described above, the CX1800-0004 Movicon CE Run-Time is pre-installed and available on the CX1000. After powering the CX1000 up, the HMI solution Movce.exe gets started automatically with a demo project.

The necessary Movicon-CE Licence key has to be obtained from the Movicon label sticking on the CX1000.

4.2 Installation of Movicon CE Run-Time / Evaluation License

A CE installation of the Movicon-CE-Run-Time can be loaded from BECKHOFF website free of charge. It has to be copied via Compact Flash adapter or per CX1000 FTP server onto the CX1000.
The CX1000 basic image for CE with part number "CX1800-0101 HMI" should be used here.

The installation file "CX1800-0004_HMI_Movicon.I586.CAB" gets executed after double-click.

Note:

  • As target directory, the pre-selected folder "\hard disk\MovXCe" has to be confirmed with "OK"!
  • After installation into the correct directory "\hard disk\MovXCe", the installation file CX1800-0004_HMI_Movicon.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target directory "\hard disk\MovXCe" gets executed.

  • Please suspend the CX1000 once after installation via "Start-> Suspend". Only in that case are the settings in the registry persistent, because the get saved on the Compact Flash of the CX1000.
  • After restarting the CX1000, MovXCe.exe gets started with a demo project. This demo project is configured as start-project in batchfile "\hard disk\MovXce\autoexec.cmd".
    For automatic start of a different project modify the batch file "\hard disk\MovXce\autoexec.cmd".
  • No licence key is necessary for the evaluation phase. The documentation (available at Progea) announces details about the evaluation mode.


CX1800-0005 InduSoft HMI CE Runtime

1. General

  • The InduSoft Web Studio HMI CE Run-Time can be ordered pre-installed on a CX1001-xx1x at Beckhoff.
  • The necessary Web Studio editor / IDE for designing InduSoft HMI solutions can't be sourced from Beckhoff, but needs to be ordered from InduSoft separately instead.

The product called Web Studio developed by InduSoft in USA is a visualization package also available for the Beckhoff Embedded systems of the CX1000 series. The InduSoft editor offers (besides all the implemented specific drivers) additionally an OPC Client interface which enables the browsing into the namespace of the TwinCAT OPC Server and is therefore a comfortable solution for deploying HMI solutions. The designed InduSoft WebStudio projects can run under Windows NT/2000/XP and CE. Designed InduSoft Web Studio projects can be loaded to the CX1001 via TCP/IP, Compact-Flash adapter or via FTP. Access to the TwinCAT variables is granted via a performance optimized TwinCAT OPC Server CE, the last is already pre-installed on CX1001-xx1x, if ordered with CX1800-0005 option. The InduSoft Web Studio dialogs and forms are designed resolution-independent and get scaled to the appropriate monitor resolution afterwards automatically.

For the CX1000 with Windows CE.NET operating system (CX1001-xx1x), the InduSoft Web Studio CE Runtime has been integrated and gets offered at BECKHOFF with the part number CX1800-0005.

As stated above, the InduSoft Web Studio editor / IDE has to be sourced at InduSoft or authorized distribution and is not available from Beckhoff.

1.1 Contact

For information about InduSoft distributors please see below named web address:

SALES (EUROPE)

Rheintalbahnstr. 45
D-68753 Waghaeusel
Germany
Direct: +49 7254-952841
Fax: +49 7254-952843
germany@indusoft.com
http://Indusoft.com

SALES AND TECHNICAL SUPPORT
(UNITED STATES)

3445 Executive Center Drive, Suite 212
Austin, TX 78731
info@indusoft.com or support@indusoft.com
Toll Free: 877-INDUSOFT (877-463-8763)
Direct: 512-349-0334
Fax: 512-349-0375
http://Indusoft.com

SALES AND TECHNICAL SUPPORT
(SOUTH AMERICA)

Av. Eng. Luis Carlos Berrini, 962 – 8° andar
São Paulo, SP Brazil 04571-906
sales@indusoft.com.br
Direct: +55 11 5505-5676
Fax: +55 11 5505-5676 ext. 13
http://Indusoft.com

2. InduSoft Product Description

(Extracted from official InduSoft product description)

InduSoft Web Studio enables the design of HMI sulotion for the platforms Windows NT/ 2000 / XP /CE 3.0 / CE.NET. The InduSoft Web Studio CE Runtime runs on Windows CE hardware platforms (in this case BECKHOFF CX1000 platform).

InduSoft Web Studio CE offers:

  • Recipe Management
  • Alarm Management
  • Data Logger Management
  • Trend Interface
  • Network Management
  • Script interface
  • Test tools on the CE target platform

3. Prerequisites

The CX1800-0005 InduSoft CE images requires a CX1001-xx1x (bigger memory).

4. InduSoft CE Runtime on CX1001 / InduSoft License

4.1 InduSoft CE Runtime pre-installed on CX1000 / InduSoft License

If ordered as described above, the CX1800-0005 InduSoft CE Runtime is pre-installed and available on the CX1000. After powering the CX1000 up, the InduSoft system service CEServer.exe gets started automatically.

The necessary InduSoft-CE license key is entered on CX1000 already.

4.2 Installation of InduSoft CE Runtime / Evaluation-License

A CE installation of the Indusoft CE-Run-Time can be loaded from BECKHOFF website free of charge. It has to be copied via Compact Flash adapter or per CX1000 FTP server onto the CX1000.
The CX1000 basic image for CE with part number "CX1800-0101 HMI" should be used here.

The installation file "CX1800-0005_HMI_InduSoft.I586.CAB" gets executed after double-click.

Note:

  • As target directory, the pre-selected folder "\hard disk\InduSoft" has to be confirmed with "OK"!
  • After installation into the correct directory "\hard disk\InduSoft", the installation file CX1800-0005_HMI_InduSoft.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target directory "\hard disk\InduSoft" gets executed.

  • Please suspend the CX1000 once after installation via "Start-> Suspend". Only in that case are the settings in the registry persistent, because the get saved on the Conmpact Flash of the CX1000.
  • After a restart, the InduSoft Remote Agent ( \hard disk\InduSoft\CEServer.exe) gets started automatically. Now you can load your InduSoft application onto the CX1000 via TCP/IP.

  • During the evaluation period, no license is required. The documentation provided by InduSoft explains details about the evaluation mode.


Beckhoff EWF Manager Version 1.0

The Beckhoff EWF Manager is an utility to make necessary configurations of the Windows Embedded EWF (Enhanced Write Filter) easier. The former approach, setting adjustments using the Windows Command window, is therefore obsolete. For further information about the Enhanced Write Filter, see: EWF: Enhanced Write Filter.

Note: The EWF Manager can also be installed at a later time, if necessary.

Below in Fig. 1, the EWF Manager is shown. The actual Type, State and Boot command are displayed.

Fig 1.

In table 1, the "EWF overlay store configuration" section in the dialog is described regarding its information and configuration possibilities.

Further below , table 2 describes the "Action" commands for utilizing the EWF.

Table 1 : EWF overlay store configuration

Type: Displays the type of EWF Volumes currently used. By using the newer image versions (starting from v 1.14), the EWF volume gets executed within the RAM area. That means that the former EWF Partition isn't necessary anymore.
State: Shows the actual status of the Enhanced Write Filter, means whether it is enabled or disabled.
Boot command:

Shows the scheduled command execution for next system boot. The following 'Boot commands' are available:

1. "EWF NO CMD": Means, no change during next boot/reboot.

2. "EWF ENABLE": Means, the EWF gets enabled during next boot/reboot.

3. "EWF DISABLE": Means, the EWF gets disabled during next boot/reboot.

4. "EWF COMMIT": Means, data gets written at shutdown to the mass storage device although the EWF is enabled.

Table 2 : "Action" commands

Enable | Button for enabling the Enhanced Write Filter . Use OK button to confirm.
Disable | Button for disabling the Enhanced Write Filter . Use OK button to confirm.
Commit changes | By pushing the Commit changes button, the systems gets permitted to store data on the mass storage device (e.g. CF) even when the EWF is active. Use OK button to confirm.
Reboot | By pushing the Reboot button, a system reboot gets executed
Exit | By executing the Exit command, the EWF Manager tool gets closed.


Commom Image Content of Beckhoff Emebdded PC images

CX1000: Content Overview of XPe Images

Common image contents included in Beckhoff embedded PC images

  • General Information

  • Development / runtimes / interfaces

  • Applications

  • Network

  • System administration / System tools

  • Device support

  • Services

Feature / Platform | HMI | .NET
General Information | HMI | .NET
Power Management | Standard PC | Standard PC
(Graphical) User Interface | Explorer Shell | Explorer Shell
Language | English | English
Development / runtimes / interfaces | HMI | .NET
.NET Framework 1.1 |  | X
ADS .NET support |  | X
ASP .NET support |  | X
C runtime library | X | X
COM+ (DCOM, MSDTC, ...) | X | X
EWF API | X | X
Jet Database / Data access interfaces (ODBC, OLEDB, DAO) | X | X
ODBC interface | X | X
TwinCAT runtime | X | X
Visual Basic 6.0 runtime library | X | X
Visual C++ runtime | X | X
Windows Installer |  | X
Applications | HMI | .NET
Command Prompt / Console | X | X
HyperTerminal | X | X
Internet Explorer 6 | X | X
Netmeeting |  | X
Notepad | X | X
On-Screen Keyboard | X | X
Paint | X | X
Calculator | X | X
Windows Explorer | X | X
Windows Media Player 6.4 | X | X
Wordpad | X | X
Character Map | X | X
Network | HMI | .NET
Network support (TCP/IP, EtherCAT) | X | X
File sharing | X | X
Remote Access Service (RAS) | X | X
Direct connection between two computers (null modem) | X | X
DHCP Client | X | X
DNS Client | X | X
Net Shell | X | X
network printing support | X | X
Network Setup Wizard | X | X
Remote Desktop | X | X
PPPoE Protocol | X | X
Windows Firewall (ICS) | X | X
System administration / System tools | HMI | .NET
Administrative Tools (Event Log, Service Control Manager, Computer Management,...) | X | X
CheckDisk (with autocheck function) | X | X
Enhanced Write Filter (EWF) | X | X
Compatibility mode (DOS, Windows 95, Windows 98, Windows 2000) |  | X
Registry Editor | X | X
System Locals / Keyboard Layout | english, german | english, german
System control | X | X
Systemwiederherstellung |  | X
Task Scheduler | X | X
Disk Management |  | X
Windows Firewall Control Panel |  | X
Device Compatibility | HMI | .NET
ATM support | X | X
Audio support (wave, midi, mp3) | X | X
wireless network | X | X
(local) USB printing support | X | X
Elo Touch | X | X
Modem support | X | X
Microsoft Bluetooth support |  | X
USB audio support |  | X
USB mass storage devices | X | X
IrDA support |  | X
Services | HMI | .NET
Distributed Transaction Coordinator (MSDTC) | X | X
Indexing Service |  | X
Messenger (net send) | X | X
Internet Information Service (IIS Web-Server) |  | X
Message Queuing (MSMQ) | X | X
Simple Network Management Protocol (SNMP) | X | X
RunAS Service | X | X
Time Service | X | X
Uninterruptable Power Supply (UPS) |  | X


Windows XP embedded Image localisation

Embedded PC

Localised Windows Embedded images for Beckhoff Embedded PCs

The Windows Embedded default images for Beckhoff Embedded PCs are supplied in English. Localised versions of the Windows Embedded default images for embedded PCs are available on request. They are supplied ex works. A localised Windows Embedded image requires more space on the storage medium. With a localised version the memory requirement will increase by approx. 30 - 200 MB.

The following list contains an overview of the previously available localised Windows Embedded images below image version 1.35:

Language | XPe Image | CF card required
German | CX1831-0201 | 1 GB CF card
 | CX1831-0202 | 1 GB CF card
 | CX1831-0202 | 1 GB CF card
English (standard) | CX1800-0200 | 1 GB CF card
 | CX1800-0201 | 1 GB CF card
 | CX1800-0202 | 1 GB CF card
Japanese | CX1841-0201 | 1 GB CF card
 | CX1841-0202 | 1 GB CF-card
Korean | CX1842-0201 | 1 GB CF card
 | CX1842-0202 | 1 GB CF-card
Polish | CX1845-0201 | 1 GB CF card
 | CX1845-0202 | 1 GB CF card
Russian | CX1849-0200 | 1 GB CF card
 | CX1849-0201 | 1 GB CF card
 | CX1849-0202 | 1 GB CF card
Taiwanese | CX1828-0202 | 1 GB CF card
Czech | CX1829-0202 | 1 GB CF card
Chinese | CX1852-0202 | 1 GB CF card


Hardware Installation on CX 1000 computer with Windows XP embedded

CAUTION:

The device needs more electricity! For this reason the device should be connected with the CX1000 computer or an USB hub with own current supply (active hub).

Otherwise malfunctions of the device are possible.

back to hardware compatibility list


Hardware compatible with CX 1000 computer and Windows XP embedded

Embedded PC

Hardware compatibility list

Hardware compatible with the Beckhoff embedded PCs running the Microsoft Windows XP Embedded operating system

The following table lists the devices for which functionality has been tested in conjunction with Beckhoff Embedded PC devices (CX1000, CX1020, Ethernetpanel,...).
The installation and function of these devices was tested on the CX 1000 computer with a Windows XP Embedded Beckhoff default image for Beckhoff embedded PCs.

USB mass storage | Adapter: IDE | Adapter: Wired LAN
Optical drives | Adapter: Bluetooth | Adapter: Wireless LAN
Floppy drives | Adapter: Card Reader | Adapter: ISDN
Modems | Adapter: Serial Port | Mice and pointing devices
Printers (local) | Adapter: Parallel Port | Keyboards

WARNING:

The current demand of USB floppy drives, hard disks, Bluetooth adapters etc. is relatively high. For this reason, if they have no external power supply these devices should be connected directly to the embedded PC or operated on an "active" USB hub (i.e. a hub with dedicated power supply).
Otherwise the connected device will not function properly.

Device | Description | Interface | Image compatibility | Information | Installation
USB mass storage
CnMemory Red Pearl 1.1 | Hot-pluggable USB flash memory that can be used with a USB 1.1 interface | USB | from CX 1800-0202 version 1.13 |  |
Jamba U100 | Hot-pluggable USB flash memory that can be used with a USB 1.1 interface | USB | all CX 1000 standard images from version 1.00 |  |
Medion USB Stick (3SYSTEM USB FLASH) | Hot-pluggable USB flash memory that can be used with a USB 1.1 interface | USB | all CX 1000 standard images from version 1.00 |  |
OTi Flash Disk (6808) | Hot-pluggable USB flash memory that can be used with a USB 1.1 interface | USB | all CX 1000 standard images from version 1.00 |  |
Sony Micro Vault | Hot-pluggable USB Flash memory that can be used with a USB 2.0 interface (backward compatible) | USB | all CX 1000 standard images from version 1.00 |  |
Transcend JetFlash | Hot-pluggable USB flash memory that can be used with a USB 1.1 interface | USB | all CX 1000 standard images from version 1.00 |  |
TrekStor USB-Stick 2.0 CS | Hot-pluggable USB Flash memory that can be used with a USB 2.0 interface (backward compatible) | USB | all CX 1000 standard images from version 1.00 |  |
TwinMOS Mobile Disk III TTI-MSA USB Disk | Hot-pluggable USB flash memory that can be used with a USB 1.1 interface | USB | all CX 1000 standard images from version 1.00 |  |
Western Digital Series II USB 2.0 External Hard Drive | Hot-pluggable USB hard drive that can be used with a USB 2.0 interface (backward compatible) | USB | from CX 1800-0202 version 1.13 |  |
Optical drives
FREECOM Traveller II | Hot-pluggable CD-RW / DVD Combo drive (RW / DVD Combo 24x10x24x8) | USB | from CX1800-0202 Version 1.11 |  |
Floppy drives
TEAC FD-05PUB | External, hot-pluggable USB floppy disk drive for 1.44 MB floppy disks | USB | all CX 1000 standard images from version 1.00 |  |
DELL USB Floppy (NEC USB Floppy ) | Hot-pluggable USB floppy disk drive for 1.44 MB floppy disks | USB | all CX 1000 standard images from version 1.00 |  |
Modems
Elsa MicoLink 56k basic (www.devolo.de) | Plug&Play-capable modem with serial connection. | serial (RS 232) | from CX1800-0201 Version 1.01 |  |
U.S. Robotics 56k Faxmodem | Plug&Play-capable modem with serial connection. | serial (RS 232) | from CX1800-0201 Version 1.01 |  |
Printers (local)
Canon i350 | Plug&Play colour inkjet printer | USB | from CX1800-0202 Version 1.14 |  |
Canon i865 | Plug&Play colour inkjet printer | USB | from CX1800-0202 Version 1.20 |  |
Canon BJC 6200 | Plug&Play colour inkjet printer | USB | from CX1800-0202 Version 1.20 |  |
EPSON AcuLaser C900 | Plug&Play colour laser printer | USB | from CX1800-0201 Version 1.13 |  |
EPSON EPL-6200 | Plug&Play black&white laser printer | USB | from CX1800-0201 Version 1.14 |  |
Adapter: IDE
Beckhoff C9900 A156 0 USB 2.0 to ATA / ATAPI connector | Hot-pluggable adapter for using IDE devices (HDD, CD-ROM) with a USB 2.0 interface (backward compatible) | USB / IDE | from CX1800-0202 Version 1.14 |  |
EZ Linker USB to IDE connector (KW-592) | Hot-pluggable adapter for using IDE devices (HDD, CD-ROM) with a USB 1.1 interface | USB / IDE | from CX1800-0202 Version 1.11 |  |
Adapter: Bluetooth
MSI MS-6967 (PC2PC) USB Bluetooth Adapter | Provides Bluetooth functionality (wireless connection) according to the IEEE 802.15.1 standard at the computer | USB / Bluetooth | From CX1800-0202 version 1.11 with Widcomm Bluetooth stack From CX1800-0202 version 1.20 with Microsoft Bluetooth stack |  |
ALLNET ALL1575 USB Bluetooth Adapter | Provides Bluetooth functionality (wireless connection) according to the IEEE 802.15.1 standard at the computer | USB / Bluetooth | From CX1800-0202 version 1.11 with Widcomm Bluetooth stack |  |
Adapter: Card Reader
Medion MD 5313 Card Reader/Writer | Hot-pluggable adapter for using flash cards (Compact Flash type I+II, SD, MM ... ) at the CX1000 device | USB / CFI+II, MS, SD, SM | all CX 1000 standard images from version 1.00 |  |
(ANUBIS 81035) TYPHOON USB 2.0 8-in-1 CARD READER | Hot-pluggable USB 2.0 adapter for using flash memory (Compact Flash Typ I+II, SD-, MM- Card... ) at the CX1000 device | USB / CFI+II, MD, MS / -PRO, SM, SD, MMC | from CX1800-0202 Version 1.13 |  |
Adapter: Serial Port
Prolific PL-2303 USB to Serial Comm Port | Creates a (virtual) serial port (RS232) | USB / RS 232 | from CX1800-0201 Version 1.13 |  |
HP High Speed Converter (FTDI) | Creates a (virtual) serial port (RS232) | USB / RS 232 | from CX1800-0201 Version 1.13 |  |
Adapter: Parallel Port
Belkin F5U002 USB Parallel Printer Adapter | Provides parallel printer functionality (according to the IEEE 1284 standard) | USB / parallel (centronics) | from CX1800-0201 Version 1.13 |  |
Adapter: Wired LAN
Prolific PL-2302 USB to USB Network Bridge | Provides network functionality based on the TCP/IP protocols and the USB interfaces | USB / USB | from CX1800-0201 Version 1.13 |  |
UTE-200(ASIX AX88172) USB 2.0 to Fast Ethernet Adapter | Provides an Ethernet interface according to the IEEE 802.3 / IEEE 802.3u LAN standard | USB / RJ-45 (Ethernet) | from CX1800-0202 Version 1.13 |  |
Adapter: Wireless LAN
D-Link DWL-122 | Provides wireless LAN functionality according to the IEEE 802.11.b standard at the computer | USB / WLAN | from CX1800-0201 Version 1.14 |  |
Netgear MA111 Wireless LAN Adapter | Provides wireless LAN functionality according to the IEEE 802.11.b standard at the computer | USB / WLAN | from CX1800-0201 Version 1.13 |  |
ZyXEL ZyAIR B-400 Wireless LAN Ethernet Adapter | Provides a W-LAN connection via Ethernet | RJ-45 (Ethernet) / W-LAN | From CX1800-0200 version 1.13, provided a browser is available for configuration purposes |  |
Adapter: ISDN
AVM Fritz!Card USB Ver2.1 | Provides network functionality based on ISDN. Enables utilisation of ISDN services. | USB / ISDN | from CX1800-0201 Version 1.13 |  |
Mice and pointing devices
Microsoft IntelliMouse Explorer | Pointing device | USB | all CX 1000 standard images from version 1.00 |  |
Microsoft IntelliMouse USB | Pointing device | USB | all CX 1000 standard images from version 1.00 |  |
Microsoft Serial Mouse | Pointing device | serial (RS 232) | all CX 1000 standard images from version 1.00 |  |
Logitech MX500 Optical Mouse | Pointing device | USB | from CX1800-0202 Version 1.20 |  |
Logitech USB Wheel Mouse | Pointing device | USB | all CX 1000 standard images from version 1.00 |  |
Elo TouchScreen | Pressure-sensitive display panel | USB | all CX 1000 standard images from version 1.00 |  |
Keyboards
Cherry USB keyboard | Keyboard | USB | all CX 1000 standard images from version 1.00 |  |


Hardware Installation auf dem CX 1000 Computer mit dem Windows XP embedded Betriebssystem

Das Gerät wird beim Anschluss an den CX 1000 Computer automatisch erkannt und in das Windows XP embedded System eingebunden.

Eine Treiberinstallation für dieses Gerät ist nicht erforderlich

zurück zur Hardwarekopatibilitätsliste


Hardware Installation auf dem CX 1000 Computer mit dem Windows XP embedded Betriebssystem

Das Gerät wird durch die Plug&play Funktion gefunden. Anschließend müssen Sie den Treiber-Pfad für den Gerätetreiber angeben.

Die Treiber für das Gerät können sich auf folgenden Ressourcen befinden:

  • Wechselmedien (USB-Stick, Diskette, CD-ROM)

  • Netzwerkfreigaben

zurück zur Hardwarekompatibilitätsliste